<%@ page import="java.io.PrintWriter,
                 java.io.BufferedReader,
                 java.io.StringReader,
                 java.util.*,
                 org.apache.log4j.spi.LoggingEvent,
                 com.atlassian.jira.web.action.admin.ViewSystemInfo,
                 com.atlassian.core.logging.ThreadLocalErrorCollection,
                 com.atlassian.core.logging.DatedLoggingEvent" %>
<%@ page isErrorPage="true" %>

<html>
	<head>
	<title>Oops - an error has occurred</title>
    <%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%=request.getContextPath()%>/includes/js/cookieUtil.js"></script>
    <style>
		h1 { color: #003366; text-align: left; margin: 0px 0px 30px 10px; padding: 0px; border-width: 0px 0px 1px 0px; border-style: solid; border-color: #003366;}
        p { padding: 5px 10px 5px 10px;}
		p.message { padding: 10px 30px 10px 30px; font-weight: bold; font-size: 130%; border-width: 1px; border-style: dashed; border-color: #336699; }
		p.description { padding: 10px 30px 20px 30px; border-width: 0px 0px 1px 0px; border-style: solid; border-color: #336699;}
		p.topped { padding: 5px 10px 5px 0px; margin: 0px 0px 0px 10px; border-width: 1px 0px 0px 0px; border-style: solid; border-color: #003366; }
        span.switch { cursor: pointer; margin-left: 5px; text-decoration: underline; }
        pre {padding: 5px 10px 5px 10px;}
   </style>
   </head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" >
<div id="Content">
<br>
<h1>System Error</h1>

<p>A system error has occurred.
<p>
If this problem persists - please notify your JIRA administrator of this problem.
<p class="topped">
If you are an administrator, please try submitting this problem via the <a href="<%= request.getContextPath() %>/secure/admin/jira/JiraSupportRequest!default.jspa" target="_blank">Support Request Page</a>.
<p>
Else, please create a support issue on our <b>support system</b> at <a href="http://support.atlassian.com">http://support.atlassian.com</a> with the following information:
<ol>
<li>a description of your problem
<li>cut & paste the error and system information found below
<li>attach the application server log file
</ol>
<p class="topped">

        <%
            ViewSystemInfo vsi = new ViewSystemInfo();
            Map sysinfo = vsi.getProps();
            Map jvmstats = vsi.getJVMstats();
            Map buildstats = vsi.getBuildStats();

            // orion does not support the exception object.
            boolean isOrion = "Orion".equals(vsi.getAppServer());
        %>

        <p>
        <b>Cause:</b><br/>

        <%
            if (isOrion)
            {
                String ex = (String) request.getAttribute("javax.servlet.error.message");
                //get the first line of the error message for the "cause:"

                String line = "";
                if (ex != null)
                    line = new BufferedReader(new StringReader(ex)).readLine();
                else
                    line = "No exception";

        %>
        <%= line %>
        </p>
        <p>
        <b>Stack Trace:</b> <span class="switch" id="stacktrace-switch" onclick="toggle('stacktrace', 'show', 'hide')">[hide]</span>

        <pre id="stacktrace"><%= ex %></pre>
        <%
            }
            else
            {
                if (exception != null)
                {
        %>
        <%= exception.toString() %>
        <p>
        <b>Stack Trace:</b> <span class="switch" id="stacktrace-switch" onclick="toggle('stacktrace', 'show', 'hide')">[hide]</span>

        <pre id="stacktrace"><% exception.printStackTrace(new PrintWriter(out)); %></pre>
        <%
                }
            }
        %>
        <p><b>Referer URL:</b> <%= request.getHeader("Referer") != null ? request.getHeader("Referer") : "Unknown" %></p>

        <p>
        <b>Build Information:</b><br/>
        <%
            for (Iterator k = buildstats.keySet().iterator(); k.hasNext();)
            {
                String key = (String) k.next();
                String value = (String) buildstats.get(key);
                out.println(key + ": " + value + "<br/>");
            }
        %>
        </p>
        <p>
        <b>Server Information:</b><br/>
            Application Server: <%= application.getServerInfo() %><br>
            Servlet Version: <%= application.getMajorVersion() %>.<%= application.getMinorVersion() %><br>
        </p>
        <p>
        <b>Memory Information:</b><br/>
        <%
            for (Iterator j = jvmstats.keySet().iterator(); j.hasNext();)
            {
                String key = (String) j.next();
                String value = (String) jvmstats.get(key);
                out.println(key + ": " + value + " MB<br/>");
            }
        %>
        </p>
        <p>
        <b>System Information:</b><br/>
        <%
            for (Iterator i = sysinfo.keySet().iterator(); i.hasNext();)
            {
                String key = (String) i.next();
                String value = (String) sysinfo.get(key);
                out.println(key + ": " + value + "<br/>");
            }
        %>
        </p>

        <p>
        <b>Request Information:</b><br/>
        <%
            try {
        %>
            Request URL: <%= request.getRequestURL() %><br>
            - Scheme: <%= request.getScheme() %><br>
            - Server: <%= request.getServerName() %><br>
            - Port: <%= request.getServerPort() %><br>
            - URI: <%= request.getRequestURI() %><br>
            - - Context Path: <%= request.getContextPath() %><br>
            - - Servlet Path: <%= request.getServletPath() %><br>
            - - Path Info: <%= request.getPathInfo() %><br>
            - - Query String: <%= request.getQueryString() %><br>

            Request Attributes:<br>
            <%
                Enumeration attributeNames = request.getAttributeNames();
                while (attributeNames.hasMoreElements())
                {
                    String name = (String) attributeNames.nextElement();
                    %>
                    - <%= name %> : <%= request.getAttribute(name) %><br>
                    <%
                }
            %>
        <%
            }
            catch (Throwable t)
            {
                out.println("Error rendering logging information - uh oh.");
                t.printStackTrace(new PrintWriter(out));
            }
        %>
        </p>

        <p>
        <b>Request Logging:</b><br/>
        <%
            try {
            List list = ThreadLocalErrorCollection.getList();
            %>
                <b><%= list.size() %></b> log statements generated by this request:<br>
            <%
            for (Iterator iterator = list.iterator(); iterator.hasNext();)
            {
                DatedLoggingEvent dle = (DatedLoggingEvent) iterator.next();
                LoggingEvent loggingEvent = dle.getEvent();
                Date date = dle.getDate();
                %>
                <font color="darkred">[<%= loggingEvent.getLevel() %>]</font>
                <font color="darkblue"><%= date.toString() %></font>
                [<%= loggingEvent.getLoggerName() %>]
                <%= loggingEvent.getRenderedMessage() %>
                <br>
                <% if (loggingEvent.getThrowableInformation() != null) { %>
                    <div style="font-size: 10px; margin: 0 0 0 20px;">
                        <%
                            for (int i = 0; i < loggingEvent.getThrowableStrRep().length && i < 20; i++)
                            {
                                String s = loggingEvent.getThrowableStrRep()[i];
                                out.println(s + "<br>");
                            }
                        %>
                    </div>
                <% } %>
                <%
            }
            }
            catch (Throwable t)
            {
                out.println("Error rendering logging information - uh oh.");
                t.printStackTrace(new PrintWriter(out));
            }
        %>
        </p>

        </td>
        </tr>
    </table>
</div>
</body>
</html>

