<%@ page import="com.atlassian.license.License,
                 com.atlassian.license.LicenseType,
                 com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.jira.util.JiraLicenseRegistry,
                 com.atlassian.license.applications.jira.JiraLicenseTypeStore,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    String topBgColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TOP_BGCOLOUR);
    String menuBgColour = ap.getDefaultBackedString(APKeys.JIRA_LF_MENU_BGCOLOUR);
    String linkColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);

    //don't use default backed string here, as we will use the large logo
    String jiraLogo = ap.getString(APKeys.JIRA_LF_LOGO_URL);
    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = request.getContextPath() + jiraLogo;
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>JIRA - <decorator:title default="New Generation Issue Tracking" /></title>
    <META http-equiv="Content-Type" content="<%= ap.getContentType() %>">
	<%@ include file="/includes/decorators/stylesheettag.jsp" %>
</head>

<body bgcolor="#f0f0f0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%">
<tr valign="middle"><td>
<table cellpadding=0 cellspacing="0" class="centred borderedBoxBlack" width=400>
    <tr cellpadding=0 cellspacing=0 border=0 width=400 bgcolor=<%= topBgColour %>>
        <td><table>
            <td valign="bottom" width=200><a href="<%= request.getContextPath() %>/secure/"><% if (jiraLogo == null) { %><img src="<%= request.getContextPath() %>/images/jira_logo_small.gif" width=111 height=30 border=0 alt="Atlassian JIRA" vspace=0 hspace=0><% } else { %><img src="<%= jiraLogo %>" width="<%= ap.getString(APKeys.JIRA_LF_LOGO_WIDTH) %>" height="<%= ap.getString(APKeys.JIRA_LF_LOGO_HEIGHT) %>" border=0 alt="Atlassian JIRA"><% } %></a></td>
            <td valign="bottom" width=200 align="right">
                <webwork:component name="'default'" template="help.jsp">
                    <webwork:param name="'align'" value="'middle'"/>
                </webwork:component>
<%--    <a href="http://www.atlassian.com/software/jira/docs/?clicked=jirahelp" target="_jirahelp"><img src="<%= request.getContextPath() %>/images/icons/help_blue.gif" width=16 height=16 align=absmiddle border=0 alt="Get help!"></a>--%>
                &nbsp;
            </td>
        </table></td>
    </tr>
    <tr cellpadding=0 cellspacing=0 border=0 width=400 height=5 bgcolor=<%= menuBgColour %>>
      	<td><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width=5 height=5 border=0></td>
    </tr>

    <tr><td>
       	<decorator:body />
    </td></tr>
</table>

<div class="fullyCentered">
    <span class="small">
	    <%
		License curLicense = null;
            
        if (JiraLicenseUtils.isLicenseSetup())
            curLicense = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);

		if (curLicense == null)
		{ %>
			<b><span class="smallgrey">UNLICENSED INSTALLATION</span></b> - Request an <a href="http://www.atlassian.com/c/jira/10152">evaluation license</a> today.
		<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_EVALUATION.equals(curLicense.getLicenseType())) { %>
			<b><span class="smallgrey">EVALUATION LICENSE</span></b> - Are you enjoying JIRA? <br> Please consider <a href="http://www.atlassian.com/c/jira/10152">purchasing it</a> today.
		<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_NON_PROFIT.equals(curLicense.getLicenseType())) { %>
			<a href="http://www.atlassian.com/c/jira/10151">JIRA</a> is a J2EE issue tracking package developed by <a href="http://www.atlassian.com/c/jira/10151">Atlassian</a><br>
            (<b>Non-profit / Open Source Project License</b>)
		<% } %>
		    </font>

	<p>
	<span class="smallfooter">
		Powered by <A href="http://www.atlassian.com/c/jira/10140">Atlassian JIRA</a> <span class="smallgreyfooter">(<%= BuildUtils.getBuildInformation() %>)</span> - <a href="http://jira.atlassian.com/default.jsp?clicked=footer">Bug/feature request</a><br>
		Contact <a href="<%= request.getContextPath() %>/secure/Administrators.jspa">Administrators</a>
	</span>
	</p>
</div>

</td></tr>

</table>
</body>
</html>
