<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />

<webwork:bean name="'com.atlassian.core.util.XMLUtils'" id="xmlUtils" />

<title>[<webwork:property value="@xmlUtils/escape(string('key'))" escape="false" />] <webwork:property value="@xmlUtils/escape(string('summary'))" escape="false" /></title>
<link><webwork:property value="applicationProperties/string('jira.baseurl')" />/browse/<webwork:property value="string('key')"/></link>

<webwork:property value="./long('project')">
    <webwork:if test="@fieldVisibility/fieldHidden(., 'description', ../string('type')) == false">
        <description><![CDATA[<jira:text2html><webwork:property value="../string('description')" escape="false" /></jira:text2html>]]></description>
    </webwork:if>
    <webwork:if test="@fieldVisibility/fieldHidden(., 'environment', ../string('type')) == false">
        <environment><![CDATA[<jira:text2html><webwork:property value="string('environment')" escape="false" /></jira:text2html>]]></environment>
    </webwork:if>
        <key id="<webwork:property value="@xmlUtils/escape(../string('id'))"/>"><webwork:property value="@xmlUtils/escape(../string('key'))" escape="false" /></key>
        <summary><webwork:property value="@xmlUtils/escape(../string('summary'))" escape="false" /></summary>
        <type id="<webwork:property value="@xmlUtils/escape(../string('type'))" />"><webwork:property value="@xmlUtils/escape(/constantsManager/issueType(../string('type'))/string('name'))" /></type>
    <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', ../string('type')) == false">
        <webwork:if test="string('priority') != null"><priority id="<webwork:property value="@xmlUtils/escape(string('priority'))" />"><webwork:property value="@xmlUtils/escape(/constantsManager/priority(string('priority'))/string('name'))" /></priority></webwork:if>
    </webwork:if>
        <status id="<webwork:property value="@xmlUtils/escape(../string('status'))" />"><webwork:property value="@xmlUtils/escape(/constantsManager/status(../string('status'))/string('name'))" /></status>
        <webwork:if test="string('resolution') == null">
        <resolution>Unresolved</resolution>
        </webwork:if><webwork:else>
        <resolution id="<webwork:property value="@xmlUtils/escape(string('resolution'))" />"><webwork:property value="@xmlUtils/escape(/constantsManager/resolution(string('resolution'))/string('name'))" escape="false" /></resolution>
        </webwork:else>
    <webwork:if test="@fieldVisibility/fieldHidden(., 'assignee', ../string('type')) == false">
        <webwork:if test="string('assignee') == null">
        <assignee>Unassigned</assignee>
        </webwork:if><webwork:else>
        <assignee username="<webwork:property value="@xmlUtils/escape(string('assignee'))" />"><webwork:property value="@xmlUtils/escape(@user/user(string('assignee'))/fullName)" escape="false" /></assignee>
        </webwork:else>
    </webwork:if>

    <webwork:if test="@fieldVisibility/fieldHidden(., 'reporter', ../string('type')) == false">
        <webwork:if test="string('reporter') == null">
        <reporter>None</reporter>
        </webwork:if><webwork:else>
        <reporter username="<webwork:property value="@xmlUtils/escape(string('reporter'))" />"><webwork:property value="@xmlUtils/escape(@user/user(string('reporter'))/fullName)" escape="false" /></reporter>
        </webwork:else>
    </webwork:if>

    <created><webwork:property value="/outlookDate/formatRss(timestamp('created'))"/></created>
    <updated><webwork:property value="/outlookDate/formatRss(timestamp('updated'))" /></updated>

    <webwork:property value ="@issueBean/versions(..)">
        <%-- Test whether the issue has versions --%>
        <webwork:if test=". != null && ./empty == false">
            <%-- Test whether the field is not hidden --%>
            <webwork:if test="@fieldVisibility/fieldHidden(.., 'versions', ../../string('type')) == false">
                <webwork:iterator value=".">
                    <version><webwork:property value="./string('name')" /></version>
                </webwork:iterator>
            </webwork:if>
        </webwork:if>
    </webwork:property>

    <webwork:property value ="@issueBean/fixVersions(..)">
        <%-- Test whether the issue has fix versions --%>
        <webwork:if test=". != null && ./empty == false">
            <%-- Test whether the field is not hidden --%>
            <webwork:if test="@fieldVisibility/fieldHidden(.., 'fixVersions', ../../string('type')) == false">
                <webwork:iterator value=".">
                    <fixVersion><webwork:property value="./string('name')" /></fixVersion>
                </webwork:iterator>
            </webwork:if>
        </webwork:if>
    </webwork:property>

    <webwork:property value ="@issueBean/components(..)">
        <%-- Test whether the issue has components --%>
        <webwork:if test=". != null && ./empty == false">
            <%-- Test whether the field is not hidden --%>
            <webwork:if test="@fieldVisibility/fieldHidden(.., 'components', ../../string('type')) == false">
                <webwork:iterator value=".">
                    <component><webwork:property value="./string('name')" /></component>
                </webwork:iterator>
            </webwork:if>
        </webwork:if>
    </webwork:property>

    <%-- Due date is shown event if the due date value is null. This is so due to the comment added to the JRA-2711 issue --%>
    <webwork:if test="@fieldVisibility/fieldHidden(., 'duedate', string('type')) == false">
        <due><webwork:if test="timestamp('duedate') != null"><webwork:property value="/outlookDate/formatRss(timestamp('duedate'))" /></webwork:if></due>
    </webwork:if>
    <webwork:if test="/applicationProperties/option('jira.option.voting') == true">
        <votes><webwork:property value="long('votes')" /></votes>
    </webwork:if>
    <webwork:if test="@fieldVisibility/fieldHidden(., 'timetracking', string('type')) == false">
        <webwork:if test="long('timeoriginalestimate') != null"><timeoriginalestimate><webwork:property value="/durationString(long('timeoriginalestimate'))" /></timeoriginalestimate></webwork:if>
        <webwork:if test="long('timeestimate') != null"><timeestimate><webwork:property value="/durationString(long('timeestimate'))" /></timeestimate></webwork:if>
        <webwork:if test="long('timespent') != null"><timespent><webwork:property value="/durationString(long('timespent'))" /></timespent></webwork:if>
    </webwork:if>

    <webwork:property value="actionManager/comments(.., /remoteUser)">
    <webwork:if test=". != null && size > 0">
        <comments>
            <webwork:iterator>
            <comment author="<webwork:property value="./username"/>" created="<webwork:property value="/outlookDate/formatRss(./timePerformed)"/>" level="<webwork:property value="./level" />"><webwork:property value="@xmlUtils/escape(comment)" escape="false" /></comment>
            </webwork:iterator>
        </comments>
    </webwork:if>
    </webwork:property>

    <webwork:property value=".." id="issue"/>



</webwork:property>