<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><webwork:property value="text('navigator.title')"/><webwork:if test="searchRequest/name"> -- <webwork:property value="searchRequest/name"/></webwork:if></page:param>
    <page:param name="description">
    <webwork:if test="$decorator == 'printable'">
        <jsp:include page="/includes/navigator/search-request_description.jsp" />
        <br/>
    </webwork:if>

    <%-- Test if we have any issues that were found --%>
    <webwork:if test="browsableItems/empty == true">
        <webwork:text name="'navigator.results.nomatchingissues'"/>
    </webwork:if>
    <webwork:else>
        <webwork:text name="'navigator.results.displayissues'">
            <webwork:param name="'value0'"><b><webwork:property value="niceStart" /></b></webwork:param>
            <webwork:param name="'value1'"><b><webwork:property value="niceEnd" /></b></webwork:param>
            <webwork:param name="'value2'"><b><webwork:property value="browsableItems/size" /></b></webwork:param>
        </webwork:text>&nbsp;<webwork:if test="'printable' == $decorator"><webwork:text name="'navigator.results.asat'"><webwork:param name="'value0'"><b><webwork:property value="/outlookDate/formatDMYHMS(/outlookDate/now)"/></b></webwork:param></webwork:text></webwork:if><br>
    </webwork:else>

    </page:param>
    <page:param name="width">100%</page:param>

    <jsp:include page="/includes/errormessages.jsp" />

    <%-- Only show the views if there are issues that match the search criteria--%>
    <webwork:if test="browsableItems/size > 0">
        <table border="0" cellpadding="0" cellspacing="0" width="100%">
            <tr>
                <td valign="bottom" width=80%><b><webwork:text name="'navigator.results.currentview'"/>:</b><br>
                    <webwork:if test="'printable' != $decorator && 'bulk' != $view">
                        <webwork:text name="'navigator.results.currentview.browser'"/>
                    </webwork:if>
                    <webwork:else>
                        <a href="<webwork:url><webwork:param name="'view'" value="''" /><webwork:param name="'tempMax'" value="'-1'" /><webwork:param name="'decorator'" value="''" /></webwork:url>"><webwork:text name="'navigator.results.currentview.browser'"/></a>
                    </webwork:else>
                    |
                    <webwork:if test="'printable' == $decorator">
                        <webwork:text name="'navigator.results.currentview.printable'"/>
                    </webwork:if>
                    <webwork:else>
                        <a href="<webwork:url><webwork:param name="'view'" value="''" /><webwork:param name="'mode'" value="'hide'" /><webwork:param name="'start'" value="'0'" /><webwork:param name="'tempMax'" value="'1000'" /><webwork:param name="'decorator'" value="'printable'" /></webwork:url>"><webwork:text name="'navigator.results.currentview.printable'"/></a>
                    </webwork:else>
                    |
                    <a href="<webwork:url page="/secure/IssueNavigator.jspa"><webwork:param name="'view'" value="'excel'"/><webwork:param name="'tempMax'" value="'1000'"/></webwork:url>"><webwork:text name="'navigator.results.currentview.excel'"/></a>
                    |
                    <a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?view=rss&<webwork:property value="SRQueryString" />&tempMax=25&reset=true&decorator=none"><webwork:text name="'navigator.results.currentview.xml'"/></a>
                    |
                    <a href="<webwork:url page="/secure/IssueNavigator.jspa"><webwork:param name="'view'" value="'full'"/><webwork:param name="'tempMax'" value="'30'"/></webwork:url>"><webwork:text name="'navigator.results.currentview.full'"/></a>
                    <webwork:component name="'navigatorviews'" template="help.jsp">
                        <webwork:param name="'align'" value="'middle'"/>
                    </webwork:component>
                </td>
                <td valign="bottom" align="left" width=20% nowrap>
                    <webwork:if test="hasBulkEditPermissionForSearchRequest == true">
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                        <b><webwork:text name="'navigator.results.currentview.bulkchange'"/></b>
                        <a id="bulkedit_all" href="<webwork:url page="/secure/views/bulkedit/BulkEdit1!default.jspa"><webwork:param name="'reset'" value="'true'"/><webwork:param name="'tempMax'" value="/browsableItems/size"/></webwork:url>"><webwork:text name="'navigator.results.currentview.bulkchange.allissues'"><webwork:param name="'value0'" value="/browsableItems/size"/></webwork:text></a>
                        <%-- Show the 'All' link if there is more than one pager --%>
                        <webwork:if test="pager/pages(/browsableItems)/size > 1">
                            | <a id="bulkedit_curr_pg" href="<webwork:url page="/secure/views/bulkedit/BulkEdit1!default.jspa"><webwork:param name="'reset'" value="'true'"/></webwork:url>"><webwork:text name="'navigator.results.currentview.bulkchange.currentpage'"/></a>
                        </webwork:if>
                    </webwork:if>

                    <webwork:if test="/remoteUser != null && /hasPermission('use')">
                        <webwork:if test="/showOverrideColumnLayout == false">
                            <br><img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                            <webwork:text name="'navigator.results.configurenavigator'">
                                <webwork:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/ViewUserIssueColumns!default.jspa"><b></webwork:param>
                                <webwork:param name="'value1'"></b></a></webwork:param>
                            </webwork:text>
                        </webwork:if>
                        <webwork:else>
                            <br><img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                            <webwork:text name="'navigator.results.useyourcolumns'">
                                <webwork:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/IssueNavigator!columnOverride.jspa"><b></webwork:param>
                                <webwork:param name="'value1'"></b></a></webwork:param>
                            </webwork:text>
                        </webwork:else>
                    </webwork:if>

                    <webwork:if test="/hasSearchRequestColumnLayout() == true && /showOverrideColumnLayout == false">
                        <br><img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                        <webwork:text name="'navigator.results.usefilterscolumns'">
                            <webwork:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/IssueNavigator!columnOverride.jspa"><b></webwork:param>
                            <webwork:param name="'value1'"></b></a></webwork:param>
                        </webwork:text>
                    </webwork:if>
                </td>
            </tr>
        </table>
    </webwork:if>

</page:applyDecorator>