<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ page import="com.atlassian.license.License,
                 com.atlassian.jira.web.action.issue.IssueNavigator,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.LicenseManager"%>
<%-- these 'if' statements are for field ordering & hiding --%>
<webwork:if test="id == 'summary'">
    <ui:textfield label="text(./nameKey)" name="id" size="60" maxlength="255">
        <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
        <ui:param name="'mandatory'" value="'true'"/>
    </ui:textfield>
</webwork:if>

<webwork:if test="id == 'duedate' && /hasProjectPermission('scheduleissue', project) == true">
    <ui:component label="text(./nameKey)" name="id" template="datepicker2.jsp">
        <ui:param name="'formname'" value="'jiraform'" />
        <ui:param name="'size'">10</ui:param>
        <ui:param name="'mandatory'" value="../required"/>
        <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
    </ui:component>
</webwork:if>

<webwork:if test="id == 'priority'">
    <ui:select label="text(./nameKey)" name="id" list="/constantsManager/priorities"
        listKey="'string('id')'" listValue="'string('name')'">
        <ui:param name="'headerrow'" value="''" />
        <ui:param name="'helpURL'">issues</ui:param>
        <ui:param name="'helpURLFragment'">#PriorityLevels</ui:param>
        <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
        <ui:param name="'mandatory'" value="../required"/>
    </ui:select>
</webwork:if>

<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license != null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <webwork:if test="id == 'security' && /hasProjectPermission('setsecurity', /project) == true && /subTask == false">
        <webwork:property value="securityLevels">
            <webwork:if test="size > 0">
                <ui:select label="text(../nameKey)" name="id" list="keySet" listKey="'.'" listValue="'securityLevels/(.)'">
                    <ui:param name="'headerrow'" value="text('common.words.none')" />
                    <ui:param name="'headervalue'" value="'-1'" />
                    <ui:param name="'mandatory'" value="../required"/>
                    <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
                </ui:select>
            </webwork:if>
        </webwork:property>
    </webwork:if>
<% } %>

<jsp:include page="/includes/panels/issue/create_components.jsp" />

<jsp:include page="/includes/panels/issue/create_versions.jsp" />

<webwork:if test="id == 'assignee'">
<jsp:include page="/includes/panels/issue/assignee.jsp" />
</webwork:if>

<webwork:if test="id == 'reporter'">
    <jsp:include page="/includes/panels/issue/reporter.jsp" />
</webwork:if>

<webwork:if test="id == 'environment'">
    <ui:textarea label="text(./nameKey)" name="id" cols="'70'" rows="'2'">
        <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
        <ui:param name="'mandatory'" value="../required"/>
    </ui:textarea>
</webwork:if>

<webwork:if test="id == 'description'">
    <ui:textarea label="text(./nameKey)" name="id" cols="'70'" rows="'20'" >
        <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
        <ui:param name="'mandatory'" value="../required"/>
    </ui:textarea>
</webwork:if>

<webwork:if test="id == 'timetracking'">
    <jsp:include page="/includes/panels/issue/create_timetracking.jsp"/>
</webwork:if>

<webwork:if test="id/startsWith('customfield_') == true">
    <webwork:property value="/customFieldCreateHtml(..)" escape="false" />
</webwork:if>

<webwork:if test="id == 'attachment'">
    <webwork:if test="/attachable == true">
        <ui:component label="text('attachfile.attachment.label')" name="'filename'" template="filebrowse.jsp">
        <ui:param name="'description'"><webwork:property value="fieldDescription" escape="false" /></ui:param>
        </ui:component>
    </webwork:if>
</webwork:if>
