<%@ page import="com.atlassian.license.License,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>

<webwork:if test="id == 'issuetype'">
    <webwork:if test="/allowedIssueTypes/size > 1">
        <ui:select label="text('issue.field.issuetype')" name="id" list="/allowedIssueTypes" listKey="'string('id')'" listValue="'string('name')'">
    <%--            <ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/latest/issues.html#IssueTypes</ui:param>--%>
            <ui:param name="'helpURL'">issues</ui:param>
            <ui:param name="'helpURLFragment'">#IssueTypes</ui:param>
            <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
            <ui:param name="'mandatory'" value="true"/>
        </ui:select>
    </webwork:if>
    <webwork:elseIf test="enterprise == true">
        <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.issuetype'"/>:</td>
		<td bgcolor=ffffff valign=top>
            <webwork:property value="/constantsManager/issueType(issuetype)" >
                <webwork:component name="{./string('name')}" template="constanticon.jsp">
                    <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                    <webwork:param name="'iconurl'" value="./string('iconurl')" />
                    <webwork:param name="'title'"><webwork:property value="./string('name')" /> - <webwork:property value="./string('description')" /></webwork:param>
                </webwork:component>
                <webwork:property value="string('name')" />
                <br>
                <%-- Check if move permission has been granted - show link to move issue --%>
                <webwork:if test="hasIssuePermission('move', ../issue) == true">
                    <font class="small"><webwork:text name="'issue.field.issuetype.editnote'">
                        <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/secure/MoveIssue!default.jspa?id=<webwork:property value="../../../id"/>"></webwork:param>
                        <webwork:param name="'value1'"></a></b></webwork:param>
                    </webwork:text>.</font>
                </webwork:if>
            </webwork:property>
		</td>
    </webwork:elseIf>
    <ui:component name="'issuetype'" value="currentIssueTypeId" template="hidden.jsp" theme="'single'" />
</webwork:if>

<webwork:if test="id == 'summary'">
    <ui:textfield label="text('issue.field.summary')" name="id" size="60" maxlength="255">
        <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
        <ui:param name="'mandatory'" value="true"/>
    </ui:textfield>
</webwork:if>

<webwork:if test="id == 'assignee'">
    <jsp:include page="/includes/panels/issue/assignee.jsp" />
</webwork:if>

<webwork:if test="id == 'reporter'">
    <jsp:include page="/includes/panels/issue/reporter.jsp" />
</webwork:if>

<webwork:if test="id == 'priority'">
    <ui:select label="text('issue.field.priority')" name="id" list="/constantsManager/priorities"
        listKey="'string('id')'" listValue="'string('name')'">
        <ui:param name="'headerrow'" value="''" />
<%--            <ui:param name="'helpURL'">http://www.atlassian.com/software/jira/docs/latest/issues.html#PriorityLevels</ui:param>--%>
        <ui:param name="'helpURL'">issues</ui:param>
        <ui:param name="'helpURLFragment'">#PriorityLevels</ui:param>
        <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
        <ui:param name="'mandatory'" value="./mandatory"/>
    </ui:select>
</webwork:if>

<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <webwork:if test="id == 'security' && /hasIssuePermission('setsecurity', issue) == true && /subTask == false">
        <webwork:property value="/securityLevels" >
            <webwork:if test="./empty == false">
            <ui:select label="text('issue.field.securitylevel')" name="id" list="keySet" listKey="'.'" listValue="'../(.)'">
                <ui:param name="'headerrow'" value="text('common.words.none')" />
                <ui:param name="'headervalue'" value="'-1'" />
                <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
                <ui:param name="'mandatory'" value="./mandatory"/>
            </ui:select>
            </webwork:if>
        </webwork:property>
    </webwork:if>
    <webwork:if test="id == 'security' && /hasIssuePermission('setsecurity', issue) == true && /subTask == true">
        <webwork:property value="/securityLevels" >
            <webwork:if test="./empty == false">
                <ui:component name="id" template="hidden.jsp" theme="'single'" />
            </webwork:if>
        </webwork:property>
    </webwork:if>
<% } %>

<webwork:if test="id == 'components'" >
    <jsp:include page="/includes/panels/issue/edit_components.jsp"/>
</webwork:if>

<jsp:include page="/includes/panels/issue/edit_versions.jsp"/>

<webwork:if test="id == 'environment'">
    <ui:textarea label="text('issue.field.environment')" name="id" cols="70" rows="2" >
        <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
        <ui:param name="'mandatory'" value="./mandatory"/>
    </ui:textarea>
</webwork:if>

<webwork:if test="id == 'description'">
    <ui:textarea label="text('issue.field.description')" name="id" cols="70" rows="12">
        <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
        <ui:param name="'mandatory'" value="./mandatory"/>
    </ui:textarea>
</webwork:if>

<webwork:if test="id == 'duedate' && /hasIssuePermission('scheduleissue', issue) == true">
    <ui:component label="text('issue.field.duedate')" name="id" template="datepicker2.jsp">
        <ui:param name="'formname'" value="'jiraform'" />
        <ui:param name="'size'">10</ui:param>
        <ui:param name="'description'"><webwork:property value="../fieldDescription" escape="false"/></ui:param>
        <ui:param name="'mandatory'" value="./mandatory"/>
    </ui:component>
</webwork:if>

<webwork:if test="id == 'timetracking'">
    <jsp:include page="/includes/panels/issue/edit_timetracking.jsp"/>
</webwork:if>

<webwork:if test="id/startsWith('customfield_') == true">
    <webwork:property value="/customFieldHtml(..)" escape="false" />
</webwork:if>