<%@ page import="org.apache.lucene.index.IndexReader,
				 java.io.IOException,
				 org.apache.lucene.document.Document,
				 java.util.Enumeration,
				 org.apache.lucene.document.Field,
                 java.util.Iterator,
                 java.net.URLEncoder,
                 com.atlassian.jira.issue.IssueRelationConstants,
                 com.atlassian.jira.issue.index.DocumentConstants,
                 org.apache.lucene.index.IndexWriter,
                 com.atlassian.jira.issue.index.DefaultIndexManager" %>

<%
    String indexDir = null;

	if (request.getParameter("index.dir") != null)
	{
		session.setAttribute("index.dir", request.getParameter("index.dir"));
	}

    if (session.getAttribute("index.dir") != null)
    {
        indexDir = (String)session.getAttribute("index.dir");
    }
%>

<html>

	<head>

		<title>Index Browser</title>

	</head>

	<body>

	<p>

	<form action="indexbrowser.jsp">
		Which index would you like to browse?

        <input name="index.dir" value="<%= indexDir != null ? indexDir : "" %>">

		<input type="submit" value="Refresh">
	</form>

	<hr>

	<%
        IndexReader reader = null;

        if (indexDir != null)
        {

			try
			{
                IndexWriter writer = new IndexWriter(indexDir, DefaultIndexManager.ANALYZER, false);
                writer.optimize();
                writer.close();
                
				reader = IndexReader.open(indexDir);
			}
			catch (IOException e)
			{
				out.println("<b>Error</b>: Could not open index: " + e);
			}
		}
	%>

	<% if (reader != null) { %>

	<b>Index Location</b>: <%=  indexDir %><br>
	<b>Number of Documents</b>: <%= reader.numDocs() %><br>


	<ol>
	<%
		for (int i = 0; i < reader.numDocs(); i++) {
			try {
                Document doc = reader.document(i);
	%>
		<li><b><a href="viewdocument.jsp?doc=<%= i %>"><%= doc.get(DocumentConstants.ISSUE_KEY) %></a></b></li>
	<%
		    } catch (Exception e)
            {
    %>
        <li><b>Error: <%= e %></b></li>
    <%
            }
        }
	%>
	</ol>

	<% reader.close(); %>
	<% } %>


</body>

</html>

