<%@ page import="java.util.*"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>JIRA Configuration</title>
</head>

<body>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title">Settings</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#settings</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

    <tr bgcolor="#ffffff">
		<td valign=top width=40%>&nbsp; <b>Title</b></td>
		<td valign=top width=60%><webwork:property value="applicationProperties/string('jira.title')"/></td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Base URL</b></td>
		<td valign=top><a href="<webwork:property value="applicationProperties/string('jira.baseurl')"/>" target="_blank"><webwork:property value="applicationProperties/string('jira.baseurl')"/></a></td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b>Mode</b></td>
		<td valign=top><webwork:property value="applicationProperties/string('jira.mode')"/></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Introduction</b></td>
		<td valign=top><webwork:property value="applicationProperties/text('jira.introduction')" escape="false" /></td>
	</tr>
</page:applyDecorator>
</p>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title">Internationalisation</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#i18n</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

    <tr bgcolor="#ffffff">
		<td valign=top width=40%>&nbsp; <b>Character Encoding</b></td>
		<td valign=top width=60%><webwork:property value="applicationProperties/string('webwork.i18n.encoding')" /></td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Indexing Language</b></td>
		<td valign=top><webwork:property value="applicationProperties/string('jira.i18n.language.index')" /></td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b>Installed Languages</b></td>
		<td valign=top>
        <webwork:iterator value="localeUtils/installedLocales" status="'status'">
            <webwork:property value="./displayName"/><webwork:if test="@status/last == false"><br></webwork:if>
        </webwork:iterator>
        </td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Default Language</b></td>
		<td valign=top><webwork:property value="applicationProperties/defaultLocale/displayName" /></td>
	</tr>
</page:applyDecorator>
</p>

<p>
<page:applyDecorator name="jiratable">
    <page:param name="title">Options</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURLFragment">#options</page:param>
    <page:param name="helpURL">configuration</page:param>
    <page:param name="titleColspan">2</page:param>

	<tr bgcolor="#ffffff">
		<td valign=top width=40%>&nbsp; <b>Allow users to vote on issues</b></td>
		<td valign=top width=60%>
			<webwork:if test="applicationProperties/option('jira.option.voting') == true">
				<font color="009900"><b>ON</b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><b>OFF</b></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Allow users to watch issues</b></td>
		<td valign=top>
			<webwork:if test="applicationProperties/option('jira.option.watching') == true">
				<font color="009900"><b>ON</b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><b>OFF</b></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b>Allow unassigned issues</b></td>
		<td valign=top>
			<webwork:if test="applicationProperties/option('jira.option.allowunassigned') == true">
				<font color="009900"><b>ON</b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><b>OFF</b></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Cache issues</b></td>
		<td valign=top>
			<webwork:if test="applicationProperties/option('jira.option.cache.issues') == true">
				<font color="009900"><b>ON</b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><b>OFF</b></font>
			</webwork:else>
		</td>
	</tr>
	<tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b>External user management</b></td>
		<td valign=top>
			<webwork:if test="applicationProperties/option('jira.option.user.externalmanagement') == true">
				<font color="009900"><b>ON</b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><b>OFF</b></font>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Logout Confirmation</b></td>
		<td valign=top>
			<webwork:if test="applicationProperties/defaultBackedString('jira.option.logoutconfirm') == 'never'">
				<b>Never</b>
			</webwork:if>
            <webwork:elseIf test="applicationProperties/defaultBackedString('jira.option.logoutconfirm') == 'cookie'">
                <b>Cookie</b>
            </webwork:elseIf>
			<webwork:else>
				<b>Always</b>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#ffffff">
		<td valign=top>&nbsp; <b>Use Gzip Compression</b></td>
		<td valign=top>
			<webwork:if test="applicationProperties/option('jira.option.web.usegzip') == true">
				<font color="009900"><b>ON</b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><b>OFF</b></font>
			</webwork:else>
		</td>
	</tr>
    <tr bgcolor="#fffff0">
		<td valign=top>&nbsp; <b>Accept remote API calls</b></td>
		<td valign=top>
			<webwork:if test="applicationProperties/option('jira.option.rpc.allow') == true">
				<font color="009900"><b>ON</b></font>
			</webwork:if>
			<webwork:else>
				<font color="990000"><b>OFF</b></font>
			</webwork:else>
		</td>
	</tr>
</page:applyDecorator>
</p>

<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2 align=center>
			<a href="EditApplicationProperties!default.jspa"><b>Edit Configuration</b></a>
		</td>
	</tr>
</table>
</td></tr></table>
</p>

</body>
</html>
