<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Attachments</title>
</head>

<body>

<body>
    <page:applyDecorator name="jiratable">
        <page:param name="title">Attachment Settings</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="titleColspan">2</page:param>
        <page:param name="helpURL">attachments</page:param>
        <page:param name="description">
        To enable a user to attach files, ensure that the user has the <b>Create Attachments</b> permission for a particular project.
        <ul>
          <li><b>Attachment Path:</b> The absolute or relative path to the directory under which attached files will be stored.<br>
          When changing this path you will have to manually copy any existing attachments across to the new directory.
          </li>
          <li><b>Enable Thumbnails:</b> Enables the creation of thumbnail images of image attachments.
          </li>
        </ul>

          For more information, click the help link.
        </page:param>

        <tr class="rowNormal">
            <td valign="top"  width=40% align=left>
            &nbsp; <b>Allow Attachments</b>
            <td width=60%>
                <webwork:if test="applicationProperties/option('jira.option.allowattachments') == true">
                    <font color="009900"><b>ON</b></font>
			    </webwork:if>
			    <webwork:else>
				    <font color="990000"><b>OFF</b></font>
                </webwork:else>
            </td>
        </tr>
        <tr class="rowAlternate">
		<td valign=top width=40%>&nbsp; <b>Attachment Path</b></td>
		<td valign=top width=60%><webwork:property value="applicationProperties/string('jira.path.attachments')" /></td>
	</tr>
        <tr class="rowNormal">
            <td valign="top" width=40% align=left>
            &nbsp; <b>Enable Thumbnails</b>
            </td>
            <td width=60%>
                <webwork:if test="applicationProperties/option('jira.option.allowthumbnails') == true">
                    <font color="009900"><b>ON</b></font>
			    </webwork:if>
			    <webwork:else>
				    <font color="990000"><b>OFF</b></font>
                </webwork:else>
            </td>
        </tr>
    </page:applyDecorator>
<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor=f0f0f0>
		<td class="colHeaderLink" colspan=2 align=center>
			<a href="EditAttachmentSettings!default.jspa"><b>Edit Configuration</b></a>
		</td>
	</tr>
</table>
</td></tr></table>
</p>


</body>
</html>