
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>Delete Link Type: [<webwork:property value="linkType/string('linkname')" />]</title>
</head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="title">Delete Link Type: <webwork:property value="linkType/string('linkname')" /></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="description">
		<p>Are you sure you want to delete this link type?</p>
		<p>There are currently <b><webwork:property value="links/size" /></b> matching links.</p>
	</page:param>

    <page:param name="width">100%</page:param>
	<page:param name="action">DeleteLinkType.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI">ViewLinkTypes.jspa</page:param>

    <webwork:if test="links/size > 0">


        <webwork:if test="otherLinkTypes/size > 0">
            <tr>
                <td bgcolor=ffffff>&nbsp;</td>
                <td bgcolor=ffffff>
                    <input type="radio" name="action" value="swap"
                        <webwork:if test="action == 'swap'">
                        checked
                        </webwork:if>
                    >
                    Swap current links to link type:
                    <select name="swapLinkTypeId">
                        <webwork:iterator value="otherLinkTypes">
                        <option value="<webwork:property value="long('id')" />"
                            <webwork:if test="swapLinkTypeId == id">selected</webwork:if>
                        >
                            <webwork:property value="string('linkname')" />
                        </option>
                        </webwork:iterator>
                    </select>
                </td>
            </tr>
            <tr>
                <td bgcolor=ffffff>&nbsp;</td>
                <td bgcolor=ffffff>
                    <input type="radio" name="action" value="remove"
                        <webwork:if test="action == 'remove'">
                        checked
                        </webwork:if>
                    >
                    Remove all links.
                </td>
            </tr>
        </webwork:if>
        <webwork:else>
            <tr>
                <td bgcolor=ffffff>&nbsp;</td>
                <td bgcolor=ffffff>
                    <input type="hidden" name="action" value="remove">
                    There are no other link types. All links will be removed.
                </td>
            </tr>
        </webwork:else>
    </webwork:if>
    <webwork:else>
        <tr>
            <td bgcolor=ffffff>&nbsp;</td>
            <td bgcolor=ffffff>
                <input type="hidden" name="action" value="remove" />
                Deleting this link type will not alter any existing links, as there are <b>0</b> links in this link type.
            </td>
        </tr>
    </webwork:else>


	<ui:component name="'id'" template="hidden.jsp" />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>