<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Edit JIRA Configuration</title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="action">EditApplicationProperties.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewApplicationProperties.jspa</page:param>
	<page:param name="title">Settings</page:param>
	<page:param name="width">100%</page:param>

	<ui:textfield label="'Application Title'" name="'title'">
		<ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			The application title will be used to 'name' this installation.
		</ui:param>
	</ui:textfield>

	<ui:select label="'Mode'" name="'mode'"
		list="allowedModes" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
			JIRA can operate in two modes:<br>
			1. Public - Any user can signup and post issues.<br>
			2. Private - Only administrators can create new users.
		</ui:param>
	</ui:select>

	<ui:textfield label="'Base URL'" name="'baseURL'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			This is the base URL of this installation of JIRA. All links created (for emails etc)
			will be prefixed by this URL.
		</ui:param>
	</ui:textfield>


	<ui:textarea label="'Introduction'" name="'introduction'" rows="8" cols="60">
		<ui:param name="'description'">
			A short introduction message displayed on the dashboard.<br>
            You can include HTML, make sure to close all your tags.
		</ui:param>
	</ui:textarea>

    <tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff">&nbsp;</td>
	</tr>

	<tr>
		<td colspan=2 bgcolor=f0f0f0><h3 class="formtitle">Internationalisation</h3></td>
	</tr>

    <ui:textfield label="'Character Encoding'" name="'encoding'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			The character set to accept and display information in.  For most western languages - the default ("UTF-8") should
            be suitable.  Note that if you change this, you may also need to change your database encoding.
		</ui:param>
	</ui:textfield>

    <ui:select label="'Indexing Language'" name="'language'"
		list="allowedLanguages" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
			Indexing and searching for issues is affected by the language that the issues are entered in.<br>
            Please choose the language that issues are entered in.  If multiple languages are chosen, choose 'Other'.<br>
            You will need to <a href="IndexAdmin.jspa">re-index</a> if you change this value.<br>
		</ui:param>
	</ui:select>

    <tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Installed Languages
        </span></td>
		<td bgcolor="ffffff">
            <webwork:iterator value="localeUtils/installedLocales" status="'status'">
                <webwork:property value="./displayName"/><webwork:if test="@status/last == false">, </webwork:if>
            </webwork:iterator><br>
			<font size="1">
				To install a new locale, you need to add a new language bundle and then restart JIRA
                for the new locale(s) to be picked up.
                <webwork:component template="help.jsp" name="'i18n'">
                    <webwork:param name="'align'">middle</webwork:param> 
                </webwork:component>
			</font>
		</td>
	</tr>


    <ui:select label="'Default Language'" name="'defaultLocale'"
		list="/installedLocales" listKey="'key'" listValue="'value'">
		<ui:param name="'description'">
            Determines the language which JIRA is displayed in. Only installed locales are shown in this list.<br>
            Choose 'None' to use the JVM default. 
		</ui:param>
	</ui:select>

	<tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff">&nbsp;</td>
	</tr>

	<tr>
		<td colspan=2 bgcolor=f0f0f0><h3 class="formtitle">Options</h3></td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Voting
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="voting" <webwork:if test="voting == true">checked</webwork:if>> On
			&nbsp;
			<input type="radio" value="false" name="voting" <webwork:if test="voting == false">checked</webwork:if>> Off
			<br><font size="1">
				Allows users to vote on which issues they would like resolved.
			</font>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Watching
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="watching" <webwork:if test="watching == true">checked</webwork:if>> On
			&nbsp;
			<input type="radio" value="false" name="watching" <webwork:if test="watching == false">checked</webwork:if>> Off
			<br><font size="1">
				Allows users to watch issues and keep notified of their progress.
			</font>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Allow Unassigned Issues
        </span></td>
		<td bgcolor="ffffff">
            <webwork:if test="allowUnassigned == false || canSwitchUnassignedOff == true">
                <input type="radio" value="true" name="allowUnassigned" <webwork:if test="allowUnassigned == true">checked</webwork:if>> On
                &nbsp;
                <input type="radio" value="false" name="allowUnassigned" <webwork:if test="allowUnassigned == false">checked</webwork:if>> Off
                <br><font size="1">
                    Allows issues to be assigned to 'no-one' or unassigned. If turned off, issues will always be assigned to someone -
                    when created they will be automatically assigned to the project lead who then passes them off.
                </font>
            </webwork:if>
            <webwork:else>
                <webwork:if test="unassignedIssueCount > 0">
                    <p>
                    <font size="1">
                    Cannot turn off 'Allow Unassigned Issues' as there are <webwork:property value="unassignedIssueCount"/> <a href="<webwork:url page="/secure/IssueNavigator.jspa"><webwork:param name="'assigneeSelect'" value="'unassigned'"/><webwork:param name="'reset'" value="'true'"/></webwork:url>">issue(s)</a> that are unassigned.<br>
                    Please assign these issues before disabling Unassigned Issues.<br>
                    N.B. You may not have permissions to view all of these issues
                    </font>
                    </p>
                </webwork:if>
                <webwork:if test="projectsWithDefaultUnassignedCount > 0">
                    <p>
                    <font size="1">
                    Cannot turn off 'Allow Unassigned Issues' as there are <webwork:property value="projectsWithDefaultUnassignedCount"/> <a href="<webwork:url page="ViewProjects.jspa"/>">project(s)</a> that have Default assignees set to "Unassigned".<br>
                    Please edit these projects before disabling Unassigned Issues.<br>
                    </font>
                    </p>
                </webwork:if>
                </font>
            </webwork:else>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Cache Issues
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="cacheIssues" <webwork:if test="cacheIssues == true">checked</webwork:if>> On
			&nbsp;
			<input type="radio" value="false" name="cacheIssues" <webwork:if test="cacheIssues == false">checked</webwork:if>> Off
			<br><font size="1">
				Whether or not to cache issues in memory. This is very simply a trade off between
                speed (slower when off) and memory usage (higher when on). The memory usage of this
                cache is not large, so it should almost always be set to ON.
			</font>
		</td>
	</tr>

	<tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			External User Management
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="externalUM" <webwork:if test="externalUM == true">checked</webwork:if>> On
			&nbsp;
			<input type="radio" value="false" name="externalUM" <webwork:if test="externalUM == false">checked</webwork:if>> Off
			<br><font size="1">
				Indicates that you are using user management from outside JIRA. JIRA will not display
				options for users to change their password, or edit their profile.<br>
                <b>Note:</b> With the default 'osuser' LDAP provider, this should be left <b>off</b>, as accounts are not yet stored in LDAP.
			</font>
		</td>
	</tr>

    <tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
            Logout Confirmation
        </span></td>
		<td bgcolor="ffffff">
        <input type="radio" value="never" id="logout_never" name="logoutConfirm" <webwork:if test="logoutConfirm == 'never'">checked</webwork:if>>
            <label for="logout_never">Never</label> &nbsp;
        <input type="radio" value="cookie" id="logout_cookie" name="logoutConfirm" <webwork:if test="logoutConfirm == 'cookie'">checked</webwork:if>>
            <label for="logout_cookie">Cookie</label> &nbsp;
		<input type="radio" value="always" id="logout_always" name="logoutConfirm" <webwork:if test="logoutConfirm == 'always'">checked</webwork:if>>
            <label for="logout_always">Always</label> &nbsp;
			<br><font size="1">
                Whether to obtain user's confirmation when logging out. 'cookie' means prompt for confirmation if the user was
                automatically logged in (via a cookie). Default is 'never'.
			</font>
		</td>
	</tr>

    <tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Use GZip Compression
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="useGzip" id="useGzipOn" <webwork:if test="useGzip == true">checked</webwork:if>> <label for="useGzipOn">On</label>
			&nbsp;
			<input type="radio" value="false" name="useGzip" id="useGzipOff" <webwork:if test="useGzip == false">checked</webwork:if>> <label for="useGzipOff">Off</label>
			<br><font size="1">
                Whether to use gzip compression to compress JIRA's web pages.  This is useful if JIRA is being run over slow networks.
                It incurs a slight performance penalty, and may not work for non-english languages.
                </font>
		</td>
	</tr>

    <tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			Allow remote API access
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="allowRpc" id="allowRpcOn" <webwork:if test="allowRpc == true">checked</webwork:if>> <label for="allowRpcOn">On</label>
			&nbsp;
			<input type="radio" value="false" name="allowRpc" id="allowRpcOff" <webwork:if test="allowRpc == false">checked</webwork:if>> <label for="allowRpcOff">Off</label>
			<br><font size="1">
                Whether or not to allow remote client access (via XML-RPC or SOAP) to this JIRA installation for authenticated users.
                </font>
		</td>
	</tr>

	<tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff">&nbsp;</td>
	</tr>
</page:applyDecorator>
</body>
</html>