<%@ page import="com.atlassian.jira.ManagerFactory"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Look and Feel Configuration</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">EditLookAndFeel.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewLookAndFeel.jspa</page:param>
	<page:param name="title">Logo</page:param>
	<page:param name="buttons">&nbsp;<input type="button" value="Reset Defaults" onclick="location.href='EditLookAndFeel!reset.jspa'">&nbsp;</page:param>

	<ui:textfield label="'Logo URL'" name="'logoUrl'">
		<ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			The URL for the logo.  It may be absolute (beginning with 'http(s)://')
            or relative to the web application root (eg. '/images/logo.png').
		</ui:param>
	</ui:textfield>

	<ui:textfield label="'Logo Width'" name="'logoWidth'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			The width of the logo.  If you specify the logo above, you <i>must</i> specify a logo width.
		</ui:param>
	</ui:textfield>

	<ui:textfield label="'Logo Height'" name="'logoHeight'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			The height of the logo.  If you specify the logo above, you <i>must</i> specify a logo height.
		</ui:param>
	</ui:textfield>

	<tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff">&nbsp;</td>
	</tr>


	<tr>
		<td colspan=2 bgcolor=f0f0f0><h3 class="formtitle">Colours</h3></td>
	</tr>

	<ui:component label="'Top Background Colour'" name="'topBgColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

    <ui:component label="'Top Text Colour'" name="'topTextColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

	<ui:component label="'Menu Background Colour'" name="'menuBgColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

	<ui:component label="'Menu Text Colour'" name="'menuTextColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

	<ui:component label="'Menu Bar Highlight Colour'" name="'menuHighlightColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

    <ui:component label="'Menu Bar Text Highlight Colour'" name="'menuTextHighlightColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

    <ui:component label="'Link Colour'" name="'linkColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

    <ui:component label="'Link Active Colour'" name="'linkAColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>

    <ui:component label="'Heading Colour'" name="'headingColour'" template="colorpicker.jsp">
        <ui:param name="'size'">40</ui:param>
    </ui:component>



    <tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff">&nbsp;</td>
	</tr>


	<tr>
		<td colspan=2 bgcolor=f0f0f0><h3 class="formtitle">Date/Time Formats</h3>
        Documentation on date/time formats can be found <a href="http://java.sun.com/j2se/1.4.2/docs/api/java/text/SimpleDateFormat.html">online</a>.
		</td>
	</tr>
	<ui:textfield label="'Time Format'" name="'formatTime'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            E.g. hh:mm a (11:55 AM)
        </ui:param>
	</ui:textfield>

	<ui:textfield label="'Day Format'" name="'formatDay'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            E.g. EEEE hh:mm a (Wednesday 11:55 AM)
        </ui:param>
	</ui:textfield>

	<ui:textfield label="'Complete Date Time Format'" name="'formatComplete'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            E.g. dd/MMM/yy hh:mm a (01/Jul/03 11:55 AM)
        </ui:param>
	</ui:textfield>

	<ui:textfield label="'Day/Month/Year Format'" name="'formatDMY'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            E.g. dd/MMM/yy (01/Jul/03)
        </ui:param>
	</ui:textfield>

	<ui:component label="'Date Picker Format:'" template="label.jsp">
        <ui:param name="'description'">
            Please edit file 'jira-application.properties' and restart JIRA
        </ui:param>
        <ui:param name="'value'">
            Not currently editable through web interface
        </ui:param>
	</ui:component>

    <ui:component name="'preview'" value="'false'" template="hidden.jsp" theme="'single'"  />



    <tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff">&nbsp;</td>
	</tr>

	<tr>
		<td align="right" bgcolor="fffff0">&nbsp;</td>
		<td bgcolor="ffffff"><p><font size=1>To restore system default for any single field, set that field to be blank, and click update.<br>
        To restore system defaults for all fields, click the reset button below.</font></p></td>
	</tr>


</page:applyDecorator>

</body>
</html>
