<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>JIRA Trackbacks</title>
</head>

<body>
       <page:applyDecorator name="jiraform">
        <page:param name="action">TrackbackAdmin.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
        <page:param name="title">Trackback Settings</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="cancelURI">TrackbackAdmin.jspa</page:param>
        <page:param name="description">
          <em>Trackback</em> is a system for notifying websites that a page has been linked to. For details, see the <a href="http://www.movabletype.org/docs/mttrackback.html">specification</a>.<br>
          JIRA supports sending and receiving of trackback pings.
          <ul>
          <li><b>Incoming:</b> If another trackback-enabled site (such as a weblog, wiki or <a href="http://www.atlassian.com/software/confluence/">Confluence</a>) links to a JIRA issue,
  JIRA will be informed of this link, and automatically link back to the referrer.</p></li>
          <li><b>Outgoing:</b> If a URL to an external trackback-enabled site is made from text entered in JIRA, that external site can be notified of the mention.</p></li>
          <li><b>URL Patterns to Exclude:</b> A list of Perl style regular expressions when if matched, excludes the matching URLs from receiving trackbacks from this installation.
                <ul>
                    <li>Perl style regular expressions are used ( <i>.*</i> matches all, <i>*</i> matches previous character)</li>
                    <li>The base URL is excluded automatically (<i><webwork:property value="applicationProperties/string('jira.baseurl')" />.*</i> is excluded)</li>
                    <li>One expression per line</li>
                    <li>Example:<br>
                    .*server.domain.com.*<br>
                    .*server2.domain.com.*<br>
                    .*domain2.com.*
                    </li>
                    <li>For more information on Perl regular expressions - please refer to the
                        <a href="http://www.perldoc.com/perl5.8.0/pod/perlre.html" TARGET="_blank">Perl Manual</a>.
                    </li>
                </ul>
          </li>
          </ul>
          For more information, click the help link.

        </page:param>

    <tr>
		<td align="right" valign="top" bgcolor="fffff0" nowrap><span class="label">
            Accept Incoming trackback pings
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="acceptPings" id="acceptPingsTrue" <webwork:if test="acceptPings == true">checked</webwork:if>> <label for="acceptPingsTrue">On</label>
			&nbsp;
			<input type="radio" value="false" name="acceptPings" id="acceptPingsFalse" <webwork:if test="acceptPings == false">checked</webwork:if>> <label for="acceptPingsFalse">Off</label>
			<br>
            <font size="1">
                What to do if JIRA receives notification that a comment has been made about an issue (a ping has been received).
                Options are to link to the referring URL (On), or ignore the ping (Off).
            </font>
		</td>
	</tr>

		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
            Send Outgoing trackback pings
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="sendPings" id="sendPingsTrue" <webwork:if test="sendPings == true">checked</webwork:if>> <label for="sendPingsTrue">On</label>
			&nbsp;
			<input type="radio" value="false" name="sendPings" id="sendPingsFalse" <webwork:if test="sendPings == false">checked</webwork:if>> <label for="sendPingsFalse">Off</label>
			<br><font size="1">
                If a user enters a link to a trackback-enabled site, whether JIRA should notify that site of the mention.
                </font>
		</td>
	</tr>
    <ui:textarea label="'URL Patterns to Exclude'" name="'urlExcludePattern'" rows="8" cols="70" >
        <ui:param name="'description'">
        List of Perl regular expressions (one per line), of URLs to exclude from receiving trackbacks.
        </ui:param>
    </ui:textarea>
        <page:param name="helpURL">trackback</page:param>
    </page:applyDecorator>

</body>
</html>
