<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:bean name="'com.atlassian.jira.util.JiraDateUtils'" id="dateUtils" />
<html>
<head>
	<title>JIRA Indexing</title>
</head>
<body>
<webwork:if test="indexing == true">
    <page:applyDecorator name="jiraform">
    <page:param name="action">IndexReIndex.jspa</page:param>
    <page:param name="submitName">Re-Index</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="title">Re-Indexing</page:param>
    <page:param name="helpURL">searchindex</page:param>
    <%--    <page:param name="helpDescription">with Indexing</page:param>--%>
    <page:param name="description">
        <webwork:if test="reindexTime > 0">
            <p>Re-Indexing was <b><font color="green">successful</font></b> and took: <b><webwork:property value="@dateUtils/formatTime(reindexTime)" /></b>. <br />
            Refreshing stats was <b><font color="green">successful</font></b> and took: <b><webwork:property value="@dateUtils/formatTime(refreshStatsTime)" /></b>.</p>
        </webwork:if>
        <p>
        To re-index click the button, if you wish to change the indexing directory please enter a valid directory below.
        <p>
        This may take a minute or two, as all data must be indexed.
        <p>
        If statistics are out of date you may be able to <a href="RefreshStatistics!default.jspa">refresh statistics</a> without re-indexing instead.
    </page:param>
    <ui:textfield label="'Search Index Path'" name="'newIndexPath'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            The absolute or relative path to the directory under which indexes for searching will be stored.
        </ui:param>
    </ui:textfield>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
    <page:applyDecorator name="jiraform">
    <page:param name="action">IndexActivate.jspa</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="submitName">Activate</page:param>
    <page:param name="title">Indexing</page:param>
    <page:param name="helpURL">searchindex</page:param>
    <%--	<page:param name="helpDescription">with Indexing</page:param>--%>
    <page:param name="description">
        Indexing is currently <font color="990000"><b>OFF</b></font>.
        <p>
        To activate indexing, enter a valid directory below.
        <p>
        This may take a minute or two, as all data must be indexed the first time you turn indexing on.
    </page:param>

    <ui:textfield label="'Search Index Path'" name="'indexPath'">
        <ui:param name="'size'">40</ui:param>
        <ui:param name="'description'">
            The absolute or relative path to the directory under which indexes for searching will be stored.
        </ui:param>
    </ui:textfield>
    </page:applyDecorator>
</webwork:else>
</body>
</html>