<%@ page import="com.atlassian.jira.util.BuildUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Support Request</title>
</head>

<body>

<table width="100%" cellpadding="10" cellspacing="0" border="0">
    <tr>
        <td>
            <webwork:if test="/hasMailServer == true">
                <page:applyDecorator name="jiraform">
                    <page:param name="title">Support Request</page:param>
                    <page:param name="description">Please enter the details of your support problem here. Information about your system
                        and JIRA configuration, as found below, will also be attached to the email sent by this form. This information is important to
                        help us solve your problem.
                        <p>
                        <b>Note:</b> Please be patient when submitting this form. It may take a few minutes depending on how long it takes to export
                        your data to a file.
                    </page:param>
                    <page:param name="action">JiraSupportRequest.jspa</page:param>
                    <page:param name="submitName">Submit</page:param>

                    <ui:textfield label="'To'" name="'to'" size="60" maxlength="255">
                        <ui:param name="'description'">Enter a comma separated list of email addresses</ui:param>
                        <ui:param name="'mandatory'" value="true" />
                    </ui:textfield>

                    <ui:textfield label="'CC'" name="'cc'" size="60" maxlength="255">
                        <ui:param name="'description'">Enter a comma separated list of email addresses</ui:param>
                    </ui:textfield>

                    <ui:textfield label="'Subject'" name="'subject'" size="60" maxlength="255">
                        <ui:param name="'description'">Enter a one-line summary of the problem</ui:param>
                        <ui:param name="'mandatory'" value="true" />
                    </ui:textfield>

                    <ui:textarea label="'Description'" name="'description'" cols="'70'" rows="'20'" >
                        <ui:param name="'description'"></ui:param>
                        <ui:param name="'mandatory'" value="true" />
                    </ui:textarea>

                    <ui:checkbox label="'Data Export'" name="'attachzipexport'" fieldValue="'true'">
                        <ui:param name="'description'">Attach an XML export of your JIRA data (recommended).<br>
                            Atlassian will handle your data with strict confidence and will not disclose it to any third parties.<br>
                            <u>Note:</u> If you have commercially sensitive data, please uncheck this box.
                        </ui:param>
                    </ui:checkbox>

                    <ui:textfield label="'Log file'" name="'zippedlogfilepath'" size="60" maxlength="255">
                        <ui:param name="'description'">Specify the path to your file.  If you wish to attach multiple files (such as screenshots), please zip them.</ui:param>
                    </ui:textfield>

                    <ui:textfield label="'Contact Name'" name="'name'" size="60" maxlength="255">
                        <ui:param name="'mandatory'" value="true" />
                    </ui:textfield>

                    <ui:textfield label="'Contact Email'" name="'email'" size="60" maxlength="255">
                        <ui:param name="'mandatory'" value="true" />
                    </ui:textfield>

                    <ui:textfield label="'Contact Number'" name="'phone'" size="60" maxlength="255" />

                    <tr>
                        <td bgcolor="fffff0" align=right valign=top>Environment:</td>
                        <td bgcolor="ffffff">
                        <table cellpadding=1 cellspacing=0 border=0 bgcolor=666666 width=80%><tr><td>
                            <table bgcolor="f0f0f0" width=100% cellpadding=1>

                                <webwork:iterator value="props" status="'status'">
                                <tr>
                                    <td nowrap width=1%><b><webwork:property value="key" /></b></td>
                                    <td ><webwork:property value="value" /></td>
                                </tr>
                                </webwork:iterator>

                                <webwork:iterator value="JVMstats" status="'status'">
                                <tr>
                                    <td nowrap width=1%><b><webwork:property value="key" /></b></td>
                                    <td ><webwork:property value="value" /></td>
                                </tr>
                                </webwork:iterator>

                                <webwork:iterator value="buildStats" status="'status'">
                                <tr>
                                    <td nowrap width=1%><b><webwork:property value="key" /></b></td>
                                    <td ><webwork:property value="value" /></td>
                                </tr>
                                </webwork:iterator>

                            </table>
                            </tr></td></table>
                        </td>
                    </tr>
                </page:applyDecorator>
            </webwork:if>
            <webwork:else>
                <page:applyDecorator name="jiraform">
                    <page:param name="action">ViewProjects.jspa</page:param>
                    <page:param name="submitName">Cancel</page:param>
                    <page:param name="autoSelectFirst">false</page:param>
                    <page:param name="title">Support Request</page:param>
                    <page:param name="width">100%</page:param>
                    <page:param name="description">
                        <p>You can send a support request email here.</p>
                        <p>
                            <span class="warning">NOTE:</span> To send a support request you need to <a id="configure_mail_server" href="ViewMailServers.jspa">configure</a> a mail server.
                        </p>
                    </page:param>
                </page:applyDecorator>
            </webwork:else>
        </td>
    </tr>
</table>

</body>
</html>