<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Mail Queue Admin</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Mail Queue</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
		<webwork:if test="/page == 'errorqueue'">
			This page shows a list of mails that have persistently failed to send.
		</webwork:if>
		<webwork:else>
            This page shows you the current JIRA internal event queue, whose events may trigger notification emails. 
		</webwork:else>
        <webwork:if test="/mailSendingDisabled == true">
            <p><font color="990000">Warning</font>: Sending mail is disabled.</p>
        </webwork:if>
        <webwork:if test="/hasMailServer == false">
            <p><font color="990000">Warning</font>: There is no default <a href="<%=request.getContextPath()%>/secure/admin/ViewMailServers.jspa">mail server</a>, so mails will not be sent.</p>
        </webwork:if>
        <webwork:if test="/enabledNotificationSchemes == false">
            <p><font color="990000">Warning</font>: No projects have an associated notification scheme - no mail will be sent.</p>
        </webwork:if>

    </page:param>
	<webwork:if test="/page == 'errorqueue'">
		<p>
			The queue currently has <b><webwork:property value="mailQueue/errorSize" /></b> items in it.
		</p>
		<p>
			<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
			<a href="<webwork:url page="MailQueueAdmin.jspa"><webwork:param name="'resend'" value="'true'"/><webwork:param name="'page'" value="page"/></webwork:url>">Resend error queue</a> - this will attempt to resend all the items in the error queue.<br>
			<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
			<a href="<webwork:url page="MailQueueAdmin.jspa"><webwork:param name="'delete'" value="'true'"/><webwork:param name="'page'" value="page"/></webwork:url>">Delete error queue</a> - this will remove all items from the error queue.
		</p>
    </webwork:if>
    <webwork:else>
		<p>
			The queue currently has <b><webwork:property value="mailQueue/size" /></b> items in it.
		</p>
        <webwork:if test="mailQueue/sending == true">
        <p>
            The mail queue is sending, it started sending at <webwork:property value="mailQueue/prettySendingStartTime" />.
        </p>
        </webwork:if>
		<p>
			<img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
			<a href="MailQueueAdmin.jspa?flush=true">Flush mail queue</a> - this will send all mail in the queue immediately.
		</p>
    </webwork:else>
</page:applyDecorator>

<p>

<table cellpadding=2 cellspacing=0 border=0 width=100% align=center>
<tr>
	<webwork:if test="/page == 'errorqueue'">
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="MailQueueAdmin.jspa">Mail Queue (<webwork:property value="mailQueue/size" />)</a></b>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b>Mail Queue (<webwork:property value="mailQueue/size" />)</b></font>&nbsp;
		</td>
	</webwork:else>

	<webwork:if test="/page == 'errorqueue'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b>Error Queue (<webwork:property value="mailQueue/errorSize" />)</b></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="MailQueueAdmin.jspa?page=errorqueue">Error Queue (<webwork:property value="mailQueue/errorSize" />)</a></b>&nbsp;
		</td>
	</webwork:else>

	<td>&nbsp;</td>
</tr>
</table>

<table cellpadding=0 cellspacing=1 border=0 width=100% bgcolor=bbbbbb align=center><tr><td>
<table cellpadding=2 cellspacing=0 border=0 width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink" width="80%">
                <b>Subject</b>
            </td>
            <td class="colHeaderLink" width="20%">
                <b>Queued</b>
            </td>
        </tr>

        <webwork:iterator value="queuedItems" status="'status'">
            <tr bgcolor="#<webwork:if test="hasError == true">ffcccc</webwork:if><webwork:elseIf test="/mailSendingDisabled == true">ffdddd</webwork:elseIf><webwork:elseIf test="@status/modulus(2) == 1">ffffff</webwork:elseIf><webwork:else>fffff0</webwork:else>">
                <td valign=top>
                    <webwork:property value="subject" />
                </td>
                <td valign=top>
                    <webwork:property value="/outlookDate/formatDMYHMS(dateQueued)" />
                </td>
            </tr>
        </webwork:iterator>
        <webwork:if test="queuedItems/size == 0">
            <tr bgcolor=ffffff><td colspan=2>
                There are currently no queued mail items.
            </td></tr>
        </webwork:if>

    </table>
</td></tr></table>
</body>
</html>
