<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Scheduler Admin</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Scheduler Administration</page:param>
    <page:param name="description">
        This page shows you the properties of the JIRA internal scheduler, as well as the scheduled jobs and their triggers.
    </page:param>
    <page:param name="width">100%</page:param>

    <tr><td colspan=2 bgcolor=ffffff>
    <webwork:property value="scheduler/metaData">
    <p>
        Quartz Scheduler named <b><webwork:property value="schedulerName" /></b> with instance ID <b><webwork:property value="schedulerInstanceId" /></b>.<br>
        The scheduler has been running since <b><webwork:property value="/outlookDate/formatDMYHMS(runningSince)" /></b>
        and has executed <b><webwork:property value="numJobsExecuted" /></b> jobs.<br>
        The job store is class <b><webwork:property value="jobStoreClass" /></b> which does <webwork:if test="jobStoreSupportsPersistence == false">not</webwork:if> support persistence.<br>
        The thread pool is class <b><webwork:property value="threadPoolClass" /></b> which has <b><webwork:property value="threadPoolSize" /></b> threads.<br>
    </p>
    <p>
        Paused:
        <webwork:if test="paused == true"><font color="009900">TRUE</font></webwork:if>
        <webwork:else><font color="990000">FALSE</font></webwork:else><br>
        Shutdown:
        <webwork:if test="shutdown == true"><font color="009900">TRUE</font></webwork:if>
        <webwork:else><font color="990000">FALSE</font></webwork:else>
    </p>
    </webwork:property>
    </td></tr>
</page:applyDecorator>




<br>
<h3>Jobs</h3>
<hr>

<table width="100%" bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0"><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width="100%">
	<tr bgcolor=f0f0f0>
        <td class="colHeaderLink" width="25%">
			<b>Name</b>
		</td>
		<td class="colHeaderLink" width="55%">
			<b>Class</b>
		</td>
		<td class="colHeaderLink" width="20%">
			<b>Attributes</b>
		</td>
	</tr>

<webwork:iterator value="scheduler/jobGroupNames" status="'outerstatus'">
    <tr bgcolor=ffffff>
        <td colspan=4>
            <webwork:if test="@outerstatus/first == false">&nbsp;<br></webwork:if>
            <b>GROUP: <webwork:property value="." /></b>
        </td>
    </tr>

        <webwork:iterator value="/scheduler/jobNames(.)" status="'status'">
        <webwork:property value="/scheduler/jobDetail(., ..)">
            <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                <td valign=top>
                    <webwork:property value="name" />
                </td>
                <td valign=top>
                    <webwork:property value="jobClass/name" />
                </td>
                <td valign=top>
                    Volatile:
                    <webwork:if test="volatile == true"><font color="009900">TRUE</font></webwork:if>
                    <webwork:else><font color="990000">FALSE</font></webwork:else><br>
                    Durable:
                    <webwork:if test="durable == true"><font color="009900">TRUE</font></webwork:if>
                    <webwork:else><font color="990000">FALSE</font></webwork:else><br>
                    Stateful:
                    <webwork:if test="stateful == true"><font color="009900">TRUE</font></webwork:if>
                    <webwork:else><font color="990000">FALSE</font></webwork:else>
                </td>
            </tr>
        </webwork:property>
        </webwork:iterator>

</webwork:iterator>
    </table>
</td></tr></table>

</p>

<br>
<h3>Triggers</h3>
<hr>

<table width="100%" bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0"><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width="100%">
	<tr bgcolor=f0f0f0>
        <td class="colHeaderLink" width="25%">
			<b>Name</b>
		</td>
		<td class="colHeaderLink" width="40%">
			<b>Job</b>
		</td>
        <td class="colHeaderLink" width="15%">
			<b>Next Fire</b>
		</td>
		<td class="colHeaderLink" width="20%">
			<b>Attributes</b>
		</td>
	</tr>

<webwork:iterator value="scheduler/triggerGroupNames" status="'outerstatus'">
   <tr bgcolor=ffffff>
        <td colspan=4>
            <webwork:if test="@outerstatus/first == false">&nbsp;<br></webwork:if>
            <b>GROUP: <webwork:property value="." /></b>
        </td>
    </tr>

        <webwork:iterator value="/scheduler/triggerNames(.)" status="'status'">
        <webwork:property value="/scheduler/trigger(., ..)">
            <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                <td>
                    <webwork:property value="name" />
                </td>
                <td>
                    <webwork:property value="fullJobName" />
                </td>
                <td nowrap>
                    <webwork:property value="/outlookDate/formatDMYHMS(nextFireTime)" />
                </td>
                <td>
                    Volatile:
                    <webwork:if test="volatile == true"><font color="009900">TRUE</font></webwork:if>
                    <webwork:else><font color="990000">FALSE</font></webwork:else>
                </td>
            </tr>
        </webwork:property>
        </webwork:iterator>

</webwork:iterator>
    </table>
</td></tr></table>

</p>

</body>
</html>