<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>JIRA Time Tracking</title>
</head>
<body>
<webwork:if test="timeTracking == true">
    <page:applyDecorator name="jiraform">
        <page:param name="action">TimeTrackingDeActivate.jspa</page:param>
        <page:param name="submitName">Deactivate</page:param>
        <page:param name="title">Time Tracking</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">timetracking</page:param>
<%--	<page:param name="helpDescription">with Time Tracking</page:param>--%>
        <page:param name="description">
            <p>
            Time Tracking is currently <font color="009900"><b>ON</b></font>.<br>
            The number of working hours per day is <webwork:property value="hoursPerDay"/>.<br>
            The number of working days per week is <webwork:property value="daysPerWeek"/>.<br>
            <b>N.B.</b> To change these value deactivate and then reactivate Time Tracking.
            </p>
            <p>For the users you wish to be able to log work on issues, ensure that they have the <b>Work On Issues</b> permission in the relevant <a href="ViewPermissionSchemes.jspa">permission scheme</a>.</p>
            <p>To deactivate Time Tracking, simply click below.</p>
        </page:param>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
    <page:applyDecorator name="jiraform">
        <page:param name="action">TimeTrackingActivate.jspa</page:param>
        <page:param name="submitName">Activate</page:param>
        <page:param name="title">Time Tracking</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">timetracking</page:param>
<%--	<page:param name="helpDescription">with Time Tracking</page:param>--%>
        <page:param name="description">
            Time Tracking is currently <font color="990000"><b>OFF</b></font>.
            <p>
            Activate Time Tracking below.
            </p>
            <ui:select label="'Hours Per Day'" name="'hoursPerDay'" list="hours">
                <webwork:param name="'description'">Please specify the number of hours per working day. The default for this value is 24 hours.</webwork:param>
            </ui:select>
            <ui:select label="'Days Per Week'" name="'daysPerWeek'" list="days">
                <webwork:param name="'description'">Please specify the number of working days per week. The default for this value is 7 days.</webwork:param>
            </ui:select>
        </page:param>
    </page:applyDecorator>
</webwork:else>
</body>
</html>