<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>JIRA Trackbacks</title>
</head>

<body>
    <page:applyDecorator name="jiratable">
        <page:param name="title">Trackback Settings</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="titleColspan">2</page:param>
        <page:param name="helpURL">trackback</page:param>
        <page:param name="description">
          <em>Trackback</em> is a system for notifying websites that a page has been linked to. For details, see the <a href="http://www.movabletype.org/docs/mttrackback.html">specification</a>.<br>
          JIRA supports sending and receiving of trackback pings.
          <ul>
          <li><b>Incoming:</b> If another trackback-enabled site (such as a weblog, wiki or <a href="http://www.atlassian.com/software/confluence/">Confluence</a>) links to a JIRA issue,
            JIRA will be informed of this link, and automatically link back to the referrer.</p></li>
          <li><b>Outgoing:</b> If a URL to an external trackback-enabled site is made from text entered in JIRA, that external site can be notified of the mention.</p></li>
          <li><b>URL Patterns to Exclude:</b> A list of Perl style regular expressions when if matched, excludes the matching URLs from receiving trackbacks from this installation.</li>
          </ul>
          For more information, click the help link.

        </page:param>

        <tr>
            <td valign="top" bgcolor="ffffff" width=40% align=left>
            &nbsp; <b>Accept Incoming trackback pings</b>
            <td bgcolor="ffffff" width=60%>
                <webwork:if test="acceptPings == true">
                    <font color="009900"><b>ON</b></font>
			    </webwork:if>
			    <webwork:else>
				    <font color="990000"><b>OFF</b></font>
                </webwork:else>
            </td>
        </tr>
        <tr>
            <td valign="top" bgcolor="fffff0" width=40% align=left>
            &nbsp; <b>Send Outgoing pings</b>
            </td>
            <td  bgcolor="fffff0" width=60%>
                <webwork:if test="sendPings == true">
                    <font color="009900"><b>ON</b></font>
			    </webwork:if>
			    <webwork:else>
				    <font color="990000"><b>OFF</b></font>
                </webwork:else>
            </td>
        </tr>
        <tr>
            <td valign="top" bgcolor="fffff0" width=40% align=left>
            &nbsp; <b>URL Patterns to Exclude</b>
            </td>
            <td  bgcolor="fffff0" width=60%>
                <webwork:property value="applicationProperties/string('jira.trackback.exclude.pattern')" />
            </td>
        </tr>
    </page:applyDecorator>

    <p>
    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
    	<tr bgcolor=f0f0f0>
    		<td class="colHeaderLink" colspan=2 align=center>
    			<a href="TrackbackAdmin!default.jspa"><b>Edit Configuration</b></a>
    		</td>
    	</tr>
    </table>
    </td></tr></table>
    </p>

</body>
</html>