<%@ page import="com.atlassian.core.util.DateUtils,
                 com.atlassian.license.LicenseUtils,
                 com.atlassian.jira.util.BuildUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>License Information</title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">License Information</page:param>
    <page:param name="width">100%</page:param>

    This page shows your current licensing information.
    <p>
    You can use the Update License form to update the license JIRA is running with.
</page:applyDecorator>

<p>

<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=80%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr>
		<td bgcolor=f0f0f0 class="colHeaderLink" width="20%" valign="top">
			<b>Organisation</b>
		</td>
        <td bgcolor="#ffffff">
			<b><webwork:property value="/license/organisation"/></b>
		</td>

	</tr>
	<tr bgcolor=f0f0f0>

        <td class="colHeaderLink" valign="top">
            <b>Date Purchased</b>
        </td>
        <td bgcolor="#ffffff">
			<b><webwork:property value="/outlookDate/formatDMY(/license/datePurchased)"/></b>
		</td>
	</tr>
    <tr bgcolor=f0f0f0>

        <td class="colHeaderLink" valign="top">
            <b>License Type</b>
        </td>
        <td bgcolor="#ffffff">
			<b><webwork:property value="/license/licenseType"/></b>
		</td>
    </tr>
    <webwork:if test="oldLicenseWithNewInstall == false">
        <tr bgcolor=f0f0f0>
            <webwork:if test="evaluationLicense == true" >
                <td>
                    <b>License Expiration</b>
                </td>
                <td bgcolor="#ffffff">
                    <webwork:if test="license/expired == false">
                        Your evaluation of JIRA expires in <b><webwork:property value="expiryTime" /></b>.
                    </webwork:if>
                    <webwork:else>
                        Your evaluation of JIRA expired on <b><webwork:property value="/outlookDate/formatDMY(license/expiryDate)" /></b>.
                    </webwork:else>
                </td>
            </webwork:if>
            <webwork:else>
                <td class="colHeaderLink" valign="top">
                    <b>Support Period</b>
                </td>
                <td bgcolor="#ffffff">
                    <webwork:if test="hasSupportPeriodExpired == false">
                        Your commercial JIRA support and updates are available until <b><webwork:property value="/outlookDate/formatDMY(supportPeriodEnd)" /></b>.
                        <webwork:if test="supportPeriodAlmostExpired == true">
                            <br><font color="bb0000">If you wish to have access to commercial support and updates after this date, please contact <a href="mailto:sales@atlassian.com">Atlassian</a> to renew your license.</font>
                        </webwork:if>
                    </webwork:if>
                    <webwork:else>
                        Your commercial JIRA support has ended on <b><webwork:property value="/outlookDate/formatDMY(supportPeriodEnd)" /></b>.
                        JIRA updates created after <b><webwork:property value="/outlookDate/formatDMY(supportPeriodEnd)" /></b> are not available under this license.
                        <br><font color="bb0000">If you wish to renew your license, please contact <a href="mailto:sales@atlassian.com">Atlassian</a>.</font>
                    </webwork:else>
                </td>
             </webwork:else>
        </tr>
    </webwork:if>
	<webwork:else>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink" valign="top">
                <b>License Expiration</b>
            </td>
            <td bgcolor="#ffffff">
                JIRA licenses contain a period of upgrades and support.  Your support and upgrade period
                ended on <webwork:property value="/outlookDate/formatDMY(supportPeriodEnd)" />.
                <p>
                You are currently running a
                version of JIRA that was created after that date.
                <p>
                The current version of JIRA (<%= BuildUtils.getVersion()%>) was installed by
                <webwork:property value="confirmedUser/fullName" /> (<webwork:property value="confirmedUser/name" />)
                on <webwork:property value="/outlookDate/formatDMY(confirmedDate)" />.
                As your current license is not valid for this version, your use of JIRA should be considered
                an evaluation.
                <p>

			    <webwork:if test="confirmExtendLicenseExpired == true" >
                        <b><font color="#cc0000">Your evaluation period has expired.</font>  You will need to purchase
                        a new server license.</b>
                </webwork:if>
                <webwork:else>
                        <font color="#cc0000">The evaluation period will expire in</font> <b><webwork:property value="expiryTime"/>.</b>
                </webwork:else>
                    <p>Please <a href="http://www.atlassian.com/software/jira/?clicked=licensedetails&license=licenseExtension">contact Atlassian</a> for purchase and upgrade details.
                    <br>Alternatively, if you have purchased a new license, please enter the license details below.
		    </td>
	    </tr>
    </webwork:else>
</table>
</td></tr></table>

<style>
.fieldLabelArea
{
    width: 10%;
}
</style>

<p>
<page:applyDecorator name="jiraform">
	<page:param name="action">ViewLicense.jspa</page:param>
	<page:param name="submitName">Add</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="title"><webwork:if test="/license != null"><webwork:text name="'common.forms.update'"/></webwork:if><webwork:else>Add</webwork:else> License</page:param>
	<page:param name="description">Copy and paste the license key that you received via email below.</page:param>

	<ui:textarea label="'License'" name="'licenseString'" cols="50" rows="10" />
</page:applyDecorator>
</p>

</body>
</html>