
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>View Issue Link Types</title>
</head>

<body>

<webwork:if test="issueLinking == true">
    <page:applyDecorator name="jiraform">
        <page:param name="action">IssueLinkingDeActivate.jspa</page:param>
        <page:param name="submitName">Deactivate</page:param>
        <page:param name="title">Issue Linking</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="description">
            Issue linking is currently <font color="009900"><b>ON</b></font>.
            <p>
            For the users you wish to be able to link issues, ensure that they have the <b>Link Issues</b> permission for that particular project.
            <p>
            To deactivate issue linking, simply click below.
        </page:param>
        <page:param name="helpURL">issuelinking</page:param>
    </page:applyDecorator>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Outward Desc.</b>
            </td>
            <td class="colHeaderLink">
                <b>Inward Desc.</b>
            </td>
            <td class="colHeaderLink">
                &nbsp;
            </td>
        </tr>

        <%/*counter used to alternate background row colors*/%>
        <webwork:bean name="'webwork.util.Counter'" id="rowCount">
            <webwork:param name="'wrap'" value="true"/>
            <webwork:param name="'last'" value="2"/>
        </webwork:bean>

        <webwork:iterator value="linkTypes">
        <tr
            <webwork:if test="@rowCount/next == 1">
                bgcolor="#ffffff"
            </webwork:if>
            <webwork:if test = "@rowCount/next == 0"/>
            <webwork:if test = "@rowCount/next == 2">
                bgcolor="#fffff0"
            </webwork:if>
        >
            <td valign=top><b><webwork:property value="./name"/></b></td>
            <td valign=top><webwork:property value="./outward"/></td>
            <td valign=top><webwork:property value="./inward"/></td>
            </td>
            <td valign=top width=1% nowrap>
                <a href="EditLinkType!default.jspa?id=<webwork:property value="./id"/>">Edit</a>
                |
                <a id="del_<webwork:property value="./name"/>" href="DeleteLinkType!default.jspa?id=<webwork:property value="./id"/>">Del</a>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">ViewLinkTypes.jspa</page:param>
        <page:param name="submitName">Add</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="title">Add New Link Type</page:param>
        <page:param name="description">Add a new link type.</page:param>
        <page:param name="autoSelectFirst">false</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'">
            <ui:param name="'description'">(eg "Duplicate")</ui:param>
        </ui:textfield>

        <ui:textfield label="'Outward Link Description'" name="'outward'" size="'30'">
            <ui:param name="'description'">(eg "duplicates")</ui:param>
        </ui:textfield>

        <ui:textfield label="'Inward Link Description'" name="'inward'" size="'30'">
            <ui:param name="'description'">(eg "is duplicated by")</ui:param>
        </ui:textfield>
    </page:applyDecorator>
    </p>
</webwork:if>
<webwork:else>
    <page:applyDecorator name="jiraform">
        <page:param name="action">IssueLinkingActivate.jspa</page:param>
        <page:param name="submitName">Activate</page:param>
        <page:param name="title">Issue Linking</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            Issue linking is currently <font color="990000"><b>OFF</b></font>.
            <p>
            Activate issue linking below.
        </page:param>
    </page:applyDecorator>
</webwork:else>

</body>
</html>
