<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Group: <webwork:property value="name" /></title>
</head>

<body>

	<page:applyDecorator name="jiraform">
		<page:param name="description">
			<p>
			If you delete a group, all users in that group will be removed from the group first.
			</p>
			<p>
			Deleting a group will not delete any users.
			</p>
		</page:param>

		<page:param name="title">Delete Group: <webwork:property value="name" /></page:param>
		<page:param name="width">100%</page:param>
		<page:param name="action">DeleteGroup.jspa</page:param>
		<page:param name="submitName">Delete</page:param>
		<page:param name="cancelURI">GroupBrowser.jspa</page:param>
		<page:param name="autoSelectFirst">false</page:param>

        <webwork:if test="matchingComments/size > 0">
        <tr>
            <td bgcolor=ffffff>&nbsp;</td>
            <td bgcolor=ffffff>
                There are comments that only this group can see.
                <p>
                Deleting this group would make those comments invisible.
                <p>
                Move these comments to be seen by group:
                <select name="swapGroup">
                    <webwork:iterator value="otherGroups">
                    <option value="<webwork:property value="." />" selected>
                        <webwork:property value="." />
                    </option>
                    </webwork:iterator>
                </select>
            </td>
        </tr>
        </webwork:if>

		<ui:component name="'name'" template="hidden.jsp"  theme="'single'" />
        <ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />

	</page:applyDecorator>

</body>
</html>