
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete User: <webwork:property value="name" /></title>
</head>

<body>

<webwork:if test="user">
<webwork:if test="deleteable == 'true'">
	<page:applyDecorator name="jiraform">
		<page:param name="description">
			<p>Users may only be deleted if they have no assigned or reporter issues.</p>
		</page:param>
        <page:param name="title">Delete User: <webwork:property value="name" /></page:param>
		<page:param name="width">100%</page:param>
		<page:param name="action">DeleteUser.jspa</page:param>
		<page:param name="submitName">Delete</page:param>
		<page:param name="cancelURI">UserBrowser.jspa</page:param>
		<page:param name="autoSelectFirst">false</page:param>

		<ui:component name="'name'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />
        
		<ui:component label="'Assigned Issues'" template="textlabel.jsp">
            <webwork:param name="'texthtml'"><a href="<webwork:url page="/secure/IssueNavigator.jspa"><webwork:param name="'reset'" value="'true'"/><webwork:param name="'mode'" value="'hide'"/><webwork:param name="'sorter/order'" value="'ASC'"/><webwork:param name="'sorter/field'" value="'priority'"/><webwork:param name="'pid'" value=".././long('id')"/><webwork:param name="'assigneeSelect'" value="'specificuser'"/><webwork:param name="'assignee'" value="name" /></webwork:url>"><webwork:property value="assignedIssues/size"/></a></webwork:param>
        </ui:component>
		<ui:component label="'Reported Issues'" template="textlabel.jsp">
            <webwork:param name="'texthtml'"><a href="<webwork:url page="/secure/IssueNavigator.jspa"><webwork:param name="'reset'" value="'true'"/><webwork:param name="'mode'" value="'hide'"/><webwork:param name="'sorter/order'" value="'ASC'"/><webwork:param name="'sorter/field'" value="'priority'"/><webwork:param name="'pid'" value=".././long('id')"/><webwork:param name="'reporterSelect'" value="'specificuser'"/><webwork:param name="'reporter'" value="name" /></webwork:url>"><webwork:property value="reportedIssues/size"/></a></webwork:param>
        </ui:component>
	</page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
        <page:param name="title">Delete User: <webwork:property value="name" /></page:param>
		<page:param name="width">100%</page:param>
        <page:param name="description">
			<font color="cc0000">
			This user cannot be deleted at this time because there are issues assigned to them,
			or they have reported issues.
			</font>
		</page:param>

		<ui:component label="'Assigned Issues'" template="textlabel.jsp">
            <webwork:param name="'texthtml'"><a href="<webwork:url page="/secure/IssueNavigator.jspa"><webwork:param name="'reset'" value="'true'"/><webwork:param name="'mode'" value="'hide'"/><webwork:param name="'sorter/order'" value="'ASC'"/><webwork:param name="'sorter/field'" value="'priority'"/><webwork:param name="'pid'" value=".././long('id')"/><webwork:param name="'assigneeSelect'" value="'specificuser'"/><webwork:param name="'assignee'" value="name" /></webwork:url>"><webwork:property value="assignedIssues/size"/></a></webwork:param>
        </ui:component>
		<ui:component label="'Reported Issues'" template="textlabel.jsp">
            <webwork:param name="'texthtml'"><a href="<webwork:url page="/secure/IssueNavigator.jspa"><webwork:param name="'reset'" value="'true'"/><webwork:param name="'mode'" value="'hide'"/><webwork:param name="'sorter/order'" value="'ASC'"/><webwork:param name="'sorter/field'" value="'priority'"/><webwork:param name="'pid'" value=".././long('id')"/><webwork:param name="'reporterSelect'" value="'specificuser'"/><webwork:param name="'reporter'" value="name" /></webwork:url>"><webwork:property value="reportedIssues/size"/></a></webwork:param>
        </ui:component>
	</page:applyDecorator>
</webwork:else>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Delete User: <webwork:property value="name" /></page:param>
		<page:param name="width">100%</page:param>
		<page:param name="description">
			<p>User <b><webwork:property value="name" /></b> does not exist please select a user from the <a href="<webwork:url page="UserBrowser.jspa"/>">User Browser</a>.</p>
		</page:param>
	</page:applyDecorator>
</webwork:else>
</body>
</html>