<%@ page import="com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.APKeys"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>User Browser</title>
</head>
<body>
<page:applyDecorator name="jiraform">
    <page:param name="title">User Browser</page:param>
    <page:param name="description">
        <p>
        The User Browser allows you to browse all the users in the system.
        Filters allow you to limit the users that you see.
        </p>

        <% if (!ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_OPTION_USER_EXTERNALMGT)) { %>
        <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <b><a id="add_user" href="<%= request.getContextPath() %>/secure/admin/user/AddUser!default.jspa">Add User</a></b>
        </p>
        <% } %>

        <p>
        Displaying users <b><webwork:property value="niceStart" /></b> to <b><webwork:property value="niceEnd" /></b> of <b><webwork:property value="users/size" /></b>.

        <font size=1>
        (<a href="UserBrowser.jspa?emailFilter=&group=&max=<webwork:property value="filter/max"/>">Reset Filter</a>)
        </font>
    </page:param>
    <page:param name="width">100%</page:param>
    <page:param name="action">UserBrowser.jspa</page:param>
    <page:param name="columns">7</page:param>
    <page:param name="autoSelectFirst">false</page:param>

    <webwork:property value="filter">
    <tr bgcolor=ffffff>
        <td bgcolor=fffff0 align=right><b>Users Per Page:</b></td>
        <ui:select label="'Users Per Page'" name="'max'" theme="'single'"
            list="/maxValues" listKey="'.'" listValue="'.'" >
            <ui:param name="'headerrow'" value="''" />
        </ui:select>

        <td bgcolor=fffff0 align=right><b>Email Contains:</b></td>
        <ui:textfield label="'Email Contains'" name="'emailFilter'" size="15" theme="'single'" />

        <td bgcolor=fffff0 align=right><b>In Group:</b></td>
        <ui:select label="'In group'" name="'group'" theme="'single'"
            list="/groups" listKey="'name'" listValue="'name'">
            <ui:param name="'headerrow'" value="text('common.filters.any')" />
            <ui:param name="'headervalue'" value="''" />
        </ui:select>

        <td>
            <input type="submit" value="Filter">
        </td>
    </tr>
    </webwork:property>
</page:applyDecorator>
<br>
<center>
<table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
<table  border="0" cellpadding="3" cellspacing="1" width=100%>
    <tr bgcolor=f0f0f0>
        <td class="colHeaderLink">
            <b>Username</b>
        </td>
        <td class="colHeaderLink">
            <b>Email</b>
        </td>
        <td class="colHeaderLink">
            <b>Fullname</b>
        </td>
        <td class="colHeaderLink">
            <b>Groups</b>
        </td>
    </tr>

    <webwork:iterator value="currentPage" status="'status'">
    <tr <webwork:if test="@status/modulus(2) == 0">bgcolor="#fffff0"</webwork:if>
            <webwork:else>bgcolor="#ffffff"</webwork:else>>
        <td valign=top><a id="<webwork:property value="name"/>" href="<webwork:url page="ViewUser.jspa"><webwork:param name="'name'" value="name"/></webwork:url>"><webwork:property value="name"/></a></td>
        <td valign=top><a href="<webwork:url page="ViewUser.jspa"><webwork:param name="'name'" value="name"/></webwork:url>"><webwork:property value="email"/></a></td>
        <td valign=top><webwork:property value="fullName"/></a></td>
        <td valign=top nowrap>
            <webwork:iterator value="groups">
                <webwork:property value="."/><br>
            </webwork:iterator>
        </td>
    </tr>
    </webwork:iterator>
</table>
</td></tr></table>
</center>

<p align=center>
    <webwork:if test="filter/start > 0">
		<a href="UserBrowser.jspa?start=<webwork:url value="filter/previousStart" />">&lt&lt; Previous</a>
	</webwork:if>

    <webwork:property value = "pager/pages(/browsableItems)">
        <webwork:if test="size > 1">
            <webwork:iterator value="." status="'pagerStatus'">
                <webwork:if test="currentPage == true"><b><webwork:property value="pageNumber" /></b></webwork:if>
                <webwork:else>
                    <a href="UserBrowser.jspa?start=<webwork:url value="start" />"><webwork:property value="pageNumber" /></a>
                </webwork:else>
                <webwork:if test="@pagerStatus/last == false"> | </webwork:if>
            </webwork:iterator>
        </webwork:if>
    </webwork:property>

	<webwork:if test="filter/end < users/size">
		<a href="UserBrowser.jspa?start=<webwork:url value="filter/nextStart" />">Next &gt;&gt;</a>
	</webwork:if>
</p>


</body>
</html>