<%@ page import="com.atlassian.license.License,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Create New Project</title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="title">Add A New Project</page:param>
	<page:param name="width">100%</page:param>
    <page:param name="description">Enter your new project details...</page:param>
	<page:param name="action">AddProject.jspa</page:param>
	<page:param name="submitName">Create</page:param>
	<page:param name="cancelURI">default.jsp</page:param>
    <page:param name="helpURL">project</page:param>

	<ui:textfield label="'Name'" name="'name'" >
        <ui:param name="'mandatory'" value="true" />
    </ui:textfield>

	<ui:textfield label="'Key'" name="'key'">
		<ui:param name="'description'">
			This is the unique project key. It will be prepended to the front of every issue key to make it unique globally.<br>
            <webwork:property value="projectKeyDescription" escape="false" />
		</ui:param>
        <ui:param name="'mandatory'" value="true" />
	</ui:textfield>

	<ui:textfield label="'URL'" name="'url'">
        <ui:param name="'description'">
			This is the URL where the project, or project documentation is located.
		</ui:param>
    </ui:textfield>

    <ui:component label="'Lead Developer'" name="'lead'" template="userselect.jsp">
        <ui:param name="'formname'" value="'jiraform'" />
        <ui:param name="'description'">Enter the username of the lead developer.</ui:param>
        <ui:param name="'mandatory'" value="true" />
    </ui:component>

    <jsp:include page="/includes/admin/project/defaultassignee.jsp"/>

	<ui:textarea label="'Description'" name="'description'" rows="5" cols="40">
		<ui:param name="'description'">
			A description of this particular project (optional).<br>
            You can include HTML, make sure to close all your tags.
		</ui:param>
	</ui:textarea>

	<ui:select label="'Notification Scheme'" name="'notificationScheme'" list="notificationSchemes" listKey="'string('id')'" listValue="'string('name')'">
		<ui:param name="'headerrow'" value="'None'" />
		<ui:param name="'headervalue'" value="-1" />
		<ui:param name="'description'">
			Selecting a Notification Scheme allows users to be notified of changes to issues.<br>
		</ui:param>
	</ui:select>

	<ui:select label="'Permission Scheme'" name="'permissionScheme'" list="permissionSchemes" listKey="'string('id')'" listValue="'string('name')'">
		<ui:param name="'description'">
	        Selecting a Permission Scheme applies all permissions within the scheme to this project.
		</ui:param>
        <ui:param name="'mandatory'" value="true" />
 	</ui:select>

	<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
       if (license != null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
			<ui:select label="'Issue Security Scheme'" name="'issueSecurityScheme'" list="issueSecuritySchemes" listKey="'string('id')'" listValue="'string('name')'">
				<ui:param name="'headerrow'" value="'None'" />
				<ui:param name="'headervalue'" value="-1" />
				<ui:param name="'description'">
					 Selecting an Issue Security Scheme allows you to control who can and cannot view issues created in this project.
				</ui:param>
			</ui:select>
    <% } %>
</page:applyDecorator>
</body>
</html>