<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Select Bugzilla projects to import</title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">BugzillaSetProjectDefaults.jspa</page:param>
    <page:param name="cancelURI">/secure/admin/views/externalimport.jsp</page:param>
    <page:param name="submitName">Next</page:param>
    <page:param name="autoSelectFirst">false</page:param>
    <page:param name="title">Select Bugzilla projects to import</page:param>
    <page:param name="helpURL">bugzilla</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
    <b>Step 2 of 3:</b> Select Bugzilla projects to import

    </page:param>
    <ui:select label="'Projects to Import'" name="'selectedProjects'" template="selectmultiple.jsp" list="availableProjects" listKey="'toString'" listValue="'toString'">
        <ui:param name="'size'" value="@mathBean.min(20, availableProjects/size))" />
    </ui:select>
    
    <ui:checkbox label="'Send email notifications'" name="'enableNotifications'" fieldValue="'true'">
        <ui:param name="'description'">Check if you want newly created issues to generate trigger notification events</ui:param>
    </ui:checkbox>
    <ui:checkbox label="'Reuse existing user accounts'" name="'reuseExistingUsers'" fieldValue="'true'">
        <ui:param name="'description'">Check to assign Bugzilla issues to existing users, if email addresses match</ui:param>
    </ui:checkbox>
    <ui:checkbox label="'Import only new issues'" name="'onlyNew'" fieldValue="'true'">
        <ui:param name="'description'">Check if you have previously imported this Bugzilla project, and wish to only import Bugzilla issues not previously seen.</ui:param>
    </ui:checkbox>

    <ui:checkbox label="'Reindex afterwards'" name="'reindex'" fieldValue="'true'">
        <ui:param name="'description'">Check to reindex data afterwards (optimizes search speed)</ui:param>
    </ui:checkbox>

</page:applyDecorator>
<script language="JavaScript">
function openMonitor() {
  win = window.open('BugzillaImport!monitor.jspa?decorator=none', 'Bugzilla Log Monitor', 'status=no,resizable=yes,top=100,left=200,width=650,height=600,scrollbars=yes');
  win.focus();
  return false;
}
</script>
<a href="BugzillaImport!monitor.jspa?decorator=none" onClick="return openMonitor()">watch logs in a separate window</a>
</body>
</html>
