<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Create Custom Field - Details</title>
</head>

<body>
<!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->
<%@ include file="/includes/js/date_picker.jsp" %>

	<page:applyDecorator name="jiraform">
		<page:param name="title">Create Custom Field</page:param>
		<page:param name="description"><b>Step 2 of 2</b>: Setup the custom field details...</page:param>
		<page:param name="action">CreateCustomFieldDetails.jspa</page:param>
		<page:param name="width">100%</page:param>
    	<page:param name="cancelURI">ViewCustomFields.jspa</page:param>
		<page:param name="submitName">Create</page:param>
        <page:param name="helpURL">customfields</page:param>

        <ui:component label="'Field Type'" value="/customFieldType/name" template="textlabel.jsp" />

        <ui:textfield label="'Field Name'" name="'fieldName'" >
            <ui:param name="'description'">
                Name for the custom field
            </ui:param>
        </ui:textfield>
        <ui:textarea label="'Description'" name="'description'" rows="5" cols="40">
            <ui:param name="'description'">
                A description of this particular custom field.<br>
                You can include HTML, make sure to close all your tags.
            </ui:param>
        </ui:textarea>


        <tr><td colspan=2 bgcolor=ffffff>&nbsp;</td></tr>
        <tr>
            <td colspan=2 bgcolor=f0f0f0>
                <b>Choose Search Template</b>
            </td>
        </tr>

        <webwork:if test="/searchers != null && /searchers/empty == false">
            <ui:select label="'Search Template'" name="'searcher'" list="/searchers" listKey="'key'" listValue="'name'"  value="/searcher">
                <ui:param name="'summary'" value="'description'"/>
                <ui:param name="'description'">
                    You must select a search template for field to be searchable (i.e. appear in the issue navigator)
                </ui:param>
                <ui:param name="'headerrow'" value="'None'" />
                <ui:param name="'headervalue'" value="'-1'" />
            </ui:select>
        </webwork:if>
        <webwork:else>
            <ui:component label="'Search Template'" value="'There are no search templates for this custom field type.'" template="textlabel.jsp" />
        </webwork:else>


        <tr><td colspan=2 bgcolor=ffffff>&nbsp;</td></tr>
        <tr>
            <td colspan=2 bgcolor=f0f0f0>
                <b>Customise Field Scope</b>
            </td>
        </tr>
        <ui:component name="'fieldScope'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'fieldType'" template="hidden.jsp" theme="'single'"  />

        <ui:component label="'Field Scope'" value="fieldScopes[fieldScope]" template="textlabel.jsp" />

        <webwork:if test="fieldScope == 'project'">
            <ui:select label="'Project'" name="'project'" list="/projects" listKey="'long('id')'" listValue="'string('name')'" >
            <ui:param name="'headerrow'">Please select a project</ui:param>
            <ui:param name="'headervalue'">-1</ui:param>
            </ui:select>
        </webwork:if>
        <webwork:elseIf test="fieldScope == 'issuetype'">
            <ui:select label="'Issue Type'" name="'issuetype'" list="/constantsManager/allIssueTypes" listKey="'string('id')'" listValue="'string('name')'" >
                <ui:param name="'headerrow'">Please select an issue type </ui:param>
                <ui:param name="'headervalue'">-1</ui:param>
            </ui:select>
        </webwork:elseIf>




	</page:applyDecorator>

</body>
</html>