
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>View Custom Fields</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">View Custom Fields</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">customfields</page:param>
    <p>
        The table below shows the different custom fields used in this JIRA installation.
    </p>
    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:if test="/customFieldTypesExist == true">
            <b><a id="add_custom_fields" href="<%= request.getContextPath() %>/secure/admin/CreateCustomField!default.jspa">Add Custom Field</a></b>
        </webwork:if>
        <webwork:else>
            No plugins with custom field types have been configured.
        </webwork:else>
    </p>
</page:applyDecorator>

<p>

    <table class="gridBox" cellpadding="3" cellspacing="1" width="100%" align="center">
        <tr bgcolor=f0f0f0>
            <th>
                <b>Name</b>
            </th>
            <th>
                <b>Type</b>
            </th>
            <th>
                <b>Searcher</b>
            </th>
            <th>
                <b>Default</b>
            </th>
            <th>
                <b>Scope</b>
            </th>
            <th>
                &nbsp;
            </td>
        </tr>

        <webwork:if test="customFields/size > 0">

          <webwork:iterator value="customFields" status="'status'">
          <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
              <td valign=top width=1%>
                <b style="white-space: nowrap;"><webwork:property value="name"/></b><br />
                <font size="1"><webwork:property value="description" escape="false"/></font>
              </td>
              <td valign=top width=1% nowrap>
		            <webwork:property value='customFieldType/name'/>
              </td>
              <td valign=top width=1% nowrap>
		            <webwork:property value='customFieldSearcher/name'/>
              </td>
              <td valign=top >
                    <webwork:property value="/defaultCustomFieldHtml(.)" escape="false" />
              </td>

              <td valign=top width=1% nowrap>
                  <webwork:if test="./issueType != null">
                      <webwork:property value="/constantsManager/issueType(./issueType)">
                          Issue Type: <img src="<%= request.getContextPath() %><webwork:property value="string('iconurl')" />" height=16 width=16 border=0 align=absmiddle alt="<webwork:property value="string('name')" />" title="<webwork:property value="string('name')" /> - <webwork:property value="string('description')" />">
                          <webwork:property value="string('name')" />
                      </webwork:property>
                  </webwork:if>
                  <webwork:elseIf test="project != null">
                      <webwork:property value="project">
                          Project: <a href="ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a>
                      </webwork:property>
                  </webwork:elseIf>
                  <webwork:else>
                    Global (all issues)
                  </webwork:else>
              </td>
              <td valign=top nowrap>
                  <a id="edit_<webwork:property value="name"/>" href="EditCustomField!default.jspa?id=<webwork:property value="genericValue/long('id')"/>">Edit</a> |
                  <a href="EditCustomFieldDefaults!default.jspa?id=<webwork:property value="genericValue/long('id')"/>">Edit Defaults</a> |
                  <a id="del_<webwork:property value="id"/>" href="DeleteCustomField!default.jspa?id=<webwork:property value="genericValue/long('id')"/>">Del</a>
                  <webwork:if test="/hasConfigurableOptions(.) == true">
                    | <a id="edit_options_<webwork:property value="id"/>" href="EditCustomFieldOptions!default.jspa?id=<webwork:property value="genericValue/long('id')"/>">Edit Options</a>
                  </webwork:if>
              </td>
          </tr>
          </webwork:iterator>
        </webwork:if>
        <webwork:else>
        <tr><td colspan=6 bgcolor=ffffff>You have no custom fields defined.</td></tr>
        </webwork:else>
    </table>

</body>
</html>
