
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>Delete Custom Field Option: <webwork:property value="selectedValue" /></title>
</head>
<body>



<page:applyDecorator name="jiraform">
	<page:param name="title">Delete Custom Field Option: "<webwork:property value="selectedOption/value" />"</page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">
        <p>Confirm that you want to delete this custom field option <strong><webwork:property value="selectedOption/value" /></strong>
        <webwork:if test="selectedOption/parentOption">
            for parent option <strong><webwork:property value="selectedOption/parentOption/value" /></strong>
        </webwork:if>
        </p>
        <p><font color=990000>Note</font>: Deleting a custom field option removes all matching values from all issues.</p>

	</page:param>
	<page:param name="action">EditCustomFieldOptions!remove.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI"><webwork:property value="/urlWithParent('default')" /></page:param>

    <ui:component label="'Issues with this value'" name="'affectedIssues/size'" template="textlabel.jsp" >
        <ui:param name="'description'">
        Issues:
        <webwork:iterator value="affectedIssues" status="'iteratorStatus'">
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')" />"><webwork:property value="string('key')" /></a><webwork:if test="@iteratorStatus/last != true">,</webwork:if>
        </webwork:iterator>
        </ui:param>
    </ui:component>


	<ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
	<ui:component name="'selectedParentOptionId'" template="hidden.jsp" theme="'single'"  />
	<ui:component name="'selectedValue'" template="hidden.jsp" theme="'single'"  />
    <ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />
    
</page:applyDecorator>

</body>
</html>