
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Custom Field - Details</title>
</head>

<body>

	<page:applyDecorator name="jiraform">
		<page:param name="title">Edit Custom Field Details</page:param>
		<page:param name="action">EditCustomField.jspa</page:param>
		<page:param name="description">If the search template is changed, manual reindexing must follow</page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
		<page:param name="width">100%</page:param>
		<page:param name="cancelURI">ViewCustomFields.jspa</page:param>

        <ui:textfield label="'Field Name'" name="'name'" />

        <ui:textarea label="'Description'" name="'description'" rows="5" cols="40">
            <ui:param name="'description'">
                A description of this particular custom field.<br>
                You can include HTML, make sure to close all your tags.
            </ui:param>
        </ui:textarea>


        <webwork:if test="/searchers != null && /searchers/empty == false">
            <ui:select label="'Search Template'" name="'searcher'" list="/searchers" listKey="'key'" listValue="'name'" value="/searcher">
                <ui:param name="'description'" value="'Note that changing a custom field searcher may require a <a href='IndexAdmin.jspa'>re-index</a>.'"/>
                <ui:param name="'headerrow'" value="'None'" />
                <ui:param name="'headervalue'" value="'-1'" />
            </ui:select>
        </webwork:if>
        <webwork:else>
            <ui:component label="'Search Template'" value="'There are no search templates for this custom field type.'" template="textlabel.jsp" />
        </webwork:else>

        <ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'fieldType'" template="hidden.jsp" theme="'single'"  />
        <%-- record what page to redirect after success --%>
        <ui:component name="'redirectURI'" template="hidden.jsp" theme="'single'"  />
	</page:applyDecorator>

</body>
</html>