<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Back up all JIRA data</title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="action">XmlBackup.jspa</page:param>
	<page:param name="title">Back up JIRA data</page:param>
	<page:param name="description">
		<p>This will back up the contents of the database in a portable XML format.</p>
        <p>You can use this backup to move JIRA between different databases if required, as well as creating a backup that you can use if something goes wrong.<p>
		<ol>
			<li>To backup to a file on the server, enter the full filename and path below.</li>
			<li>Otherwise backup will print XML to the browser which you can copy / paste.</li>
		</ol>
		<font color=990000>Note</font>: XML generation is complex so there might be a delay before it displays!
    </page:param>
	<page:param name="submitName">Backup</page:param>
	<page:param name="cancelURI">default.jsp</page:param>
	<page:param name="width">100%</page:param>
    <page:param name="helpURL">exporting_data</page:param>
	<ui:textfield label="'File name'" name="'filename'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">Leave blank to print XML to the browser.</ui:param>
	</ui:textfield>
    <ui:checkbox label="'Backup As Zip'" name="'useZip'" fieldValue="'true'">
		<ui:param name="'description'">Whether to use zip compression on the XML file (recommended)</ui:param>
	</ui:checkbox>

    <ui:component name="'saxParser'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>
</body>
</html>