
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Restore JIRA Data</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="action">XmlRestore.jspa</page:param>
	<page:param name="title">Restore JIRA data from Backup</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">
		Restoring data from a backup XML file into JIRA is simple.
		<ol>
			<li> To restore from a file, enter the filename below.</li>
			<li> Alternatively, cut and paste the XML data into the textarea below.</li>
            <li> Specify a unique index location for this instance of JIRA.</li>
		</ol>

		<p>
		<b><font color=990000>WARNING</font></b>: This will wipe all existing JIRA
		content - make sure you <a href="XmlBackup!default.jspa">backup first</a>!
		</p>

		<font color=990000>Note 1</font>: You will be logged out after the restore process. Make sure you know your login details in the data being restored.<br>
		<font color=990000>Note 2</font>: The restore process can take a few minutes, please be patient.
	</page:param>
	<page:param name="submitName">Restore</page:param>
	<page:param name="cancelURI">default.jsp</page:param>
    <page:param name="helpURL">restore_data</page:param>

	<ui:textfield label="'File name'" name="'filename'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">(Enter a filename to restore data from, or leave blank and paste XML below.)</ui:param>
	</ui:textfield>

	<tr>
		<td bgcolor=fffff0 valign=top width=10%>
			JIRA Data (XML)
		</td>
		<td bgcolor=ffffff>
			<textarea name="xml" rows=20 cols=80><webwork:property value="xml" /></textarea>
		</td>
	</tr>

	<ui:textfield label="'Index location'" name="'indexPath'">
		<ui:param name="'size'">50</ui:param>
		<ui:param name="'description'">
			The absolute or relative path to the directory under which indexes for searching will be stored.
		</ui:param>
    </ui:textfield>

    <ui:component name="'saxParser'" template="hidden.jsp" theme="'single'"  />
</page:applyDecorator>

</body>
</html>