<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title>Configure CSV Importer</title></head>
<body>
<script language="JavaScript" src="<%= request.getContextPath() %>/includes/js/import.js"></script>
<style type="text/css">
<!--
.selectDescription
{
    display: block;
}

.grid
{
}
-->
</style>
<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureCsvMapping.jspa</page:param>
    <page:param name="cancelURI">CsvImport!default.jspa</page:param>
    <page:param name="title">CSV Import Wizard: Issue Field Mappings</page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
        <p>Below are the columns from your CSV file with sample data. Choose a JIRA field that each
        column corresponds to or leave as <em>None</em> to not import. You can optionally create
        new custom fields on the fly or import into an existing custom field.
        </p>
        <p>
        Check the <strong>Map field value</strong> box if you want to convert old field values to
        ones compatible with JIRA (you'll be prompted for more information in the next step).
        </p>
        <p><strong>Note:</strong> No validations are performed on fields mappings until data import
        occurs. So please try to ensure that your data is correct and valid. We recommend that you
        <strong>Issue Type</strong> and <strong>Summary</strong> fields as a bare minimum, or your
        import is unlikely to be successful.</p>
	</page:param>

    <tr>
    <td colspan="2">
    <table class="grid">
    <tr>
        <th>CSV header row</th>
        <th>Sample data</th>
        <th>Corresponding JIRA field</th>
        <th>Map field value</th>
    </tr>
    <webwork:iterator value="/bean/headerRow" status="'rowStatus'">
    <tr class="mappingrow">
        <td class="formLabel">
            <span class="mappingname"><webwork:property value="." /></span>
<%--            <a onclick="duplicateRow(this);" href="#" >Duplicate</a> --%>
        </td>
        <td width="40%"><webwork:property value="/bean/sampleData[@rowStatus/index]" /></td>
        <td>
        <table class="grid maxWidth">
        <tr>
        <td colspan="2" style="border: 0px;">
            <select id="<webwork:property value="/bean/fieldName(.)" />"
                    name="<webwork:property value="/bean/fieldName(.)" />"
                    class="importField"
                    onchange="handleCustomFieldDisplay('<webwork:property value="/bean/fieldName(.)" />');">
                <option value="">None</option>
                <webwork:iterator value="/bean/fieldMappings" status="'rowStatus'">
                <optgroup label="<webwork:property value="./key" />" >
                <webwork:iterator value="./value" >
                    <option value="<webwork:property value="./key" />" <webwork:if test="/bean/selectedValue(../.., ./key) == true">selected="selected"</webwork:if>>
                        <webwork:property value="./value" />
                    </option>
                </webwork:iterator>
                </optgroup>
                </webwork:iterator>
            </select>
        </td>
        </tr>

            <ui:select label="'Choose a custom field'" name="/bean/existingCfName(.)"
                       list="/customFields" listKey="'id'" listValue="'name'"
                       template="selectmap.jsp"
                       value="/bean/value(/bean/existingCfName(.))">
                <ui:param name="'summary'" value="'description'" />
                <ui:param name="'headerrow'" value="'None'" />
                <ui:param name="'headervalue'" value="" />
                <ui:param name="'rowClass'"><webwork:property value="/bean/existingCfName(.)" /></ui:param>
<webwork:if test="/bean/value(/bean/fieldName(.)) != 'existingCustomField'">
                 <ui:param name="'rowStyle'" value="'display:none;'" />
</webwork:if>
            </ui:select>

            <ui:textfield label="'Custom field name'" name="/bean/newCfName(.)" value="/bean/value(/bean/newCfName(.))" >
                <ui:param name="'rowClass'" value="/bean/newCfName(.)" />
                <ui:param name="'title'" value="'Name of custom field. If same as existing field, existing field will be used.'" />
<webwork:if test="/bean/value(/bean/fieldName(.)) != 'newCustomField'">
                <ui:param name="'rowStyle'" value="'display:none;'" />
</webwork:if>
                </ui:textfield>

            <ui:select label="'Custom field type'" name="/bean/newCfType(.)"
                       list="/bean/validCustomFieldTypes" value="/bean/value(/bean/newCfType(.))"
                       listKey="'key'" listValue="'value'"
                       template="selectmap.jsp">
                <ui:param name="'rowClass'" value="/bean/newCfName(.)" />
                <ui:param name="'title'" value="'Type of the custom field'" />
<webwork:if test="/bean/value(/bean/fieldName(.)) != 'newCustomField'">
                <ui:param name="'rowStyle'" value="'display:none;'" />
</webwork:if>
            </ui:select>
        </table>


        </td>
        <td class="fullyCentered">
            <ui:checkbox label="''" theme="'single'"
                         name="'bean/mapValues'" fieldValue=".">
                <webwork:if test="/bean/inMapValues(.) == true">
                    <ui:param name="'checked'">true</ui:param>
                </webwork:if>
            </ui:checkbox>
        </td>
    </tr>

    </webwork:iterator>
    </table>
    <ui:component name="'mapValues'" template="hidden.jsp" value="''" />
    </td>
    </tr>

</page:applyDecorator>

</body>
</html>