<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head><title>Configure CSV Importer</title></head>
<body>

<style type="text/css">
<!--
.formLabel
{
    width: 30%;
}

.mappingTable .fieldLabelArea
{
    width: 30%;
}

.addConstantLink
{
    vertical-align: middle;
    padding-left: 0.5em;
    font-size: 80%;
}

.addConstantLink img
{
    margin: auto;
    vertical-align: middle;

    padding-right: 1em;
}
-->
</style>

<script language="JavaScript" type="text/javascript">
<!--
    function addJiraConstant(constantType, constantValue, constantField)
    {
        document.jiraform.constantType.value = constantType;
        document.jiraform.constantValue.value = constantValue;
        document.jiraform.constantField.value = constantField;
        document.jiraform.addConstant.value = 'true';
        document.jiraform.submit();
        return false;
    }
//-->
</script>

<page:applyDecorator name="jiraform">
    <page:param name="action">ConfigureCsvMapping.jspa</page:param>
    <page:param name="cancelURI">CsvImport!default.jspa</page:param>
    <page:param name="title">CSV Import Wizard: Value Mappings</page:param>
    <page:param name="wizard">true</page:param>
	<page:param name="instructions">
        All unique values for each field you selected to be mapped have been displayed. You can now
        map any of these values to their values in JIRA. Leave the field blank if you wish to import
        the value as-is. If you want to <em>clear</em> a field, enter the keyword
        <strong><webwork:property value="'<<blank>>'" /></strong>. <br/>
        You can also create missing
        priorities, resolution and issue types on the fly by clicking on the
        <img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="Sample icon" />
        icon next to for the appropriate field.
	</page:param>

    <ui:component name="'constantType'" template="hidden.jsp" theme="'single'" value="''" />
    <ui:component name="'constantValue'" template="hidden.jsp" theme="'single'" value="''" />
    <ui:component name="'constantField'" template="hidden.jsp" theme="'single'" value="''" />
    <ui:component name="'addConstant'" template="hidden.jsp" theme="'single'" value="'false'" />
    
    <tr><td colspan="2">
<webwork:if test="/bean/mapValues">
    <table class="grid maxWidth">
    <tr>
        <th>CSV header row</th>
        <th>Map field value</th>
    </tr>
    <webwork:iterator value="/bean/mapValues" status="'rowStatus'">
    <tr>
        <td class="formLabel">
            <webwork:property value="." />
            <br />
            <span class="subText">(imported as <strong><webwork:property value="bean/value(/bean/fieldName(.))" /></strong>)</span>
        </td>
        <td>

            <table class="grid maxWidth mappingTable">
            <tr>
                <th class="fieldLabelArea">Value in CSV file</th>
                <th class="fieldValueArea">Target value in JIRA</th>
            </tr>
                <webwork:iterator value="/bean/currentValues(.)">

<webwork:if test="bean/value(/bean/fieldName(..)) == 'priority'">
    <ui:select label="." name="/bean/valueMappingName(..,.)"
               list="/priorities" listKey="'string('id')'" listValue="'string('name')'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="'Please select a priority'" />
        <ui:param name="'headerrow'" value="'No mapping'" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="'Import as blank'" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
        <ui:param name="'extrahtml'">
            <webwork:if test="/nameInList(/priorities, .) == false">
            <a class="addConstantLink" href="<webwork:url value="'ConfigureCsvMapping!addConstant.jspa'">
              <webwork:param name="'currentStep'" value="/currentStep"/>
              <webwork:param name="'constantType'" value="'Priority'"/>
              <webwork:param name="'constantValue'" value="."/>
              <webwork:param name="'constantField'" value=".."/>
           </webwork:url>"onclick="try { return addJiraConstant('<webwork:property value="'Priority'"/>', '<webwork:property value="."/>', '<webwork:property value=".."/>');} catch(e) {return true;}"><img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="Add new priority '<webwork:property />'" title="Add new priority '<webwork:property />'" />Add new priority '<webwork:property />'</a>
            </webwork:if>
        </ui:param>
    </ui:select>
</webwork:if>

<webwork:elseIf test="bean/value(/bean/fieldName(..)) == 'resolution'">
    <ui:select label="." name="/bean/valueMappingName(..,.)"
               list="/resolutions" listKey="'string('id')'" listValue="'string('name')'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="'Please select a resolution'" />
        <ui:param name="'headerrow'" value="'No mapping'" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="'Import as blank'" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
        <ui:param name="'extrahtml'">
            <webwork:if test="/nameInList(/resolutions, .) == false">
            <a class="addConstantLink" href="<webwork:url value="'ConfigureCsvMapping!addConstant.jspa'">
              <webwork:param name="'currentStep'" value="/currentStep"/>
              <webwork:param name="'constantType'" value="'Resolution'"/>
              <webwork:param name="'constantValue'" value="."/>
              <webwork:param name="'constantField'" value=".."/>
           </webwork:url>"onclick="try { return addJiraConstant('<webwork:property value="'Resolution'"/>', '<webwork:property value="."/>', '<webwork:property value=".."/>');} catch(e) {return true;}"><img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="Add new resolution '<webwork:property />'" title="Add new resolution '<webwork:property />'" />Add new resolution '<webwork:property />'</a>
            </webwork:if>
        </ui:param>
    </ui:select>
</webwork:elseIf>

<webwork:elseIf test="bean/value(/bean/fieldName(..)) == 'type'">
    <ui:select label="." name="/bean/valueMappingName(..,.)"
               list="/issueTypes" listKey="'string('id')'" listValue="'string('name')'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="'Please select an issue type'" />
        <ui:param name="'headerrow'" value="'No mapping'" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="'Import as blank'" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
        <ui:param name="'extrahtml'">
            <webwork:if test="/nameInList(/issueTypes, .) == false">
            <a class="addConstantLink" href="<webwork:url value="'ConfigureCsvMapping!addConstant.jspa'">
              <webwork:param name="'currentStep'" value="/currentStep"/>
              <webwork:param name="'constantType'" value="'IssueType'"/>
              <webwork:param name="'constantValue'" value="."/>
              <webwork:param name="'constantField'" value=".."/>
           </webwork:url>" onclick="try { return addJiraConstant('<webwork:property value="'IssueType'"/>', '<webwork:property value="."/>', '<webwork:property value=".."/>');} catch(e) {return true;}"><img src='<%= request.getContextPath() %>/images/icons/add_16.gif' alt="Add new issue type '<webwork:property />'" title="Add new issue type '<webwork:property />'" />Add new issue type '<webwork:property />'</a>
            </webwork:if>
        </ui:param>
    </ui:select>
</webwork:elseIf>

<webwork:elseIf test="bean/value(/bean/fieldName(..)) == 'status'">
    <ui:select label="." name="/bean/valueMappingName(..,.)"
               list="/statuses" listKey="'string('id')'" listValue="'string('name')'"
               template="selectmap.jsp"
               value="/bean/value(/bean/valueMappingName(..,.))">
        <ui:param name="'title'" value="'Please select a status'" />
        <ui:param name="'headerrow'" value="'No mapping'" />
        <ui:param name="'headervalue'" value="" />
        <ui:param name="'headerrow2'" value="'Import as blank'" />
        <ui:param name="'headervalue2'" value="'<<blank>>'" />
    </ui:select>
</webwork:elseIf>
<webwork:else>
    <ui:textfield label="." name="/bean/valueMappingName(..,.)"
                  value="/bean/value(/bean/valueMappingName(..,.))" >
    </ui:textfield>
</webwork:else>
                </webwork:iterator>
            </table>
        </td>
    </tr>
    </webwork:iterator>
    </table>
</webwork:if>
<webwork:else>
    You have not selected any fields to map values.
</webwork:else>

    </td></tr>
</page:applyDecorator>

</body>
</html>