<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Import Data from CSV file</title>
</head>
<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">CsvImport!viewLogs.jspa</page:param>
    <page:param name="submitName">Refresh</page:param>
    <page:param name="title">Import Data from CSV file</page:param>
    <page:param name="buttons">
        <webwork:if test="importer/aborted == false">
           <input type="submit" name="abortButton" value="Abort import" />
        </webwork:if>
	</page:param>

    <tr>
    <td colspan="2">

    <div class="informationBox">
        <webwork:if test="importer/aborted == false">
          <div class="info">CSV import in progress...</div>
        </webwork:if>
        <webwork:else>
            <div class="error">Cancelling CSV import...</div>
        </webwork:else>

        The logs and import statistics below will be refreshed every
        <b><webwork:property value="refreshInterval" /></b> seconds. You can change this value in
        the field at the <a href="#bottom">bottom of the page</a>. <br />

        <webwork:if test="importer/aborted == false">
            You can also <strong>abort</strong> the import by clicking the <strong>Abort Import</strong>
            button. This will retain all objects that have already been imported. Reindexing may still
            occur.
        </webwork:if>
        <webwork:else>
            You have chosen to <strong>abort</strong> the current import. Please wait while the importer cleans up. 
            <webwork:if test="/importer/stats/issuesImported > 0">
                You have imported <webwork:property value="/importer/stats/issuesImported" /> issues
                and reindexing will occur. This may take some time depending on the number of issues
                in your database.
            </webwork:if>
            </webwork:else>
        </div>

    <%@include file="../importlogs.jsp" %>
    </td>
    </tr>

    <ui:textfield label="'Page refresh interval'" name="'refreshInterval'" value="refreshInterval"  >
        <ui:param name="'description'" value="'You can change the interval between each page reload (in seconds)'" />
        <ui:param name="'extrahtml'" ><a name="bottom">&nbsp;</a></ui:param>
    </ui:textfield>

    <ui:component name="'importFileLocation'" template="hidden.jsp" theme="'single'"/>

</page:applyDecorator>

<script language="JavaScript">
<!--
    setTimeout('document.jiraform.submit();', (<webwork:property value="refreshInterval" /> * 1000));
//-->
</script>

</body>
</html>