<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Scheme Issue Fields</title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">View Scheme Issue Fields</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">issuefield_hiding_and_reordering</page:param>
    <p>The table below shows issue fields in order of appearance on the Create Issue and Edit Issue forms for <b><webwork:property value="/scheme/string('name')"/></b>.</p>
    <p>Note: Not all the fields below are shown on creation of each issue (eg custom fields which are only per-project).</p>
</page:applyDecorator>
<p>
    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=70%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink" width="65%">
                <b>Name</b>
            </td>
            <td class="colHeaderLink" width="5%" align="center">
                <b>Order</b>
            </td>
            <td class="colHeaderLink" width="30%" align="center">
                <b><webwork:text name="'common.words.operations'"/></b>
            </td>
        </tr>

        <webwork:iterator value="/orderedList" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/odd == true">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <webwork:if test="./hidden == true">
                <td valign=top class="hiddenField">
                    <table cellpadding=1 cellspacing=0 border=0 width="100%">
                        <tr>
                            <td class="hiddenField">
                                <b><webwork:property value="/fieldName(./orderableField)"/></b>
                            </td>
                        </tr>
                        <webwork:if test="./fieldDescription != null">
                        <tr>
                            <td class="hiddenField">
                                <%-- this section just prints out if it is a custom field, and prints out the type of custom field that it is --%>
                                <font size="1"><webwork:property value="./fieldDescription" escape="'false'"/></font>
                            </td>
                        </tr>
                        </webwork:if>
                    </table>
                </td>
                <td valign=top align=center><img src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14 align="absmiddle">&nbsp;</td>
                <td valign=top nowrap align="left" class="hiddenField">
                    Edit |
                   <a id="show_<webwork:property value="@status/index"/>" href="<webwork:url page="EditFieldLayoutHide.jspa"><webwork:param name="'schemeId'" value="schemeId" /><webwork:param name="'hide'" value="@status/index" /></webwork:url>" title="Show field '<webwork:property value="/fieldName(./orderableField)"/>'">Show</a> |
                    Required
                </td>
            </webwork:if>
            <webwork:else>
                <td valign=top>
                    <table cellpadding=1 cellspacing=0 border=0 width="100%">
                        <tr>
                            <td width=60%>
                                <b><webwork:property value="/fieldName(./orderableField)"/></b>
                            </td>
                            <td width=40% align="right" valign="bottom">
                                <webwork:if test="/hideable(.) == false || ./required == true"><font color="#990000" size="1">Required</font></webwork:if>
                            </td>
                        </tr>
                        <webwork:if test="./fieldDescription != null">
                        <tr>
                            <td colspan=2>
                                <%-- this section just prints out if it is a custom field, and prints out the type of custom field that it is --%>
                                <font size="1"><webwork:property value="./fieldDescription" escape="'false'"/></font>
                            </td>
                        </tr>
                        </webwork:if>
                    </table>
                </td>
                <td valign=top align=center>
                    <webwork:if test="@status/first != true"><a href="<webwork:url page="/secure/admin/EditFieldLayoutUp.jspa"><webwork:param name="'schemeId'" value="schemeId" /><webwork:param name="'up'" value="@status/index" /></webwork:url>"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border=0 width=11 height=14 alt="Move this issue type up" align="absmiddle"></a></webwork:if>
                    <webwork:else><img src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14 align="absmiddle"></webwork:else>
                    <webwork:if test="@status/last != true"><a href="<webwork:url page="/secure/admin/EditFieldLayoutDown.jspa"><webwork:param name="'schemeId'" value="schemeId" /><webwork:param name="'down'" value="@status/index" /></webwork:url>"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border=0 width=11 height=14 alt="Move this issue type down" align="absmiddle"></a></webwork:if>
                    <webwork:else><img src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14 align="absmiddle"></webwork:else>
                </td>
                <td valign=top nowrap align="left">
                    <%-- if this is a custom field then link to edit custom field page --%>
                    <webwork:if test="/customField(.) == true">
                        <a href="<webwork:url page="/secure/admin/EditCustomField!default.jspa"><webwork:param name="'id'" value="./orderableField/genericValue/long('id')"/><webwork:param name="'cancelURI'">EditFieldLayout.jspa?schemeId=<webwork:property value="'/schemeId'"/></webwork:param><webwork:param name="'redirectURI'">EditFieldLayout.jspa?schemeId=<webwork:property value="'/schemeId'"/></webwork:param></webwork:url>">Edit</a>
                    </webwork:if>
                    <webwork:else>
                        <a href="<webwork:url page="/secure/admin/EditFieldLayoutSchemeItem!default.jspa"><webwork:param name="'schemeId'" value="schemeId" /><webwork:param name="'position'" value="@status/index"/></webwork:url>">Edit</a>
                    </webwork:else>
                    <webwork:if test="/hideable(.) == true">
                        | <a id="hide_<webwork:property value="@status/index"/>" href="<webwork:url page="EditFieldLayoutHide.jspa"><webwork:param name="'schemeId'" value="schemeId" /><webwork:param name="'hide'" value="@status/index" /></webwork:url>" title="Hide field '<webwork:property value="/fieldName(./orderableField)"/>'">Hide</a></font>
                    </webwork:if>

                    <webwork:if test="/requirable(.) == true">
                        | <a id="require_<webwork:property value="@status/index"/>" href="<webwork:url page="EditFieldLayoutRequire.jspa"><webwork:param name="'schemeId'" value="schemeId" /><webwork:param name="'require'" value="@status/index" /></webwork:url>" <webwork:if test="required == false">title="Make field '<webwork:property value="/fieldName(./orderableField)"/>' required">Required</webwork:if><webwork:else>title="Make field '<webwork:property value="/fieldName(./orderableField)"/>' optional">Optional</webwork:else></a>
                    </webwork:if>
                </td>
            </webwork:else>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr>
    </table>
</body>
</html>