<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Issue Field Schemes</title>
</head>
<body>
    <page:applyDecorator name="jirapanel">
        <page:param name="title">View Issue Field Schemes</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">issuefields</page:param>
        <p>
            The table belows shows the current issue field schemes and the projects they are assigned to.
        </p>
    </page:applyDecorator>

    <p>
        <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%>
        <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=f0f0f0>
                <td class="colHeaderLink">
                    <b>Name</b>
                </td>
                <td class="colHeaderLink">
                    <b>Projects</b>
                </td>
                <td class="colHeaderLink">
                    &nbsp;
                </td>
            </tr>

            <webwork:iterator value="/fieldLayoutScheme" status="'status'">
            <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                <td valign=top>
                    <img src="<%= request.getContextPath() %>/images/icons/form_blue_small.gif" width=16 height=16 title="Field Layout Scheme" STYLE="float:left; padding-right:3; align">
                    <b><a href="<webwork:url page="/secure/admin/EditFieldLayout!default.jspa"><webwork:param name="'schemeId'" value="./long('id')"/></webwork:url>"><webwork:property value="./string('name')"/></a></b><br>
                    <webwork:property value="./string('description')"/></td>
                <td valign=top nowrap>
                <webwork:iterator value="/schemeProjects(.)">
                    <img src="<webwork:url page="/images/icons/bullet_blue.gif"/>" height=8 width=8 border=0 align=absmiddle>
                    <a href="<webwork:url page="/secure/project/ViewProject.jspa"><webwork:param name="'pid'" value="./long('id')" /></webwork:url>"><webwork:property value="./string('name')" /></a><br>
                </webwork:iterator>
                </td>
                <td width="1%" valign=top nowrap>
                    <a href="<webwork:url page="/secure/admin/EditFieldLayout!default.jspa"><webwork:param name="'schemeId'" value="./long('id')"/></webwork:url>" title="Change field layout for this scheme">Field Layout</a>
                    |
                    <a href="<webwork:url page="/secure/admin/CopyFieldLayoutScheme!default.jspa"><webwork:param name="'schemeId'" value="./long('id')"/></webwork:url>" title="Create a copy of this scheme">Copy</a>
                    |
                    <a href="<webwork:url page="/secure/admin/EditFieldLayoutScheme!default.jspa"><webwork:param name="'schemeId'" value="./long('id')"/></webwork:url>" title="Edit the name and description of this scheme">Edit</a>
                    <!-- Scheme can only be deleted if it is not associated with an issue type/project -->
                    <webwork:if test="/schemeProjects(.)/empty == true">
                        |
                        <a id="del_<webwork:property value="./string('name')"/>" href="<webwork:url page="/secure/admin/DeleteFieldLayoutScheme!default.jspa"><webwork:param name="'schemeId'" value="./long('id')"/></webwork:url>" title="Delete this scheme">Del</a>
                    </webwork:if>
                </td>
            </tr>
            </webwork:iterator>
            <webwork:if test="fieldLayoutScheme/size == 0">
            <tr bgcolor=ffffff>
                <td colspan=3>You do not currently have any issue field schemes configured.</td>
            </tr>
            </webwork:if>
        </table>
        </td></tr>
        </table>
    </p>

    <p>
        <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
        <tr>
        <td align="center">
        <table border="0" cellpadding="3" cellspacing="1">
        <tr>
            <td><a href="<webwork:url page="/secure/admin/AddFieldLayoutScheme!default.jspa"/>">Add Issue Field Scheme</a></td>
        </tr>
        </table>
        </td>
        </tr>
        </table>
    </p>
</body>
</html>