<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Add Issue Security</title>
</head>

<body>
<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
<page:applyDecorator name="jiraform">
    <page:param name="action">AddIssueSecurity.jspa</page:param>
    <page:param name="submitName"> <webwork:text name="'common.forms.add'"/> </page:param>
    <page:param name="cancelURI"><webwork:url page="EditIssueSecurities!default.jspa"><webwork:param name="'schemeId'" value="schemeId"/></webwork:url></page:param>
    <page:param name="title">Add User/Group to Issue Security Level</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
    <p>
        <webwork:property value="securityLevel(security)/string('name')">
            Issue Security Scheme: <b> <webwork:property value="scheme/string('name')"/>  </b> <br>
            Issue Security Level: <b> <webwork:property value="."/> </b>
            <p>
            Please select a user or group to add to this security level.
            </p>
            This will enable the specific users/groups to view issues for projects that:
            <ul>
                <li>are associated with this Issue Security Scheme and
                <li>have their security level set to <b><webwork:property value="."/></b>
        </webwork:property>
    </page:param>

    <tr>
        <td bgcolor=ffffff>
            &nbsp;<br>
            <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
            <table border="0" cellpadding="4" cellspacing="1" width=100%>
                <webwork:iterator value="types/keySet" status="'status'">
                <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">

                    <td width=5% align=center><input type="radio" name="type" value="<webwork:property value="."/>" <webwork:if test="type==.">checked</webwork:if>></td>
                    <td width=25% align="left"><webwork:property value="types/(.)/displayName"/></td>
                    <webwork:if test="types/(.)/type == 'email'">
                        <td><input type="text" name="<webwork:property value="."/>" value="<webwork:property value="../parameter(.)"/>"></td>
                    </webwork:if>
                    <webwork:elseIf test="types/(.)/type == 'user'">
                        <td>
                            <ui:component label="''" name="." template="userselectnoheaders.jsp">
                                <ui:param name="'formname'" value="'jiraform'" />
                                <ui:param name="'imageName'" value="'userImage'"/>
                                <ui:param name="'onchange'">document.forms['jiraform'].type[<webwork:property value="@status/index"/>].checked = true;</ui:param>
                            </ui:component>
                        </td>
<%--                        <td><input type="text" name="<webwork:property value="."/>" value="<webwork:property value="../parameter(.)"/>"></td>--%>
                    </webwork:elseIf>
                    <webwork:elseIf test="types/(.)/type == 'group'">
                        <td>
                        <select name="<webwork:property value="."/>" onClick="document.forms['jiraform'].type[<webwork:property value="@status/index"/>].checked = true;">
                            <option value="">Anyone</option>
                            <webwork:iterator value="types/(.)/groups" >
                                <option value="<webwork:property value="name"/>" <webwork:if test="../../parameter(..) == name" >selected</webwork:if>><webwork:property value="name"/></option>
                            </webwork:iterator>
                        </td>
                    </webwork:elseIf>
                    <webwork:else><td>&nbsp;</td></webwork:else>
                </tr>
                </webwork:iterator>
                <ui:component name="'schemeId'" template="hidden.jsp"/>
                <ui:component name="'security'" template="hidden.jsp"/>
            </table>
            </td></tr></table>
            &nbsp;<br>
        </td>
    </tr>

</page:applyDecorator>
<% } else { %> Issue Security is not available in this version of JIRA <% } %>
</body>
</html>
