<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Issue Security Level:</title>
</head>

<body>
<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <page:applyDecorator name="jiraform">
        <page:param name="title">Delete Issue Security Level: <webwork:property value="issueSecurityName" /></page:param>
        <page:param name="description">
            <p>Confirm that you want to delete this Issue Security Level.</p>
            <webwork:if test="affectedIssues/size > 0">
                There are issues currently set with this Issue Security Level. Confirm what new level should be set for these issues.
            </webwork:if>

            <webwork:if test="default(levelId)== true">
                <p><font color=cc0000>WARNING: This is the Default Security Level for this scheme. Deleting this level will remove the default security level from the scheme </font> <p>
            </webwork:if>
        </page:param>

        <page:param name="action">DeleteIssueSecurityLevel.jspa</page:param>
        <page:param name="submitName">Delete</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="cancelURI"><webwork:url page="EditIssueSecurities!default.jspa"><webwork:param name="'schemeId'" value="schemeId"/></webwork:url></page:param>
        <webwork:if test="affectedIssues/size > 0">
            <ui:component label="'Issues with this level of security.'" name="'affectedIssues/size'" template="textlabel.jsp" >
                <ui:param name="'description'">

                    <webwork:iterator value="affectedIssues" >
                        <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')" />"><webwork:property value="string('key')" /></a>
                        <webwork:property value="string('summary')" /> <br>
                    </webwork:iterator>

                </ui:param>
            </ui:component>
            <webwork:if test="otherLevels/size > 0">
                <tr>
                    <td bgcolor=ffffff>&nbsp;</td>
                    <td bgcolor=ffffff>
                        <input type="radio" name="affectsAction" value="swap" checked>
                        Swap security of issues to security level:
                        <webwork:property value="otherLevels">
                            <select name="swapLevel">
                                <option value=-1>None</option>
                                <webwork:iterator value="./keySet">
                                    <option value="<webwork:property value="." />" >
                                        <webwork:property value="../(.)" />
                                    </option>
                                </webwork:iterator>
                            </select>
                         </webwork:property>
                    </td>
                </tr>
            </webwork:if>
            <webwork:else>
                <tr>
                    <td bgcolor=ffffff>&nbsp;</td>
                    <td bgcolor=ffffff>
                        <input type="hidden" name="affectsAction" value="remove">
                        There are no other security levels in this scheme. The security level will be removed from all affected issues.
                    </td>
                </tr>
            </webwork:else>
        </webwork:if>

        <input type="hidden" name="schemeId" value="<webwork:property value="schemeId" />">
        <input type="hidden" name="levelId" value="<webwork:property value="levelId" />">
        <input type="hidden" name="confirm" value="true">

    </page:applyDecorator>
<% } else { %> Issue Security is not available in this version of JIRA <% } %>
</body>
</html>