<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Edit Issue Security Levels</title>
</head>

<body>

<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Edit Issue Security Levels</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">security_levels</page:param>
        <p>
        On this page you can create and edit the issue security levels for the "<webwork:property value="scheme/string('name')"/>" issue security scheme.
        </p>
        Each security level can have users/groups assigned to them.
        <p>
        An issue can then be assigned a Security Level. This ensures only users who are assigned to this security level may view the issue.
        <p>
        Once you have set up some Security Levels, be sure to grant the "Set Issue Security" permission to relevant users.
        <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle> <a href="ViewIssueSecuritySchemes.jspa">View all Issue Security schemes</a>.<br>
        <webwork:if test="/scheme/long('defaultlevel') != null">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle> <a href="<webwork:url page="EditIssueSecurities!makeDefaultLevel.jspa"><webwork:param name="'schemeId'" value="scheme/long('id')"/><webwork:param name="'levelId'" value="'-1'"/></webwork:url>">Change default security level to "None"</a>
        </webwork:if>
        </p>

    </page:applyDecorator>

    <p>

        <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=f0f0f0>
                <td class="colHeaderLink">
                    <b>Security Level</b>
                </td>
                <td class="colHeaderLink">
                    <b>Users / Groups</b>
                </td>
                <td class="colHeaderLink" width=10%>
                    <b><webwork:text name="'common.words.operations'"/></b>
                </td>
            </tr>

            <webwork:iterator value="schemeIssueSecurities/keySet" status="'status'">
            <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                <td valign=top><b><webwork:property value="schemeIssueSecurities/(.)"/></b><webwork:if test="../default(.) == true"> (default)</webwork:if>
                    <font size=1>
                        (<a id="delLevel_<webwork:property value="schemeIssueSecurities/(.)"/>" href="<webwork:url page="DeleteIssueSecurityLevel!default.jspa">
                        <webwork:param name="'levelId'" value="."/><webwork:param name="'schemeId'" value="scheme/long('id')"/></webwork:url>"title="Delete this security level">Del</a>)
                    </font>
                <br>
                <font size=1><webwork:property value="issueSecurityDescription(.)" /></font>
                </td>
                <td valign=top>
                <webwork:iterator value="securities(.)">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                    <webwork:property value="../../type(string('type'))/displayName" />
                    <webwork:if test="string('parameter')!= null">
                        (<webwork:property value="string('parameter')"/>)
                    </webwork:if>
                    <webwork:elseIf test="string('type') == 'reporter' || string('type') == 'lead' || string('type') == 'assignee'">
                    </webwork:elseIf>
                    <webwork:else>
                        (Anyone)
                    </webwork:else>
                    <font size=1>
                       (<a id="delGroup_<webwork:property value="string('parameter')"/>_<webwork:property value="schemeIssueSecurities/(..)"/>" href="<webwork:url page="DeleteIssueSecurity!default.jspa"><webwork:param name="'id'" value="long('id')"/><webwork:param name="'schemeId'" value="schemeId"/></webwork:url>"title="Delete this user/group from the security level">Del</a>)
                    </font>
                    <br>
                </webwork:iterator>
                </td>
                <td nowrap valign=top>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <a id="add_<webwork:property value="schemeIssueSecurities/(.)"/>" href="<webwork:url page="AddIssueSecurity!default.jspa"><webwork:param name="'schemeId'" value="../schemeId"/><webwork:param name="'security'" value="."/></webwork:url>"title="Add a user/group to this security level">Add</a>
                    <webwork:if test="../default(.) != true">
                    |
                    <a href="<webwork:url page="EditIssueSecurities!makeDefaultLevel.jspa"><webwork:param name="'schemeId'" value="../schemeId"/><webwork:param name="'levelId'" value="."/></webwork:url>"title="Make this security level the default for the issue security scheme">Default</a>
                    </webwork:if>
                </td>


            </tr>
            </webwork:iterator>
        </table>
        </td></tr></table>

    <p><br><br>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditIssueSecurities!addLevel.jspa</page:param>
        <page:param name="submitName">Add Security Level</page:param>
        <page:param name="title">Add Security Level</page:param>
        <page:param name="width">90%</page:param>
        <page:param name="description">Add a new security level by entering a name and description below.</page:param>
        <page:param name="helpURL">security_levels</page:param>
        <page:param name="helpURLFragment">#Creating+a+Security+Level</page:param>
        <ui:textfield label="'Name'" name="'name'" size="'30'"/>
        <ui:textfield label="'Description'" name="'description'" size="'60'"/>
        <ui:component name="'schemeId'" template="hidden.jsp"/>
    </page:applyDecorator>
    </p>
<% } else { %> Issue Security is not available in this version of JIRA <% } %>
    </body>
</html>
