<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Issue Security Schemes</title>
</head>

<body>
<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Issue Security Schemes</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">security_schemes</page:param>
        <p>
        Issue Security Schemes allow you to control who can and cannot view issues.
        They consist of a number of security levels
        which can have users/groups assigned to them.
        <p>
        When creating/editing an issue you can specify a level of security for the issue. This ensures only users who are assigned to this security level may view the issue.


        <p>
        The table below shows the issue security schemes currently configured for this server. Please note that you cannot delete issue security schemes which have associated projects. 
    </page:applyDecorator>

        <p>

        <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr bgcolor=f0f0f0>
                <td class="colHeaderLink">
                    <b>Name</b>
                </td>
                <td class="colHeaderLink">
                    <b>Projects</b>
                </td>
                <td class="colHeaderLink">
                    &nbsp;
                </td>
            </tr>

            <webwork:iterator value="schemes" status="'status'">
            <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                <td valign=top>
                    <b><a href="EditIssueSecurities!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:property value="string('name')"/></a></b><br>
                    <webwork:property value="string('description')"/></td>
                <td valign=top nowrap>
                <webwork:iterator value="projects(.)">
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                    <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a><br>
                </webwork:iterator>
                </td>
                <td valign=top align=left nowrap>
                    <a href="EditIssueSecurities!default.jspa?schemeId=<webwork:property value="long('id')"/>" title="Change the Security Levels for this scheme">Security Levels</a>
                    |
                    <a href="CopyIssueSecurityScheme.jspa?schemeId=<webwork:property value="long('id')"/>" title="Create a copy of this scheme. Replicating the security levels and users/groups">Copy</a>
                    |
                    <a href="EditIssueSecurityScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>" title="Edit the name, description and default security level of this scheme. ">Edit</a>
                    <%-- You cannot delete the default scheme (0) --%>
                    <webwork:if test="long('id') != 0 && canDelete(.) == true">
                        |
                        <a id="del_<webwork:property value="string('name')"/>" href="DeleteIssueSecurityScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>" title="Delete this issue security scheme">Del</a>
                    </webwork:if>
                </td>
            </tr>
            </webwork:iterator>
            <webwork:if test="schemes/size == 0">
            <tr bgcolor=ffffff>
                <td colspan=3>You do not currently have any issue security schemes configured.</td>
            </tr>
            </webwork:if>
        </table>
        </td></tr></table>

        <p>
        <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
        <tr>
        <td align="center">
        <table border="0" cellpadding="3" cellspacing="1">
        <tr>
            <td><a id="add_securityscheme" href="AddIssueSecurityScheme!default.jspa">Add Issue Security Scheme</a>
        </tr>
        </table>
        </td>
        </tr>
        </table>
        </p>
<% } else { %> Issue Security is not available in this version of JIRA <% } %>
</body>
</html>
