
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>


<html>
<head>
	<title>Delete Issue Type: <webwork:property value="constant/string('name')" /></title>
</head>
<body>

<page:applyDecorator name="jiraform">
	<page:param name="title">Delete Issue Type: <webwork:property value="constant/string('name')" /></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="description">
        <webwork:property value="matchingIssues">
            <webwork:if test="./empty == true">
                <p>Confirm that you want to delete this issue type.</p>
		        <p>There are currently no matching issues</p>
                <p><span class="warning">Note</span>:&nbsp;This issue type will be removed from all field layout and workflow schemes.</p>
            </webwork:if>
            <webwork:elseIf test="./empty == false && ../availableIssueTypes/empty == true">
		        <p><span class="warning">Note</span>:&nbsp;This issue type cannot be deleted - there are currently <b><webwork:property value="./size" /></b> matching issues with no suitable alernative issue types.</p>
            </webwork:elseIf>
            <webwork:else>
                <p>Confirm that you want to delete this issue type, and specify what is to be done with the issues currently attached to it.</p>
                <p><span class="warning">Note</span>:&nbsp;This issue type will be removed from all field layout and workflow schemes.</p>
                <p>There are currently <b><webwork:property value="./size" /></b> matching issues, that must be changed to another issue type.</p>
            </webwork:else>
        </webwork:property>
	</page:param>

	<page:param name="action">DeleteIssueType.jspa</page:param>
    <page:param name="width">100%</page:param>
	<page:param name="submitName"><webwork:if test="availableIssueTypes/empty == false || matchingIssues/empty == true">Delete</webwork:if></page:param>
	<page:param name="cancelURI">ViewIssueTypes.jspa</page:param>

    <webwork:if test="matchingIssues/empty == false && availableIssueTypes/empty == false">
        <ui:select name="'newId'" label="'New type for matching issues'" list="availableIssueTypes"
            listKey="'string('id')'" listValue="'string('name')'" />
    </webwork:if>

	<ui:component name="'id'" template="hidden.jsp" theme="'single'"  />
    <ui:component name="'confirm'" value="'true'" template="hidden.jsp" theme="'single'"  />

</page:applyDecorator>

</body>
</html>