<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Issue Types</title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">View Issue Types</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="localHelpAction">ShowConstantsHelp.jspa</page:param>
    <page:param name="helpURLFragment">#IssueTypes</page:param>
    <p>
    The table below shows the issue types used in this version of JIRA, in order they are displayed
    to the user.
</page:applyDecorator>
<p>
    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Description</b>
            </td>
            <td class="colHeaderLink">
                <b>Icon</b>
            </td>
            <td class="colHeaderLink">
                <b>Order</b>
            </td>
            <td class="colHeaderLink">
                <b>Operation</b>
            </td>
        </tr>

        <webwork:iterator value="/constantsManager/issueTypes" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top><b><webwork:property value="string('name')"/></b><webwork:if test="../default(.) == true"> (default)</webwork:if></td>
            <td valign=top><webwork:property value="string('description')"/></td>
            <td valign=top align=center>
            <webwork:component name="{./string('name')}" template="constanticon.jsp">
              <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
              <webwork:param name="'iconurl'" value="./string('iconurl')" />
            </webwork:component>
            </td>
            <td valign=top align=center>
                <webwork:if test="@status/first != true"><a href="IssueTypeUp.jspa?up=<webwork:url value="string('id')" />"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border=0 width=11 height=14 alt="Move this issue type up"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
                <webwork:if test="@status/last != true"><a href="IssueTypeDown.jspa?down=<webwork:url value="string('id')" />"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border=0 width=11 height=14 alt="Move this issue type down"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
            </td>
            <td valign=top nowrap>
                <a href="EditIssueType!default.jspa?id=<webwork:property value="string('id')"/>">Edit</a>
                <%-- At least one issue type must exist - check that there is more than one issue type --%>
                <webwork:if test="/constantsManager/issueTypes/size > 1">
                    |
                    <a href="DeleteIssueType!default.jspa?id=<webwork:property value="string('id')"/>">Del</a>
                </webwork:if>
                <webwork:if test="../default(.) == false">
                |
                <a href="<webwork:url page="MakeDefaultIssueType.jspa"><webwork:param name="'make'" value="string('id')" /></webwork:url>">Default</a>
                </webwork:if>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddIssueType.jspa</page:param>
        <page:param name="submitName">Add</page:param>
        <page:param name="title">Add New Issue Type</page:param>
        <page:param name="width">100%</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'" />

        <ui:textfield label="'Description'" name="'description'" size="'60'" />

        <ui:textfield label="'Icon URL'" name="'iconurl'" size="'60'">
            <ui:param name="'description'">(relative to the JIRA web application e.g /images/icons OR starting with http://)</ui:param>
        </ui:textfield>
    </page:applyDecorator>
    </p>
</body>
</html>