<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Listeners</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Listeners</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">listeners</page:param>
    <page:param name="description">Listeners are used for performing certain actions whenever an event occurs in JIRA.
        For example, email notifications can be sent when an issue is updated, or the administrator notified when a
        user signs up.
        <p>
        Some listeners are internal to JIRA, and you cannot modify their properties.  You can also add your own listeners
        to JIRA.
    </page:param>
</page:applyDecorator>

<p>

<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>
	<tr bgcolor=f0f0f0>
		<th>
			<b>Name / Class</b>
		</th>
		<th>
			<b>Properties</b>
		</th>
		<th>
			&nbsp;
		</th>
	</tr>

	<webwork:iterator value="listeners" status="'status'">
    <tr bgcolor="#<webwork:if test="@status/odd == true">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
		<td valign=top>
            <webwork:if test="listenerImplementation(.)/internal == true"><span class="hiddenField">
                <b><webwork:property value="string('name')"/></b> <font size=1>(internal)</font><br>
                <font size=1><webwork:property value="string('clazz')"/></font></span>
            </webwork:if>
            <webwork:else>
                <b><webwork:property value="string('name')"/></b><br>
                <font size=1><webwork:property value="string('clazz')"/></font>
            </webwork:else>
        </td>
		<td valign=top>

			<webwork:property value="propertySet(.)/keys('',5)">
			<table cellpadding=2 cellspacing=0 border=0>
				<webwork:if test=". != null">
					<webwork:iterator value=".">
						<tr>
							<td><b><webwork:property value="." /></b></td>
							<td><webwork:property value="propertySet(../..)/string(.)"/></td>
						</tr>
					</webwork:iterator>
				</webwork:if>
			</table>
			</webwork:property>
		</td>
		<td valign=top>
            <webwork:if test="/listenerEditable(.) == true">
			<a href="EditListener!default.jspa?id=<webwork:property value="long('id')"/>">Edit</a>
            </webwork:if>
            <webwork:if test="/listenerEditable(.) == true && /listenerDeletable(.) == true">
            |
            </webwork:if>
            <webwork:if test="/listenerDeletable(.) == true">
            <a href="ViewListeners.jspa?delete=<webwork:property value="long('id')"/>">Del</a>
            </webwork:if>
		</td>
	</tr>
	</webwork:iterator>
</table>
</td></tr></table>

<p>
<page:applyDecorator name="jiraform">
	<page:param name="action">ViewListeners.jspa</page:param>
	<page:param name="submitName">Add</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="title">Add Listener</page:param>
	<page:param name="helpURL">listeners</page:param>
<%--	<page:param name="helpDescription">with Listeners</page:param>--%>
	<page:param name="description">
  Add a new listener by entering a name and class below. You can then edit it to set properties.</page:param>

	<ui:textfield label="'Name'" name="'name'" size="'30'" />
	<ui:textfield label="'Class'" name="'clazz'" size="'60'"/>
</page:applyDecorator>
</p>

</body>
</html>
