<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title>Send Email</title>
</head>
<body>
<table width="100%" cellpadding="10" cellspacing="0" border="0">
    <tr>
        <td>
            <webwork:if test="/hasMailServer == true">
                <page:applyDecorator name="jiraform">
                    <page:param name="action">SendBulkMail.jspa</page:param>
                    <page:param name="cancelURI">ViewProjects.jspa?</page:param>
                    <page:param name="submitName">Send</page:param>
                    <page:param name="autoSelectFirst">false</page:param>
                    <page:param name="title">Send Email</page:param>
                    <page:param name="width">100%</page:param>
                    <page:param name="description">
                        <p>You can send an email to JIRA users here.</p>
                        <p>
                            Please select one or more groups from the list below. The email message will be sent to all members of the chosen groups.<br>
                            Note: a user will receive the email only once, even if they are a member of more than one group.
                        </p>
                    </page:param>
                    <webwork:component template="textlabel.jsp" label="'From'" value="remoteUser/email" />
                    <ui:select label="'To'" name="'groups'" list="allGroups" listKey="'name'" listValue="'name'" template="selectmultiple.jsp">
                        <ui:param name="'size'"><webwork:property value="/toFieldSize"/></ui:param>
                        <ui:param name="'mandatory'" value="'true'"/>
                    </ui:select>
                    <ui:textfield label="'Reply To'" name="'replyTo'" size="60">
                        <ui:param name="'mandatory'" value="'false'"/>
                        <ui:param name="'description'">Optionally, specify the 'Reply-To' address.</ui:param>
                    </ui:textfield>
                    <ui:textfield label="'Subject'" name="'subject'" size="60">
                        <ui:param name="'mandatory'" value="'true'"/>
                    </ui:textfield>
                    <ui:textarea label="'Body'" name="'message'" cols="70" rows="8" >
                        <ui:param name="'mandatory'" value="'true'"/>
                        <ui:param name="'description'">The body of the email message. You may include HTML.</ui:param>
                    </ui:textarea>
                    <ui:select label="'Message Type'" name="'messageType'" list="mimeTypes" listKey="'key'" listValue="'value'">
                        <ui:param name="'description'">The content-type of the email message.</ui:param>
                    </ui:select>
                    <ui:checkbox label="'Bcc'" name="'sendBlind'" fieldValue="'true'">
                        <ui:param name="'description'">Check this box if you want to hide the users email address.</ui:param>
                    </ui:checkbox>
                </page:applyDecorator>
            </webwork:if>
            <webwork:else>
                <page:applyDecorator name="jiraform">
                    <page:param name="action">ViewProjects.jspa</page:param>
                    <page:param name="submitName">OK</page:param>
                    <page:param name="autoSelectFirst">false</page:param>
                    <page:param name="title">Send Email</page:param>
                    <page:param name="width">100%</page:param>
                    <page:param name="description">
                        <p>You can send an email to JIRA users here.</p>
                        <p>
                            To send email you need to <a id="configure_mail_server" href="ViewMailServers.jspa">configure</a> a mail server.
                        </p>
                    </page:param>
                </page:applyDecorator>
            </webwork:else>
        </td>
    </tr>
</table>
</body>
</html>