
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Mail Servers</title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">SMTP Mail Servers</page:param>
    <page:param name="width">100%</page:param>

    <p>
    The table below shows the SMTP mail servers currently configured for this server
    </p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Details</b>
            </td>
            <td class="colHeaderLink">
                &nbsp;
            </td>
        </tr>

        <webwork:iterator value="smtpMailServers" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b><webwork:property value="name"/></b>

                <webwork:if test="description">
                    <br>
                    <font size=1><webwork:property value="description"/></font>
                </webwork:if>
            </td>
            <td valign=top>
                <b>From</b>: <webwork:property value="defaultFrom" /><br>
                <b>Prefix</b>: <webwork:property value="prefix" /><br>

                <webwork:if test="sessionServer == true">
                    <b>JNDI Location</b>: <webwork:property value="jndiLocation" /><br>
                </webwork:if>
                <webwork:else>
                    <b>Host</b>: <webwork:property value="hostname" /><br>
                    <webwork:if test="username">
                        <b>Username</b>: <webwork:property value="username" /><br>
                    </webwork:if>
                </webwork:else>
            </td>
            <td valign=top align=center>
                <a href="UpdateSmtpMailServer!default.jspa?id=<webwork:property value="id"/>">Edit</a><br>
                <a id="deleteSMTP" href="DeleteMailServer!default.jspa?id=<webwork:property value="id"/>">Del</a><br>
                <a href="SendTestMail!default.jspa">Send a Test Email</a>
            </td>
        </tr>
        </webwork:iterator>
        <webwork:if test="smtpMailServers/size == 0">
            <tr>
                <td colspan=3 bgcolor=ffffff>
                    You do not currently have any SMTP servers configured. No outgoing mail will be sent.
                </td>
            </tr>
        </webwork:if>
    </table>
    </td></tr></table>

</p>
<webwork:if test="smtpMailServers/size == 0">
<p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddSmtpMailServer!default.jspa">Configure new SMTP mail server</a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
</p>
</webwork:if>

&nbsp;<br>

<page:applyDecorator name="jirapanel">
    <page:param name="title">POP /IMAP Mail Servers</page:param>
    <page:param name="width">100%</page:param>

    <p>
    The table below shows the POP / IMAP mail servers currently configured for this server
    </p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Details</b>
            </td>
            <td class="colHeaderLink">
                &nbsp;
            </td>
        </tr>

        <webwork:iterator value="popMailServers" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b><webwork:property value="name"/></b>

                <webwork:if test="description">
                    <br>
                    <font size=1><webwork:property value="description"/></font>
                </webwork:if>
            </td>
            <td valign=top>
                <b>Host</b>: <webwork:property value="hostname" /><br>
                <b>Username</b>: <webwork:property value="username" /><br>
            </td>
            <td valign=top align=center>
                <a href="UpdatePopMailServer!default.jspa?id=<webwork:property value="id"/>">Edit</a><br>
                <a id="deletePOP" href="DeleteMailServer!default.jspa?id=<webwork:property value="id"/>">Del</a>
            </td>
        </tr>
        </webwork:iterator>
        <webwork:if test="popMailServers/size == 0">
            <tr>
                <td colspan=3 bgcolor=ffffff>
                    You do not currently have any POP / IMAP servers configured.
                </td>
            </tr>
        </webwork:if>
    </table>
    </td></tr></table>

</p>

<p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddPopMailServer!default.jspa">Configure new POP / IMAP mail server</a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
</p>

</body>
</html>
