
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
    <title>Import Data from Mantis</title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="action">MantisImport.jspa</page:param>
    <page:param name="cancelURI">/secure/admin/views/externalimport.jsp</page:param>
    <page:param name="submitName">Import</page:param>
    <page:param name="autoSelectFirst">false</page:param>
    <page:param name="title">Import Data from Mantis</page:param>
    <page:param name="helpURL">mantis</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description">
        Import your Mantis data into JIRA.
        <p>
        Users of Mantis will be required to get their passwords sent to them when they login to JIRA.
        <b>Note: The import process may take a while to complete. Please do <u>NOT</u> push the Import button more than once!</b>
    </page:param>

    <ui:textfield label="'Mantis Database URL'" name="'url'" size="60">
    </ui:textfield>

    <ui:textfield label="'Database Login Name'" name="'name'" size="60">
    </ui:textfield>

    <ui:textfield label="'Database Login Password'" name="'password'" size="60">
    </ui:textfield>

    <ui:textfield label="'Driver Name'" name="'driverName'" size="60">
    </ui:textfield>
    
    <ui:checkbox label="'Send email notifications'" name="'enablenotifications'" fieldValue="'true'">
    <ui:param name="'description'">Check if you want newly created issues to generate trigger notification events</ui:param>
    </ui:checkbox>

</page:applyDecorator>

<page:applyDecorator name="jiraform">
    <page:param name="width">100%</page:param>

    <ui:textarea label="'Log'" name="'importLog'" cols="100" rows="20" >
        <ui:param name="'description'">Log of the events for the import.</ui:param>
        <ui:param name="'readonly'" value="true"/>
    </ui:textarea>
</page:applyDecorator>
  <script language="JavaScript">
  function openMonitor() {
    win = window.open('MantisImport!monitor.jspa?decorator=none', 'Mantis Log Monitor', 'status=no,resizable=yes,top=100,left=200,width=650,height=600,scrollbars=yes');
    win.focus();
    return false;
  }
  </script>
  <a href="MantisImport!monitor.jspa?decorator=none" onClick="return openMonitor()">watch logs in a separate window</a>


</body>
</html>