
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Permission Schemes</title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Permission Schemes</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">permissions</page:param>

    <p>
    Permission Schemes allow you to create a set of permissions and apply this set of permissions to any project.
    <p>
    All permissions within a scheme will apply to all projects that are associated with that scheme.
    </p>
    The table below shows the permission schemes currently configured for this server. For permissions that apply to all projects see <a href="<%= request.getContextPath() %>/secure/admin/jira/GlobalPermissions.jspa">Global Permissions</a>
    <p>
</page:applyDecorator>

    <p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Projects</b>
            </td>
            <td class="colHeaderLink">
                &nbsp;
            </td>
        </tr>

        <webwork:iterator value="schemes" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b><a href="EditPermissions!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:property value="string('name')"/></a></b><br>
                <webwork:property value="string('description')"/></td>
            <td valign=top nowrap>
            <webwork:iterator value="projects(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a><br>
            </webwork:iterator>
            </td>
            <td valign=top align=center nowrap>
                <a href="EditPermissions!default.jspa?schemeId=<webwork:property value="long('id')"/>" title="Change permissions for this scheme">Permissions</a>
                |
                <a href="CopyPermissionScheme.jspa?schemeId=<webwork:property value="long('id')"/>" title="Create a copy of this scheme">Copy</a>
                |
                <a href="EditPermissionScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>" title="Edit the name and description of this scheme">Edit</a>
                <%-- You cannot delete the default permission scheme (0) --%>
                <webwork:if test="long('id') != 0">
                    |
                    <a id="del_<webwork:property value="string('name')"/>" href="DeletePermissionScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>" title="Delete this scheme">Del</a>
                </webwork:if>
            </td>
        </tr>
        </webwork:iterator>
        <webwork:if test="schemes/size == 0">
        <tr bgcolor=ffffff>
            <td colspan=3>You do not currently have any permission schemes configured.</td>
        </tr>
        </webwork:if>
    </table>
    </td></tr></table>

    <p>
    <table align=center border="0" cellpadding="0" cellspacing="0" width=90%>
    <tr>
    <td align="center">
    <table border="0" cellpadding="3" cellspacing="1">
    <tr>
        <td><a href="AddPermissionScheme!default.jspa">Add Permission Scheme</a></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    </p>

</body>
</html>
