<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Current Plugins</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Current Plugins</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">plugins</page:param>
    Plugins are used to extend the functionality of JIRA in different ways.
</page:applyDecorator>

<p>

<page:applyDecorator name="plugins">
    <webwork:if test="selectedPlugin">
        <webwork:property value="selectedPlugin">
        <div style="background: #f0f0f0; padding: 4px 4px 2px 4px;">
        <h3 style="margin:0 0 10px 0; padding: 0 0 0 0;"><webwork:property value="name" /></h3>
            <webwork:property value="pluginInformation">
                <webwork:if test="description">
                    <b>Description:</b> <webwork:property value="description" /><br>
                </webwork:if>
                <webwork:if test="vendorName">
                    <b>Vendor:</b>
                    <webwork:if test="vendorUrl"><a href="<webwork:property value="vendorUrl" />"></webwork:if><webwork:property value="vendorName" /><br><webwork:if test="vendorUrl"></a></webwork:if>
                </webwork:if>
                <webwork:if test="version">
                    <b>Plugin Version:</b> <webwork:property value="version" /><br>
                </webwork:if>
                <webwork:if test="maxVersion">
                    <b>JIRA version<webwork:if test="maxVersion != minVersion">s</webwork:if>:</b> <webwork:property value="minVersion" /><webwork:if test="maxVersion != minVersion"> - <webwork:property value="maxVersion" /></webwork:if><br>
                </webwork:if>
            </webwork:property>

            <webwork:if test="/pluginEnabled(.) == true">
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" alt=""/>
                <a href="ViewPlugins.jspa?mode=disable&pluginKey=<webwork:url value="key" />">Disable plugin</a>
            </webwork:if>
            <webwork:else>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" alt=""/>
                <a href="ViewPlugins.jspa?mode=enable&pluginKey=<webwork:url value="key" />">Enable plugin</a>
            </webwork:else>
        </div>
        <div class="padded">
            <center>
            <table class="grid" width="95%">
            <webwork:iterator value="moduleDescriptors">
                <tr <webwork:if test="/pluginEnabled(..) == true && /moduleEnabled(.) == true">style="background: #ddffdd;"</webwork:if><webwork:else>style="background: #ffdddd;"</webwork:else>>
                    <td valign="top" align="left">
                        <b><webwork:property value="name" /></b> (<webwork:property value="key" />)
                        <webwork:if test="description">
                            <br>
                            <webwork:property value="description" />
                        </webwork:if>
                    </td>
                    <td valign="top" class="smallfont" nowrap width=16 align="center">
                        <webwork:if test="/pluginEnabled(..) == true">
                            <webwork:if test="/moduleEnabled(.) == true">
                                <a href="ViewPlugins.jspa?mode=disable&moduleKey=<webwork:url value="completeKey" />">Disable module</a>
                            </webwork:if>
                            <webwork:else>
                                <a href="ViewPlugins.jspa?mode=enable&moduleKey=<webwork:url value="completeKey" />">Enable module</a>
                            </webwork:else>
                        </webwork:if>
                        <webwork:else>&nbsp;</webwork:else>
                    </td>
                </tr>
            </webwork:iterator>
            </table>
            </center>
        </div>
        </div>
        </webwork:property>
    </webwork:if>
    <webwork:else>
        <div class="errorbox">Select a plugin</div>
    </webwork:else>
</page:applyDecorator>

</body>
</html>
