
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>View Resolutions</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">View Resolutions</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="localHelpAction">ShowConstantsHelp.jspa</page:param>
    <p>
    The table below shows the resolutions used in this version of JIRA, in order they are displayed
    to the user.
    </p>

    </p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Description</b>
            </td>
            <td class="colHeaderLink">
                <b>Order</b>
            </td>
            <td class="colHeaderLink">
                <b>Operation</b>
            </td>
        </tr>

        <webwork:iterator value="/constantsManager/resolutions" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top><b><webwork:property value="string('name')"/></b><webwork:if test="../default(.) == true"> (default)</webwork:if></td>
            <td valign=top><webwork:property value="string('description')"/></td>
            <td valign=top align=center>
                <webwork:if test="@status/first != true"><a href="ResolutionUp.jspa?up=<webwork:url value="string('id')" />"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border=0 width=11 height=14 alt="Move this resolution up"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
                <webwork:if test="@status/last != true"><a href="ResolutionDown.jspa?down=<webwork:url value="string('id')" />"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border=0 width=11 height=14 alt="Move this resolution down"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
            </td>
            <td valign=top nowrap>
                <a href="EditResolution!default.jspa?id=<webwork:property value="string('id')"/>">Edit</a>
                |
                <a href="DeleteResolution!default.jspa?id=<webwork:property value="string('id')"/>">Del</a>
                <webwork:if test="../default(.) == false">
                |
                <a href="<webwork:url page="MakeDefaultResolution.jspa"><webwork:param name="'make'" value="string('id')" /></webwork:url>">Default</a>
                </webwork:if>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddResolution.jspa</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="submitName">Add</page:param>
        <page:param name="title">Add New Resolution</page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'" />

        <ui:textfield label="'Description'" name="'description'" size="'60'" />
    </page:applyDecorator>
    </p>

</body>
</html>
