<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Statuses</title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">View Statuses</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">issues</page:param>
    <page:param name="helpURLFragment">#StatusTypes</page:param>
    <p>
    The table below shows the statuses used in this version of JIRA.
    </p>
    <p>
        All statuses have one of two modes:
        <ul>
            <li><span class="green-highlight"><b>Active</b></span> - associated with a workflow/s.
            <li><span class="red-highlight"><b>Inactive</b></span> - not in use.
        </ul>
        To delete a status, it must not be associated with a workflow.
    </p>
</page:applyDecorator>
<p>
    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Status Details</b>
            </td>
            <td class="colHeaderLink">
                <b>Mode</b>
            </td>
            <td class="colHeaderLink">
                <b>Workflows</b>
            </td>
            <td class="colHeaderLink">
                <b>Operations</b>
            </td>
        </tr>

        <webwork:iterator value="/constantsManager/statuses" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
             <td valign=top>
                <webwork:component name="{./string('name')}" template="constanticon.jsp">
                    <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                    <webwork:param name="'iconurl'" value="./string('iconurl')" />
                </webwork:component>

                <b><span style="vertical-align:center"><webwork:property value="string('name')"/></span></b>

                <webwork:if test="string('description')/length > 1">
                    <br>
                    <webwork:property value="string('description')"/>
                </webwork:if>

            </td>

            <!-- Mode column - is staus active? -->
            <td nowrap>
                <webwork:if test="/associatedWorkflows(.)/empty == false">
                    <span class="green-highlight">Active</span>
                </webwork:if>
                <webwork:else>
                    <span class="red-highlight">Inactive</span>
                </webwork:else>
            </td>

            <!-- Workflows column - display associated workflows -->
            <td nowrap>
                <webwork:if test="/associatedWorkflows(.)/empty == false">
                    <%--<webwork:iterator value="associatedWorkflows(.)" status="'iteratorStatus'">
                        <a href="ViewWorkflowSteps.jspa?workflowName=<webwork:property value="." />">
                            <webwork:property value="."/></a><webwork:if test="@iteratorStatus/last == false">, </webwork:if>
                    </webwork:iterator>--%>
                    <webwork:iterator value="associatedWorkflows(.)" status="'iteratorStatus'">
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                        <a href="ViewWorkflowSteps.jspa?workflowName=<webwork:property value="." />">
                            <webwork:property value="."/></a>
                        <br>
                    </webwork:iterator>
                </webwork:if>
            </td>

            <td nowrap>
                <a href="EditStatus!default.jspa?id=<webwork:property value="string('id')"/>">Edit</a>
                <webwork:if test="/associatedWorkflows(.)/empty == true">
                | <a id="del_<webwork:property value="string('name')"/>"href="DeleteStatus!default.jspa?id=<webwork:property value="string('id')"/>">Del</a>
                </webwork:if>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    <webwork:if test="professionalFeatureEnabled == true">
        <p>
        <page:applyDecorator name="jiraform">
            <page:param name="action">AddStatus.jspa</page:param>
            <page:param name="submitName">Add</page:param>
            <page:param name="title">Add New Status</page:param>
            <page:param name="width">100%</page:param>

            <ui:textfield label="'Name'" name="'name'" size="'30'" />

            <ui:textfield label="'Description'" name="'description'" size="'60'" />

            <ui:textfield label="'Icon URL'" name="'iconurl'" size="'60'">
                <ui:param name="'description'">(relative to the JIRA web application e.g /images/icons OR starting with http://)</ui:param>
            </ui:textfield>
        </page:applyDecorator>
        </p>
    </webwork:if>

</body>
</html>