<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <title>Manage Sub-Tasks</title>
</head>
<body>
    <p>

        <page:applyDecorator name="jiratable">
            <page:param name="width">100%</page:param>
            <page:param name="title">Sub-Tasks</page:param>
            <tr><td bgcolor="#ffffff">
                <webwork:if test="/subTasksEnabled == true">
                    Sub-Tasks are currently turned <b><font color="#009900">ON</font></b>.
                    <br><br>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <a href="DisableSubTasks!default.jspa"><b>Disable</b></a> sub-tasks
                </webwork:if>
                <webwork:else>
                    Sub-Tasks are currently turned <b><font color="#990000">OFF</font></b>.
                    <br><br>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <a href="EnableSubTasks.jspa"><b>Enable</b></a> sub-tasks
                </webwork:else>
            </td></tr>
        </page:applyDecorator>

        <webwork:if test="/subTasksIssueTypes != null && /subTasksIssueTypes/empty == false">
        <p>
            <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
                <table border="0" cellpadding="3" cellspacing="1" width=100%>
                    <tr bgcolor=f0f0f0>
                        <td class="colHeaderLink">
                            <b>Name</b>
                        </td>
                        <td class="colHeaderLink">
                            <b>Description</b>
                        </td>
                        <td class="colHeaderLink">
                            <b>Icon</b>
                        </td>
                        <webwork:if test="/subTasksEnabled == true">
                            <td class="colHeaderLink">
                                <b>Order</b>
                            </td>
                            <td class="colHeaderLink">
                                <b>Operation</b>
                            </td>
                        </webwork:if>
                    </tr>

                    <webwork:property value="/subTasksIssueTypes">
                    <webwork:iterator value="." status="'status'">
                    <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
                        <td valign=top><b><webwork:property value="string('name')"/></b><webwork:if test="../default(.) == true"> (default)</webwork:if></td>
                        <td valign=top><webwork:property value="string('description')"/></td>
                        <td valign=top align=center>
                        <webwork:component name="{./string('name')}" template="constanticon.jsp">
                          <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                          <webwork:param name="'iconurl'" value="./string('iconurl')" />
                        </webwork:component>
                        </td>
                        <webwork:if test="/subTasksEnabled == true">
                            <td valign=top align=center>
                                <webwork:if test="@status/first != true"><a href="MoveSubTaskIssueTypeUp.jspa?id=<webwork:url value="string('id')" />"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border=0 width=11 height=14 alt="Move this sub-task issue type up"></a></webwork:if>
                                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
                                <webwork:if test="@status/last != true"><a href="MoveSubTaskIssueTypeDown.jspa?id=<webwork:url value="string('id')" />"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border=0 width=11 height=14 alt="Move this sub-task issue type down"></a></webwork:if>
                                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=11 height=14></webwork:else>
                            </td>
                            <td valign=top nowrap>
                                <a href="EditSubTaskIssueTypes!default.jspa?id=<webwork:property value="string('id')"/>">Edit</a>

                                <%-- At least one sub-task issue type must exists - users can turn sub-tasks off if they do not want to
                                use them. Check that there is more tahn one sub-task issue type --%>
                                <webwork:if test="../size > 1">
                                    |
                                    <a id="del_<webwork:property value="string('name')"/>" href="DeleteSubTaskIssueType!default.jspa?id=<webwork:property value="string('id')"/>">Del</a>
                                </webwork:if>

                                <webwork:if test="../default(.) == false">
                                |
                                <a href="<webwork:url page="MakeDefaultSubTask.jspa"><webwork:param name="'make'" value="string('id')" /></webwork:url>">Default</a>
                                </webwork:if>
                            </td>
                        </webwork:if>
                    </tr>
                    </webwork:iterator>
                    </webwork:property>
                </table>
            </td></tr></table>
        </p>
        </webwork:if>
        <webwork:if test="/subTasksEnabled == true">
            <p>
                <page:applyDecorator name="jiraform">
                    <page:param name="action">AddSubTaskIssueType.jspa</page:param>
                    <page:param name="submitName">Add</page:param>
                    <page:param name="title">Add New Sub-Task Issue Type</page:param>
                    <page:param name="width">100%</page:param>

                    <ui:textfield label="'Name'" name="'name'" size="'30'" />

                    <ui:textfield label="'Description'" name="'description'" size="'60'" />

                    <ui:textfield label="'Icon URL'" name="'iconurl'" size="'60'">
                        <ui:param name="'description'">(relative to the JIRA web application e.g /images/icons OR starting with http://)</ui:param>
                    </ui:textfield>
                </page:applyDecorator>
            </p>
        </webwork:if>
   </p>
</body>
</html>