
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Select Project Repository</title>
</head>
<body>

<webwork:if test="repositories == null || repositories/size == 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title">No Version Control Modules</page:param>
        <page:param name="width">100%</page:param>
        <p>
        You have not created any Version Control modules yet.
        </p>
        <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0>
        <a href="<%= request.getContextPath() %>/secure/admin/projectcategories/AddRepository!default.jspa"><b>Add</b></a> a new module.
        </p>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Select Version Control Modules</page:param>
        <page:param name="description">
            This page allows you to select which repositories you would like this project to use.
            <p><b><font color="990000">Note</font></b>: Once a repository is associated with this project all users with 'View Control Permission' for this project can view commit information from that repository.</p>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
        <page:param name="action">EnterpriseSelectProjectRepository.jspa</page:param>
        <page:param name="submitName">Select</page:param>

        <ui:select label="'Repositories'" name="'multipleRepositoryIds'" list="repositories" listKey="'id'" listValue="'name'" template="selectmultiple.jsp">
            <ui:param name="'headerrow'" value="'None'" />
            <ui:param name="'headervalue'" value="-1" />
        </ui:select>
        <ui:component name="'projectId'" template="hidden.jsp"/>
	</page:applyDecorator>
</webwork:else>

</body>
</html>