
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Code Repositories</title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">CVS Modules</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">cvs_integration</page:param>
    <p>
    The table below shows the cvs modules currently configured for this server
    </p>
    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0>
    <a href="AddRepository!default.jspa"><b>Add</b></a> new cvs module
    </p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Details</b>
            </td>
            <td class="colHeaderLink">
                <b>Projects</b>
            </td>
            <td class="colHeaderLink">
                <b>Operations</b>
            </td>
        </tr>

        <webwork:iterator value="repositories" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b><webwork:property value="name"/></b>

                <webwork:if test="description">
                    <br>
                    <font size=1><webwork:property value="description"/></font>
                </webwork:if>
            </td>
            <td valign=top>
                <b>Log File Path</b>:
                <webwork:if test="./cvsLogFilePath">
                     <webwork:property value="./cvsLogFilePath" /><br>
                </webwork:if>
                <webwork:else>
                    <span class="warning">Not set. Log will be stored in a temporary file.</span><br>
                </webwork:else>
                <b>CVS Root</b>: <webwork:property value="./cvsRoot" /><br>
                <b>Module Name</b>: <webwork:property value="./moduleName" /><br>
                <b>Log Retrieval</b>: <webwork:if test="./fetchLog == true">JIRA will periodically retrieve the log</webwork:if><webwork:else>The log needs to be updated manually</webwork:else><br>
                <webwork:property value="/viewCVSBaseUrl(.)">
                    <b>ViewCVS URL</b>: <webwork:property />
                    <webwork:if test=". != ''">
                        <br><b>ViewCVS Root Parameter</b>: <webwork:property value="/viewCVSRootParameter(..)" />
                    </webwork:if>
                </webwork:property>
            </td>
            <td valign=top>
                <webwork:if test="/projects(.) != null && /projects(.)/empty == false">
                    <webwork:iterator value="/projects(.)">
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                        <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="./string('name')" /></a><br>
                    </webwork:iterator>
                </webwork:if>
                <webwork:else>
                    &nbsp;
                </webwork:else>
            </td>

            <td valign=top align=left>
                <a href="UpdateRepository!default.jspa?id=<webwork:property value="id"/>">Edit</a>
                | <a href="RepositoryTest.jspa?id=<webwork:property value="id"/>">Test</a>
                <webwork:if test="/deletable(.) == true">
                    | <a href="DeleteRepository!default.jspa?id=<webwork:property value="id"/>">Delete</a>
                </webwork:if>
            </td>
        </tr>
        </webwork:iterator>
        <webwork:if test="repositories/size == 0">
            <tr>
                <td colspan=4 bgcolor=ffffff>
                    You do not currently have any cvs modules configured.
                </td>
            </tr>
        </webwork:if>
    </table>
    </td></tr></table>

</p>



</body>
</html>
