<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Cache Configuration</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Cache Configuration</page:param>
    <page:param name="width">100%</page:param>

    This page shows the details of the current issue cache. The issue cache is a large determinant of the amount of memory used by JIRA.
    <p>
    Increase the cache size to give better performance, decrease it to use less memory.
    <p>
    If you can increase the cache size beyond the number of issues in the system, performance will be at a maximum.
    <p>
    You can also flush the cache on the entire web site (not the issues):
    <a href="<%= request.getContextPath() %>/secure/admin/jira/FlushAllCache.jspa">Flush Website Cache</a>
</page:applyDecorator>

<p>
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=95%><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width=100%>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=f0f0f0><b>Current Cache Size</b></td>
		<td valign=top width=30%><webwork:property value="size"/></td>
		<td valign=top width=30%><a href="<%= request.getContextPath() %>/secure/admin/jira/FlushIssueCache.jspa">Flush Cache</a></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=f0f0f0><b>Cache Capacity</b></td>
		<td valign=top width=40%><webwork:property value="capacity"/></td>
		<td valign=top width=30%><a href="<%= request.getContextPath() %>/secure/admin/jira/ChooseCacheCapacity.jspa">Set Capacity</a></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=f0f0f0><b>Hits Count</b></td>
		<td valign=top width=30%><webwork:property value="hitsCount"/></td>
		<td valign=top width=30%><a href="<%= request.getContextPath() %>/secure/admin/jira/ResetCacheStats.jspa">Reset stats</a></td>
	</tr>

	<tr bgcolor="#ffffff">
		<td valign=top width=40% bgcolor=f0f0f0><b>Miss Count</b></td>
		<td valign=top width=30%><webwork:property value="missCount"/></td>
		<td valign=top width=30%>&nbsp;</td>
	</tr>

</table>
</td></tr></table>
</p>

</body>
</html>