<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.LicenseManager,
                 com.atlassian.license.License"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Activate Workflow: <webwork:property value="workflowName"/></title>
</head>
<body>
<body>
    <page:applyDecorator name="jiraform">
        <page:param name="title">Activate Workflow: <webwork:property value="workflowName"/></page:param>
        <page:param name="description">
            <webwork:if test="migrationManager/statusesNeedingMigration/empty == false">
                <p>Migrate statuses from the old workflow to the new one.</p>
            </webwork:if>
            <webwork:else>
                <p>Confirm that you want to activate the workflow: <b><webwork:property value="workflowName"/></b>.</p>
            </webwork:else>
             <p>This operation may take some time - all issues in all projects must be migrated to the new workflow.</p>
             <span class=warning>Note</span>: It is recommended to <a href="<%= request.getContextPath() %>/secure/admin/XmlBackup!default.jspa">backup</a> your JIRA data before activating a workflow.</p>
        </page:param>

        <page:param name="action">ActivateWorkflow.jspa</page:param>
        <page:param name="submitName">Activate</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="cancelURI"><webwork:url page="ListWorkflows.jspa"></webwork:url></page:param>


        <webwork:if test="migrationManager/statusesNeedingMigration/empty == false">
            <tr bgcolor="ffffff"><td>
            <table width="50%" align="center">
            <tr><td>
                <div class="borderedBox">
                    <table bgcolor="ffffff" width="100%">
                        <tr>
                            <td width="1%" nowrap><b>Old Status</b></td>
                            <td width="1%"></td>
                            <td width="1%" nowrap><b>New Status</b></td>
                        </tr>
                        <webwork:iterator value="migrationManager/statusesNeedingMigration">
                        <tr bgcolor=ffffff>
                            <td nowrap>
                            <webwork:component name="{./string('name')}" template="constanticon.jsp">
                                <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                                <webwork:param name="'iconurl'" value="./string('iconurl')" />
                                <webwork:param name="'title'"><webwork:property value="./string('name')" /></webwork:param>
                            </webwork:component>
                            <webwork:property value="./string('name')" />
                            </td>

                            <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>

                            <%-- the name of the select list will be mapping_statusId (generated by action as I can't concat here) --%>
                            <ui:select label="text('issue.field.status')" name="/selectListName(.)" list="/targetStatuses" listKey="'string('id')'" listValue="'string('name')'" theme="'single'">
                                <ui:param name="'mandatory'" value="true"/>
                            </ui:select>
                        </tr>
                        </webwork:iterator>
                    </table>
                </div>
            </td></tr>
            </table>
        </webwork:if>

        <ui:component name="'workflowName'" template="hidden.jsp"/>
    </page:applyDecorator>
</body>
</html>