<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:if test="/active(scheme) == false">Edit</webwork:if><webwork:else>View</webwork:else> Workflows for <webwork:property value="scheme/string('name')" /></title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title"><webwork:if test="/active(scheme) == false">Edit</webwork:if><webwork:else>View</webwork:else> Workflows for <webwork:property value="scheme/string('name')" /></page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">workflow_schemes</page:param>
    <p>
    On this page you can edit the workflows for the "<webwork:property value="scheme/string('name')"/>" workflow scheme.
    </p>

    <p>
    <webwork:if test="/active(scheme) == false">
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="AddWorkflowSchemeEntity!default.jspa"><webwork:param name="'schemeId'" value="scheme/string('id')"/></webwork:url>"><b>Assign</b></a> a workflow to an issue type for this scheme.
        <br>
    </webwork:if>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="ViewWorkflowSchemes.jspa"><b>View</b></a> all workflow schemes.
    </p>

</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Issue Type</b>
            </td>
            <td class="colHeaderLink">
                <b>Workflow</b>
            </td>
            <webwork:if test="/active(scheme) == false">
                <td class="colHeaderLink" width=10%>
                    <b><webwork:text name="'common.words.operations'"/></b>
                </td>
            </webwork:if>
        </tr>

        <webwork:if test="defaultEntity != null">
        <webwork:property value="defaultEntity">
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>All Unassigned Issue Types</b><br>
                <span class="small">issues of all types not explicitly assigned below will use this workflow.</span>
            </td>
             <td valign=top>
                <webwork:property value="/workflow(string('workflow'))">
                    <webwork:property value="name" />
                </webwork:property>
            </td>
            <webwork:if test="../active(scheme) == false">
                <td nowrap valign=top>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <a href="<webwork:url page="DeleteWorkflowSchemeEntity!default.jspa"><webwork:param name="'id'" value="long('id')"/><webwork:param name="'schemeId'" value="schemeId"/></webwork:url>">Del</a>
                </td>
            </webwork:if>
        </tr>
        </webwork:property>
        </webwork:if>

        <webwork:iterator value="nonDefaultEntities" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <webwork:property value="/constantsManager/issueType(string('issuetype'))">
                    <webwork:component name="{./string('name')}" template="constanticon.jsp">
                        <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                        <webwork:param name="'iconurl'" value="./string('iconurl')" />
                        <webwork:param name="'title'"><webwork:property value="./string('name')" /></webwork:param>
                    </webwork:component>
                    <webwork:property value="./string('name')" />
                </webwork:property>
            </td>
            <td valign=top>
                <webwork:property value="/workflow(string('workflow'))">
                    <webwork:property value="name" />
                </webwork:property>
            </td>
            <webwork:if test="../active(scheme) == false">
                <td nowrap  valign=top>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                     <a id="del_<webwork:property value="/constantsManager/issueType(string('issuetype'))/string('name')"/>_<webwork:property value="/workflow(string('workflow'))/name"/>" href="<webwork:url page="DeleteWorkflowSchemeEntity!default.jspa"><webwork:param name="'id'" value="long('id')"/><webwork:param name="'schemeId'" value="schemeId"/></webwork:url>">Del</a>
                </td>
            </webwork:if>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    </body>
</html>
