<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Import Workflow From Xml</title>
</head>
<body>
<page:applyDecorator name="jiraform">
        <page:param name="action">ImportWorkflowFromXml.jspa</page:param>
        <page:param name="submitName">Import</page:param>
        <page:param name="title">Import Workflow</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI">ListWorkflows.jspa</page:param>
        <page:param name="description">
            <p>
            It is possible to import a predefined workflow into JIRA.
            </p>
            <p>
            Specify a name for the imported workflow and optionally a description.<br>
            Then, provide a full path to an XML file on the server that contains the workflow definition.<br>
            Alternatively, paste the workflow XML definition directly into the text area below.
        </page:param>

        <ui:textfield label="'Name'" name="'name'" size="'30'">
            <ui:param name="'description'">A unique name for the imported workflow.</ui:param>
            <ui:param name="'mandatory'">true</ui:param>
	    </ui:textfield>


        <ui:textfield label="'Description'" name="'description'" size="'60'">
            <ui:param name="'description'">Optionally, provide a description for the workflow.</ui:param>
	    </ui:textfield>

        <tr>
            <td bgcolor=fffff0>&nbsp;</td><td bgcolor=ffffff>&nbsp;</td>
        </tr>

        <ui:textfield label="'File Path'" name="'filePath'" size="'60'">
		    <ui:param name="'description'">Enter a full path on the server to the file containing a workflow definition.</ui:param>
	    </ui:textfield>

        <tr>
            <td bgcolor=fffff0>&nbsp;</td><td bgcolor=ffffff><span class="red-highlight">OR</span></td>
        </tr>
        <tr>
            <td bgcolor=fffff0 valign=top width=10%>
                Workflow Definition (XML):
            </td>
            <td bgcolor=ffffff>
                <textarea name="workflowXML" rows=20 cols=80><webwork:property value="/workflowXML" /></textarea>
            </td>
        </tr>
</page:applyDecorator>
