<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Workflows</title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">View Workflows</page:param>
    <page:param name="width">100%</page:param>
    <webwork:if test="enterprise == false">
        <p>
        The table below shows the current workflows used in this version of JIRA and whether or not they are active.
        </p>
        <p>
            All workflows have one of two modes:
            <ul>
                <li><font color="darkgreen"><b>Active</b></font> - the workflow used by all projects in JIRA.
                <li><font color="darkred"><b>Inactive</b></font> - not in use.
            </ul>
            To edit a workflow, you must first de-activate it by activating another workflow.
        </p>
        <p>
            <span class=warning>Note</span>: It is recommended to <a href="<%= request.getContextPath() %>/secure/admin/XmlBackup!default.jspa">backup</a> JIRA data before activating a workflow.</p>
        </p>
    </webwork:if>
    <webwork:else>
        <p>
        The table below shows the current workflows used in this version of JIRA and whether or not they are active.
        </p>
        <p>
            All workflows have one of two modes:
            <ul>
                <li><font color="darkgreen"><b>Active</b></font> - currently assigned to at least one scheme which is associated with one or more projects, cannot be edited.
                <li><font color="darkred"><b>Inactive</b></font> - not assigned to any scheme, or assigned to schemes which are not associated with any projects, can be edited.
            </ul>
            To edit a workflow, you must first de-activate it by unassigning it from any workflow schemes or unassociate its schemes from any projects.<br>
            To delete a workflow, you must first unassign it from any workflow schemes.
        </p>
        <p>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <b><a href="<%= request.getContextPath() %>/secure/admin/ViewWorkflowSchemes.jspa">View</a></b> the current workflow schemes, showing how the workflows are assigned to projects and issue types.
        </p>
    </webwork:else>
</page:applyDecorator>
<p>
    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Description</b>
            </td>
            <td class="colHeaderLink">
                <b>Active?</b>
            </td>
            <webwork:if test="enterprise == true">
            <td class="colHeaderLink">
                <b>Schemes</b>
            </td>
            </webwork:if>
            <td class="colHeaderLink">
                <b>Steps</b>
            </td>
            <td class="colHeaderLink">
                <b>Operation</b>
            </td>
        </tr>

        <webwork:iterator value="workflows" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top><b><webwork:property value="name"/></b>
                <webwork:if test="./systemWorkflow == true">
                    &nbsp;<span class="smallgrey">(Read-only System Workflow)</span>
                </webwork:if>
            </td>
            <td valign=top><webwork:property value="description"/></td>
            <td valign=top>
                <webwork:if test="./active == true">
                    <font color="darkgreen"><b>Active</b></font>
                </webwork:if>
                <webwork:else>
                    <font color="darkred"><b>Inactive</b></font>
                </webwork:else>
            </td>
            <webwork:if test="enterprise == true">
            <td>
                <webwork:property value="/schemesForWorkflow(.)" id="workflowSchemes"/>
                <webwork:if test="@workflowSchemes && @workflowSchemes/empty == false">
                    <webwork:iterator value="@workflowSchemes">
                        <img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                        <a href="<%= request.getContextPath() %>/secure/admin/EditWorkflowSchemeEntities!default.jspa?schemeId=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a><br>
                    </webwork:iterator>
                    <webwork:if test="default == true"><br></webwork:if>
                </webwork:if>
                <webwork:if test="default == true">
                    <span class="small">Used by projects with no associated workflow shceme and by workflow schemes with unassigned issue types.</span>
                </webwork:if>
            </td>
            </webwork:if>
            <td valign=top><webwork:property value="descriptor/steps/size" /></td>
            <td valign=top nowrap>
                <a id="steps_<webwork:property value="name"/>" href="<webwork:url page="ViewWorkflowSteps.jspa"><webwork:param name="'workflowName'" value="name" /></webwork:url>">Steps</a>
                |
                <a href="<webwork:url page="ViewWorkflowXml.jspa"><webwork:param name="'workflowName'" value="name" /></webwork:url>">XML</a>
                |
                <a id="copy_<webwork:property value="name"/>" href="<webwork:url page="CloneWorkflow!default.jspa"><webwork:param name="'workflowName'" value="name" /></webwork:url>">Copy</a>
                <webwork:if test="./editable == true">
                <webwork:if test="enterprise == false || (enterprise == true && @workflowSchemes/empty == true)">
                    |
                    <a id="del_<webwork:property value="name"/>" href="<webwork:url page="DeleteWorkflow.jspa"><webwork:param name="'workflowName'" value="name" /></webwork:url>">Delete</a>
                </webwork:if>
                </webwork:if>
                <webwork:if test="/enterprise == false && ./active == false && noProjects == false">
                |
                <a id="activate_<webwork:property value="name"/>" href="<webwork:url page="ActivateWorkflow!default.jspa"><webwork:param name="'workflowName'" value="name" /></webwork:url>">Activate</a>
                </webwork:if>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    <p>
    <page:applyDecorator name="jiraform">
        <page:param name="action">AddWorkflow.jspa</page:param>
        <page:param name="submitName">Add</page:param>
        <page:param name="title">Add New Workflow</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            To create a complete new workflow, you need to:
            <ul>
                <li>provide a name and description to identify the workflow
                <li>add the steps the workflow will have, and link them to statuses within JIRA
                <li>create transitions between the different steps
                <webwork:if test="enterprise == true">
                    <li>enable the workflow and assign it to a workflow scheme
                </webwork:if>
                <webwork:else>
                    <li>activate the workflow to be the default workflow within JIRA
                </webwork:else>
            </ul>
            You can create a new workflow below, or <b><a href="<webwork:url page="ImportWorkflowFromXml!default.jspa" />">import a workflow from XML</a>.
        </page:param>

        <ui:textfield label="'Name'" name="'newWorkflowName'" size="'30'">
            <ui:param name="'description'">Please use only ASCII characters.</ui:param>                        
        </ui:textfield>
        <ui:textfield label="'Description'" name="'description'" size="'60'" />

    </page:applyDecorator>
    </p>
</body>
</html>