<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Workflow Schemes</title>
</head>

<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Workflow Schemes</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">workflow</page:param>

    <p>
    Workflow Schemes allow you to define which workflows apply to given issue types and projects.
    </p>
    <p>
        All schemes have one of two modes:
        <ul>
            <li><font color="darkgreen"><b>Active</b></font> - the scheme has projects associated, it cannot be edited.
            <li><font color="darkred"><b>Inactive</b></font> - the scheme has <b>no</b> projects associated, so it can be edited.
        </ul>
        To edit a scheme, you must first disassociate all projects from it.
    </p>
    <p>
    For each scheme, you can:
    <ul>
        <li>assign a default workflow to all projects using that scheme.
        <li>override this default workflow for particular issue types.
    </ul>
    </p>
    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <b><a id="add_workflowscheme" href="AddWorkflowScheme!default.jspa">Add</a></b> a new workflow scheme.<br>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <b><a id="list_workflows" href="<%= request.getContextPath() %>/secure/admin/workflows/ListWorkflows.jspa">List</a></b> all currently created workflows.
    </p>
</page:applyDecorator>

<p>

    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Name</b>
            </td>
            <td class="colHeaderLink">
                <b>Projects</b>
            </td>
            <td class="colHeaderLink">
                <b>Active?</b>
            </td>
            <td class="colHeaderLink">
                <b>Workflows</b>
            </td>
            <td class="colHeaderLink">
                &nbsp;
            </td>
        </tr>

        <webwork:iterator value="schemes" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/odd == true">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b>
                <a id="workflowscheme_<webwork:property value="string('name')"/>" href="EditWorkflowSchemeEntities!default.jspa?schemeId=<webwork:property value="long('id')"/>"><webwork:property value="string('name')"/></a>
                </b><br>
                <webwork:property value="string('description')"/></td>
            <td valign=top nowrap>
            <webwork:iterator value="projects(.)">
            	<img src="<%= request.getContextPath() %>/images/icons/bullet_blue.gif" height=8 width=8 border=0 align=absmiddle>
                <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a><br>
            </webwork:iterator>
            </td>
            <td valign=top nowrap>
               <webwork:if test="/active(.) == true">
                   <font color="darkgreen"><b>Active</b></font>
               </webwork:if>
               <webwork:else>
                   <font color="darkred"><b>Inactive</b></font>
               </webwork:else>
            </td>
            <td valign=top nowrap>
                <table border=0 cellpadding=2 cellspacing=0 class="grid" width=100%>
                    <tr>
                        <td><b>Unassigned Types:</b></td>
                        <td><webwork:property value="defaultEntity(.)/string('workflow')" /></td>
                    <tr>

                    <webwork:iterator value="nonDefaultEntities(.)">
                        <tr>
                            <td>
                                <b>
                                    <webwork:property value="/constantsManager/issueType(string('issuetype'))">
                                        <webwork:component name="{./string('name')}" template="constanticon.jsp">
                                            <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                                            <webwork:param name="'iconurl'" value="./string('iconurl')" />
                                            <webwork:param name="'title'"><webwork:property value="./string('name')" /></webwork:param>
                                        </webwork:component>
                                        <webwork:property value="./string('name')" />
                                    </webwork:property>
                                :</b>
                            </td>
                            <td><webwork:property value="string('workflow')" /></td>
                        </tr>
                    </webwork:iterator>
                </table>
            </td>
            <td valign=top align=center nowrap>
                <a href="EditWorkflowSchemeEntities!default.jspa?schemeId=<webwork:property value="long('id')"/>">Workflows</a>
                |
                <a href="CopyWorkflowScheme.jspa?schemeId=<webwork:property value="long('id')"/>" title="Create a copy of this scheme">Copy</a>
                <webwork:if test="/active(.) == false">
                |
                <a href="EditWorkflowScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>">Edit</a>
                |
                <a id="del_<webwork:property value="string('name')"/>" href="DeleteWorkflowScheme!default.jspa?schemeId=<webwork:property value="long('id')"/>">Del</a>
                </webwork:if>
            </td>
        </tr>
        </webwork:iterator>
        <webwork:if test="schemes/size == 0">
        <tr bgcolor=ffffff>
            <td colspan=5>You do not currently have any workflow schemes configured.</td>
        </tr>
        </webwork:if>
    </table>
    </td></tr></table>

</body>
</html>
