<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Workflow Step - <webwork:property value="step/name" /></title>
</head>
<body>

<table width="100%" cellpadding="4" cellspacing="0"><tr><td valign="top" width="50%">
<page:applyDecorator name="jirapanel">
    <page:param name="title">Workflow step &mdash; <webwork:property value="step/name" /></page:param>
    <page:param name="width">100%</page:param>
    <p>
        This page shows the details of the <b><webwork:property value="step/name" /></b> step.<br>
    </p>
    <p>
        <webwork:property value="/step">
            <webwork:if test="metaAttributes/('jira.status.id')">
                <webwork:property value="metaAttributes/('jira.status.id')">
                    <webwork:property value="/status(.)">
                        The step is linked to status:

                        <webwork:component name="{./string('name')}" template="constanticon.jsp">
                            <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                            <webwork:param name="'iconurl'" value="./string('iconurl')" />
                            <webwork:param name="'title'"><webwork:property value="./string('name')" /></webwork:param>
                        </webwork:component>
                        <webwork:property value="./string('name')" /><br>
                    </webwork:property>
                </webwork:property>
            </webwork:if>
            <webwork:else>
                The step has <b>no</b> linked status.
            </webwork:else>
        </webwork:property>
    </p>
    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="ViewWorkflowSteps.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /></webwork:url>"><b>View</b></a> all steps of <b><webwork:property value="/workflow/name" /></b>.
        <br>
        <webwork:if test="/workflow/editable == true">
            <br>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <a id="add_transition" href="<webwork:url page="AddWorkflowTransition!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'originatingUrl'" value="'viewWorkflowStep'" /></webwork:url>"><b>Add</b></a> outgoing transition
            <webwork:if test="/step/actions/empty == false">
                <br>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <a id="del_transition" href="<webwork:url page="DeleteWorkflowTransitions!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'originatingUrl'" value="'viewWorkflowStep'" /></webwork:url>"><b>Delete</b></a> outgoing transitions
            </webwork:if>
            <br>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <a href="<webwork:url page="EditWorkflowStep!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'originatingUrl'" value="'viewWorkflowStep'" /></webwork:url>"><b>Edit</b></a> step
            <webwork:if test="canDeleteStep(/step) == true">
                <br>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <a id="del_step" href="<webwork:url page="DeleteWorkflowStep!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'originatingUrl'" value="'viewWorkflowStep'" /></webwork:url>"><b>Delete</b></a> step
            </webwork:if>
        </webwork:if>
        <br>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="ViewWorkflowStepMetaAttributes.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /></webwork:url>"><b>View</b></a> step's properties
    </p>
</page:applyDecorator>
</td><td valign="top" width="50%">
    <table cellpadding="4" cellspacing="0" border="0" align="center" width="100%"><tr><td style="border: 1px solid #bbbbb0; background: #fffff0;">
    <div class="formtitle">Workflow Browser</div>
        <table cellpadding="3" cellspacing="0" border="0" width="100%">
            <tr>
                <td align="absmiddle" width="33%" align="right">
                    <table cellpadding="3" cellspacing="3" align="right">
                        <webwork:if test="/inboundTransitions && inboundTransitions/empty == false">
                        <webwork:iterator value="/inboundTransitions">
                            <tr>
                                <td align="right" style="border: 1px solid #bbb;" bgcolor="#f0f0f0" nowrap>
                                    <webwork:if test="/global(.) == true">
                                        <em><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowTransition'" value="id" /></webwork:url>"
                                               <webwork:if test="metaAttributes/('jira.description')">title="<webwork:property value="metaAttributes/('jira.description')"/>"</webwork:if>><webwork:property value="name" /></a></em>
                                    </webwork:if>
                                    <webwork:elseIf test="/initial(.) == true">
                                        <a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowTransition'" value="id" /></webwork:url>"
                                               <webwork:if test="metaAttributes/('jira.description')">title="<webwork:property value="metaAttributes/('jira.description')"/>"</webwork:if>><webwork:property value="name" /></a>
                                    </webwork:elseIf>
                                    <webwork:else>
                                        <webwork:if test="/stepsForTransition(.)/empty == false">
                                            <webwork:if test="/common(.) == true"><em></webwork:if>
                                            <a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/stepsForTransition(.)/iterator/next/id" /><webwork:param name="'workflowTransition'" value="id" /></webwork:url>"
                                               <webwork:if test="metaAttributes/('jira.description')">title="<webwork:property value="metaAttributes/('jira.description')"/>"</webwork:if>><webwork:property value="name" /></a>
                                            <webwork:if test="/common(.) == true"></em></webwork:if>
                                        </webwork:if>
                                        <webwork:else>
                                            <span class="warning">Error retrieving originating step.</span>
                                        </webwork:else>
                                    </webwork:else>
                                    <span class="smallgrey">(<webwork:property value="id" />)</span>
                                </td>
                                <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                            </tr>
                        </webwork:iterator>
                        </webwork:if>
                        <webwork:else>
                            <tr>
                                <td><span class="warning">No Transitions</span></td>
                                <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                            </tr>
                        </webwork:else>
                    </table>
                </td>
                <td align="center" valign="middle" width="33%">
                    <table cellpadding="3" cellspacing="1" width="90%">
                        <tr>
                            <td align="center" style="border: 1px solid #bbb;" bgcolor="#ffffff" nowrap>
                                <webwork:property value="/step/name" />
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="absmiddle" width="33%">
                     <table cellpadding="3" cellspacing="3" border="0">
                        <webwork:if test="/outboundTransitions && /outboundTransitions/empty == false">
                        <webwork:iterator value="/outboundTransitions">
                            <tr>
                                <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                                <td align="left" style="border: 1px solid #bbb;" bgcolor="#f0f0f0"  nowrap>
                                    <webwork:if test="/global(.) == true">
                                        <em><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowTransition'" value="id" /></webwork:url>"
                                               <webwork:if test="metaAttributes/('jira.description')">title="<webwork:property value="metaAttributes/('jira.description')"/>"</webwork:if>><webwork:property value="name" /></a></em>
                                    </webwork:if>
                                    <webwork:else>
                                        <webwork:if test="/common(.) == true"><em></webwork:if>
                                        <a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="id" /></webwork:url>"
                                           <webwork:if test="metaAttributes/('jira.description')">title="<webwork:property value="metaAttributes/('jira.description')"/>"</webwork:if>><webwork:property value="name" /></a>
                                        <webwork:if test="/common(.) == true"></em></webwork:if>
                                    </webwork:else>
                                    <span class="smallgrey">(<webwork:property value="id" />)</span>
                                </td>
                            </tr>
                        </webwork:iterator>
                        </webwork:if>
                        <webwork:else>
                            <tr>
                                <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                                <td><span class="warning">No Transitions</span></td>
                            </tr>
                        </webwork:else>
                    </table>

                </td>
            </tr>
            <tr>
                <td align="center">(Incoming Transitions)</td>
                <td align="absmiddle"><b>&nbsp;</b></td>
                <td align="center">(Outgoing Transitions)</td>
            </tr>
        </table>
        </td></tr></table>
</td></tr></table>

    <p>
        <table class="gridBox" cellpadding="3" cellspacing="1" width="90%" align="center">
            <tr bgcolor="#ffffff"><td>
                <span class="warning">Note</span>:
                <ul>
                    <li>Transitions appearing in <em>italics</em> are shared between more than one step.</li>
                    <li>To add an incoming transition for this step please navigate to the originating step of the transition and add an outgoing transition with this
                    step as the destination step.</li>
                </ul>
            </td></tr>
        </table>

    </p>


