<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Workflow Step Properties - <webwork:property value="step/name" /></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">View Workflow Step Properties: <webwork:property value="step/name" /></page:param>
    <page:param name="width">100%</page:param>
    <p>
        This page shows the properties defined for the <b><a href="<webwork:url page="ViewWorkflowStep.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /></webwork:url>"><webwork:property value="/step/name" /></a></b> workflow step. You can use this page to add new properties or remove existing ones.
    </p>

    <p>
        <ul>
            <li>A property consists of a key/value pair and is used when extending JIRA functionality.</li>
            <li>Arbitrary properties can be defined to enable further customisation when transitioning between workflow steps.</li>
        </ul>        
    </p>

    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="ViewWorkflowSteps.jspa"><webwork:param name="'workflowName'" value="workflow/name" /></webwork:url>"><b>View</b></a> all steps of <b><webwork:property value="workflow/name" /></b>.
    </p>
</page:applyDecorator>

    <%@ include file="/includes/admin/workflow/metaattributes.jsp" %> 

    <p>
    <webwork:if test="workflow/editable == true">
        <p>
        <page:applyDecorator name="jiraform">
            <page:param name="action">AddWorkflowStepMetaAttribute.jspa</page:param>
            <page:param name="submitName">Add</page:param>
            <page:param name="title">Add New Property</page:param>
            <page:param name="width">100%</page:param>

            <ui:component name="'workflowName'" value="workflow/name"  template="hidden.jsp"/>
            <ui:component name="'workflowStep'" value="step/id"  template="hidden.jsp"/>

            <ui:textfield label="'Property Key'" name="'attributeKey'" size="'30'" />

            <ui:textfield label="'Property Value'" name="'attributeValue'" size="'30'" />
        </page:applyDecorator>
    </webwork:if>
    </p>

</body>
</html>