<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Workflow Steps - <webwork:property value="workflow/name" /></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Workflow steps &mdash; <webwork:property value="workflow/name" /></page:param>
    <page:param name="width">100%</page:param>
    <p>
    This shows all of the steps for <b><webwork:property value="workflow/name" /></b>.
    <p>
    <webwork:property value="workflow">
        <webwork:if test="./editable == false">Not editable<webwork:if test="./active == true"> because workflow is <font color="darkgreen"><b>Active</b></font></webwork:if><webwork:elseIf test="./systemWorkflow == true"> because <b><webwork:property value="workflow/name" /></b> is a system workflow</webwork:elseIf>
        </webwork:if>
    </webwork:property>
    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="ListWorkflows.jspa"><b>View</b></a> all workflows.
    <br>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="ViewStatuses.jspa"><b>View</b></a> all statuses.
    </p>
</page:applyDecorator>
<p>
    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=90%><tr><td>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
        <tr bgcolor=f0f0f0>
            <td class="colHeaderLink">
                <b>Step Name</b> <span class="smallgrey">(id)</span>
            </td>
            <td class="colHeaderLink">
                <b>Linked Status</b>
            </td>
            <td class="colHeaderLink">
                <b>Transitions <span class="smallgrey">(id)</span></b>
            </td>
            <td class="colHeaderLink">
                <b>Operations</b>
            </td>
        </tr>

        <webwork:iterator value="workflow/descriptor/steps" status="'status'">
        <tr bgcolor="#<webwork:if test="@status/modulus(2) == 1">ffffff</webwork:if><webwork:else>fffff0</webwork:else>">
            <td valign=top>
                <b><a href="<webwork:url page="ViewWorkflowStep.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="./id" /></webwork:url>"><webwork:property value="name"/></a></b>
                <span class="smallgrey">(<webwork:property value="id" />)</span>
            </td>
            <td valign=top>
                <webwork:if test="metaAttributes/('jira.status.id')">
                <webwork:property value="metaAttributes/('jira.status.id')">
                    <webwork:property value="/status(.)">
                        <webwork:component name="{./string('name')}" template="constanticon.jsp">
                            <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                            <webwork:param name="'iconurl'" value="./string('iconurl')" />
                            <webwork:param name="'title'"><webwork:property value="./string('name')" /></webwork:param>
                        </webwork:component>
                        <webwork:property value="./string('name')" />
                    </webwork:property>
                </webwork:property>
                </webwork:if>
                <webwork:else>
                    No linked status.
                </webwork:else>
            </td>
            <td valign=top>
                <webwork:iterator value="actions">
                    <webwork:if test="./common == true"><em></webwork:if>
                    <a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="../id" /><webwork:param name="'workflowTransition'" value="id" /></webwork:url>"
                       <webwork:if test="./metaAttributes/('jira.description')">title="<webwork:property value="./metaAttributes/('jira.description')" />"</webwork:if>><webwork:property value="name" /></a>
                    <webwork:if test="./common == true"></em></webwork:if>
                    <span class="smallgrey">(<webwork:property value="id"/>)</span>
                    <br>
                    <span class="smallgrey">&gt;&gt; <webwork:property value="/workflow/descriptor/step(unconditionalResult/step)/name" /></span><br>
                </webwork:iterator>

                <%-- Global Actions --%>
                <webwork:iterator value="workflow/descriptor/globalActions" status="'status'">
                    <em><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name"/><webwork:param name="'workflowTransition'" value="id" /></webwork:url>"
                           <webwork:if test="./metaAttributes/('jira.description')">title="<webwork:property value="./metaAttributes/('jira.description')" />"</webwork:if>><webwork:property value="name" /></a></em> <span class="smallgrey">(<webwork:property value="id"/>)</span>
                    <br>
                    <span class="smallgrey">&gt;&gt; <webwork:property value="/workflow/descriptor/step(unconditionalResult/step)/name" /></span><br>
                </webwork:iterator>
            </td>
            <td valign=top nowrap>
                <webwork:if test="workflow/editable == true">
                <a href="<webwork:url page="AddWorkflowTransition!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="id" /></webwork:url>">Add Transition</a>
                |
                <webwork:if test="actions/empty == false">
                <a href="<webwork:url page="DeleteWorkflowTransitions!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="id" /></webwork:url>">Delete Transitions</a>
                |
                </webwork:if>
                <a href="<webwork:url page="EditWorkflowStep!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="id" /></webwork:url>">Edit</a>
                |
                <webwork:if test="canDeleteStep(.) == true">
                <a href="<webwork:url page="DeleteWorkflowStep!default.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="id" /></webwork:url>">Delete Step</a>
                |
                </webwork:if>
                </webwork:if>

                <a href="<webwork:url page="ViewWorkflowStepMetaAttributes.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="id" /></webwork:url>">View Properties</a>
            </td>
        </tr>
        </webwork:iterator>
    </table>
    </td></tr></table>

    <webwork:if test="workflow/editable == true">
        <p>

        <%-- Check if there are any available (unlinked) statuses, as we cannot have more than one step per JIRA status
             in the same workflow --%>
        <webwork:if test="unlinkedStatuses && unlinkedStatuses/empty == false">
        <page:applyDecorator name="jiraform">
            <page:param name="action">AddWorkflowStep.jspa</page:param>
            <page:param name="submitName">Add</page:param>
            <page:param name="title">Add New Step</page:param>
            <page:param name="width">100%</page:param>

            <ui:component name="'workflowName'" value="workflow/name"  template="hidden.jsp"  theme="'single'" />

            <ui:textfield label="'Step Name'" name="'stepName'" size="'30'" />

            <ui:select label="'Linked Status'" name="'stepStatus'" list="unlinkedStatuses" listKey="'string('id')'" listValue="'string('name')'" />

        </page:applyDecorator>
        </webwork:if>
        <webwork:else>
        <page:applyDecorator name="jirapanel">
            <page:param name="title">Add New Step</page:param>
            <page:param name="width">100%</page:param>
            <p>
            All existing issue statuses are used in this workflow.<br>Please <a href="ViewStatuses.jspa">create</a> a new status if you would like to add another step to this workflow.
            </p>
        </page:applyDecorator>
        </webwork:else>
        </p>
    </webwork:if>
</body>
</html>