<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Workflow Transition - <webwork:property value="transition/name" /></title>
</head>
<body>

<style>
    .condition-block
    {
        margin: 0 0 0 20px;
    }
</style>

<table width="100%" cellpadding="4" cellspacing="0"><tr><td valign="top" width="50%">
<page:applyDecorator name="jirapanel">
    <page:param name="title">Transition: <webwork:property value="transition/name" /></page:param>
    <page:param name="width">100%</page:param>
    <webwork:if test="/global == true">
        <p>
            Transition is available to <b>ALL</b> steps in the workflow.
        </p>
    </webwork:if>
    <webwork:elseIf test="/initial == true">
        <p>
            This is the <b>initial</b> transition in the workflow.
        </p>
    </webwork:elseIf>

    <p>
    <b>Transition View</b>:
    <webwork:if test="/initial == true">
        None - initial transition does not have a view.
    </webwork:if>
    <webwork:elseIf test="transition/view/length() > 0">
        <webwork:bean id="workflowActions" name="'com.atlassian.jira.web.action.admin.workflow.WorkflowActionsBean'" />
        <webwork:property value="@workflowActions/availableViews/(/transition/view)" />
    </webwork:elseIf>
    <webwork:else>
        None - it will happen instantly
    </webwork:else>
    <webwork:property value="/transition/metaAttributes/('jira.description')">
        <webwork:if test=". && length >  0">
            <br>
            <b>Description</b>: <webwork:property value="." />
        </webwork:if>
    </webwork:property>
    </p>

    <p>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="<webwork:url page="ViewWorkflowSteps.jspa"><webwork:param name="'workflowName'" value="workflow/name" /></webwork:url>"><b>View</b></a> all steps of <b><webwork:property value="workflow/name" /></b>.
    <br>
    <webwork:if test="/workflow/editable == true">
        <br>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="EditWorkflowTransition!default.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url>"><b>Edit</b></a> this transition.
        <webwork:if test="/global == false">
            <br>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <a href="<webwork:url page="DeleteWorkflowTransitions!confirm.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'transitionIds'" value="transition/id" /></webwork:url>"><b>Delete</b></a> this transition.
        </webwork:if>
    </webwork:if>
    <br>
    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
    <a href="<webwork:url page="ViewWorkflowTransitionMetaAttributes.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url>"><b>View</b></a> properties of this transition.
    </p>

</page:applyDecorator>
</td><td valign="top" width="50%">
<table cellpadding="4" cellspacing="0" border="0" align="center" width="100%"><tr><td style="border: 1px solid #bbbbb0; background: #fffff0;">
<div class="formtitle">Workflow Browser</div>
    <table cellpadding="3" cellspacing="0" border="0" width="100%">
        <tr>
            <td align="right" width="33%" align="right">
                <table cellpadding="3" cellspacing="3" align="right">
                    <webwork:iterator value="/stepsForTransition">
                        <tr>
                            <td align="right" style="border: 1px solid #bbb;" bgcolor="#ffffff" nowrap>
                                <a href="<webwork:url page="ViewWorkflowStep.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="id" /></webwork:url>"><webwork:property value="name" /></a>
                            </td>
                            <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                        </tr>
                    </webwork:iterator>
                </table>
            </td>
            <td align="center" valign="middle" width="33%">
                <table cellpadding="3" cellspacing="3" border="0">
                    <tr>
                        <td style="border: 1px solid #bbb;" bgcolor="#f0f0f0" nowrap>
                            <webwork:property value="/transition">
                                <webwork:if test="/global == true || /common == true"><em></webwork:if>
                                <webwork:property value="transition/name" />
                                <webwork:if test="/global == true || /common == true"></em></webwork:if>
                                <span class="smallgrey">(<webwork:property value="id" />)</span>
                            </webwork:property>
                        </td>
                    </tr>
                </table>
            </td>
            <td align="left" width="33%">
                 <table cellpadding="3" cellspacing="3" border="0"">
                        <tr>
                            <td align="absmiddle" nowrap><img src="<%= request.getContextPath() %>/images/icons/arrow_right_small.gif" height=16 width=16 border=0 align=absmiddle></td>
                            <td align="left" style="border: 1px solid #bbb;" bgcolor="#ffffff" nowrap>
                                <webwork:property value="/workflow/descriptor/step(transition/unconditionalResult/step)">
                                    <a href="<webwork:url page="ViewWorkflowStep.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="id" /></webwork:url>"><webwork:property value="name" /></a>
                                </webwork:property>
                            </td>
                        </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center">(Originating Steps)</td>
            <td align="absmiddle"><b>&nbsp;</b></td>
            <td align="center">(Destination Step)</td>
        </tr>
    </table>
    </td></tr></table>
</td></tr></table>

<p>
<table cellpadding=2 cellspacing=0 border=0 width=100% align=center>
<tr>
	<webwork:if test="/descriptorTab == 'all'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b>All</b></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="/transition/id" /><webwork:param name="'descriptorTab'" value="'all'" /></webwork:url>">All</a></b>&nbsp;
		</td>
	</webwork:else>

    <webwork:if test="/descriptorTab == 'conditions'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b>Conditions</b> <span class="small">(<webwork:property value="/numberConditions" />)</span></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="/transition/id" /><webwork:param name="'descriptorTab'" value="'conditions'" /></webwork:url>">Conditions</b></a><span class="small"> (<webwork:property value="/numberConditions" />)</span>&nbsp;
		</td>
	</webwork:else>

    <webwork:if test="/descriptorTab == 'validators'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b>Validators</b> <span class="small">(<webwork:if test="/transition/validators"><webwork:property value="/transition/validators/size" /></webwork:if><webwork:else>0</webwork:else>)</span></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="/transition/id" /><webwork:param name="'descriptorTab'" value="'validators'" /></webwork:url>">Validators</a></b> <span class="small">(<webwork:if test="/transition/validators"><webwork:property value="/transition/validators/size" /></webwork:if><webwork:else>0</webwork:else>)</span>&nbsp;
		</td>
	</webwork:else>

    <webwork:if test="/descriptorTab == 'postfunctions'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b>Post Functions</b> <span class="small">(<webwork:if test="transition/unconditionalResult && transition/unconditionalResult/postFunctions"><webwork:property value="transition/unconditionalResult/postFunctions/size" /></webwork:if><webwork:else>0</webwork:else>)</span></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:else>
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="/transition/id" /><webwork:param name="'descriptorTab'" value="'postfunctions'" /></webwork:url>">Post Functions</a></b> <span class="small">(<webwork:if test="transition/unconditionalResult && transition/unconditionalResult/postFunctions"><webwork:property value="transition/unconditionalResult/postFunctions/size" /></webwork:if><webwork:else>0</webwork:else>)</span>&nbsp;
		</td>
	</webwork:else>

    <webwork:if test="/descriptorTab == 'other'">
		<td bgcolor=bbbbbb width=1% nowrap align=center>
			&nbsp;<font color=ffffff><b>Other</b></font>&nbsp;
		</td>
	</webwork:if>
	<webwork:elseIf test="/showOtherTab == true">
		<td width=1% nowrap align=center>
			&nbsp;<b><a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="/workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="/transition/id" /><webwork:param name="'descriptorTab'" value="'other'" /></webwork:url>">Other</a></b>&nbsp;
		</td>
	</webwork:elseIf>

    <td width="100%">&nbsp;</td>
</tr>
</table>

<jsp:include page="/secure/admin/views/workflow/workflow-conditions-validators-results.jsp" />

</p>
</body>
</html>