<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>View Workflow Transition Properties - <webwork:property value="transition/name" /></title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">View Workflow Transition Properties: <webwork:property value="transition/name" /></page:param>
    <page:param name="width">100%</page:param>
    <p>
        This page shows the properties defined for the <b><webwork:property value="transition/name" /></b> transition. You can use this page to add new properties or remove existing ones.
    </p>

    <p>
        <ul>
            <li>A property consists of a key/value pair and is used when extending JIRA functionality.</li>
            <li>Arbitrary properties can be defined to enable further customisation in workflow tranistions.</li>
        </ul>
    </p>

    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <a href="<webwork:url page="ViewWorkflowTransition.jspa"><webwork:param name="'workflowName'" value="workflow/name" /><webwork:param name="'workflowStep'" value="/step/id" /><webwork:param name="'workflowTransition'" value="transition/id" /></webwork:url>"><b>View</b></a> <b><webwork:property value="transition/name"/></b> workflow transition.
    </p>
</page:applyDecorator>

    <%@ include file="/includes/admin/workflow/metaattributes.jsp" %>

    <webwork:if test="workflow/editable == true">
        <p>
        <page:applyDecorator name="jiraform">
            <page:param name="action">AddWorkflowTransitionMetaAttribute.jspa</page:param>
            <page:param name="submitName">Add</page:param>
            <page:param name="title">Add New Property</page:param>
            <page:param name="width">100%</page:param>

            <ui:component name="'workflowName'" value="workflow/name"  template="hidden.jsp"/>
            <ui:component name="'workflowStep'" value="step/id"  template="hidden.jsp"/>
            <ui:component name="'workflowTransition'" value="transition/id"  template="hidden.jsp"/>

            <ui:textfield label="'Property Key'" name="'attributeKey'" size="'30'" />

            <ui:textfield label="'Property Value'" name="'attributeValue'" size="'30'" />
        </page:applyDecorator>
        </p>
    </webwork:if>
</body>
</html>