
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Delete Component: <webwork:property value="component/string('name')" /></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title">Delete Component: <webwork:property value="component/string('name')" /></page:param>
	<page:param name="description">
		<p>Confirm that you want to delete this component, and specify what is to be done with the issues currently attached to it.</p>
	</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="action">DeleteComponent.jspa</page:param>
	<page:param name="submitName">Delete</page:param>
	<page:param name="cancelURI">ViewProject.jspa?pid=<webwork:url value="project/long('id')" /></page:param>

	<webwork:if test="matchingIssues/size > 0">

	<ui:component label="'Issues in this component'" name="'matchingIssues/size'" template="textlabel.jsp">
        <ui:param name="'description'">
            (<a href="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?reset=true&mode=hide&pid=<webwork:property value="project/long('id')" />&component=<webwork:property value="cid" />">View the issues</a> in this component)
        </ui:param>
    </ui:component>
        <webwork:if test="otherComponents/size > 0">
            <tr>
                <td bgcolor=ffffff>&nbsp;</td>
                <td bgcolor=ffffff>
                    <input type="radio" name="action" value="swap"
                        <webwork:if test="action == 'swap'">
                        checked
                        </webwork:if>
                    >
                    Swap current issues to component:
                    <select name="swapComponentId">
                        <webwork:iterator value="otherComponents">
                        <option value="<webwork:property value="long('id')" />"
                            <webwork:if test="swapComponentId == id">selected</webwork:if>
                        >
                            <webwork:property value="string('name')" />
                        </option>
                        </webwork:iterator>
                    </select>
                </td>
            </tr>
            <tr>
                <td bgcolor=ffffff>&nbsp;</td>
                <td bgcolor=ffffff>
                    <input type="radio" name="action" value="remove"
                        <webwork:if test="action == 'remove'">
                        checked
                        </webwork:if>
                    >
                    Remove component from all issues.
                </td>
            </tr>
        </webwork:if>
        <webwork:else>
            <tr>
                <td bgcolor=ffffff>&nbsp;</td>
                <td bgcolor=ffffff>
                    <input type="hidden" name="action" value="remove">
                    There are no other components in this project. The component will be removed from all issues.
                </td>
            </tr>
        </webwork:else>
    </webwork:if>
    <webwork:else>
        <tr>
            <td bgcolor=ffffff>&nbsp;</td>
            <td bgcolor=ffffff>
                <input type="hidden" name="action" value="remove" />
                Deleting this component will not alter any issues, as there are <b>0</b> issues associated with it.
            </td>
        </tr>
    </webwork:else>

	<ui:component name="'cid'" template="hidden.jsp" theme="'single'" />
	<input type="hidden" name="confirm" value="true">
</page:applyDecorator>

</body>
</html>