<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Select Field Layout Scheme</title>
</head>

<body>

<webwork:if test="schemes == null || schemes/size == 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Field Layout Scheme Association</page:param>
        <page:param name="width">100%</page:param>
        <p>
        There are currently no field layout schemes setup.
        </p>
        <p>
        <a href="<%= request.getContextPath() %>/secure/admin/AddFieldLayoutScheme!default.jspa">Add</a> a new field layout scheme.
        </p>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Field Layout Scheme Association</page:param>
        <page:param name="description">
            <webwork:if test="/issueTypeId != null && /issueTypedId/length != 0">
                This page allows you to associate a field layout scheme with this issue type for the project <a href="ViewProject.jspa?pid=<webwork:property value="projectId" />"><b><webwork:property value="/projectManager/project(projectId)/string('name')"/></b></a>.
            </webwork:if>
            <webwork:else>
                This page allows you to associate a default field layout scheme with the project <a href="ViewProject.jspa?pid=<webwork:property value="projectId" />"><b><webwork:property value="/projectManager/project(projectId)/string('name')"/></b></a>.
            </webwork:else>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI"><webwork:url page="ManageFieldLayoutSchemes.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
        <page:param name="action">SelectProjectIssueFieldScheme.jspa</page:param>
        <page:param name="submitName">Associate</page:param>

        <webwork:if test="/issueTypeId != null && /issueTypedId/length != 0">
            <td bgcolor=fffff0 align=right><webwork:text name="'issue.field.issuetype'"/>:</td>
            <td bgcolor=ffffff valign=top>
                <webwork:property value="/constantsManager/issueType(issueTypeId)" >
                    <webwork:component name="{./string('name')}" template="constanticon.jsp">
                        <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                        <webwork:param name="'iconurl'" value="./string('iconurl')" />
                        <webwork:param name="'title'"><webwork:property value="./string('name')" /> - <webwork:property value="./string('description')" /></webwork:param>
                    </webwork:component>
                    <webwork:property value="string('name')" />
                </webwork:property>
            </td>
        </webwork:if>

        <ui:select label="'Scheme'" name="'schemeId'" list="schemes" listKey="'long('id')'" listValue="'string('name')'">
            <ui:param name="'headerrow'" value="'Default'" />
            <ui:param name="'headervalue'" value="''" />
            <!-- Check if scheme is selected through project default -->
            <webwork:if test="/projectDefaultScheme(issueTypeId, projectId) == true">
                <ui:param name="'selectedValue'" value="'Default'"/>
            </webwork:if>
        </ui:select>
        <ui:component name="'projectId'" template="hidden.jsp"/>
        <ui:component name="'issueTypeId'" template="hidden.jsp"/>
	</page:applyDecorator>
</webwork:else>

</body>
</html>