<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Select Issue Security Scheme</title>
</head>
<body>
<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <webwork:if test="schemes == null || schemes/size == 0">
        <page:applyDecorator name="jirapanel">
            <page:param name="title">Associate Issue Security Scheme to Project</page:param>
            <page:param name="width">100%</page:param>
            <p>
            There are currently no issue security schemes setup.
            </p>
            <p>
            <a href="<%= request.getContextPath() %>/secure/admin/ViewIssueSecuritySchemes.jspa">Add</a> a new Issue Security scheme.
            </p>
        </page:applyDecorator>
    </webwork:if>
    <webwork:else>
        <page:applyDecorator name="jiraform">
            <page:param name="title">Associate Issue Security Scheme to Project</page:param>
            <page:param name="description">
                <p><b>Step 1 of 2: </b> Select the scheme you wish to associate.</p>
    <%--            page allows you to associate a Issue Security scheme with this project.--%>
            </page:param>
            <page:param name="width">100%</page:param>
            <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
            <page:param name="action">SelectProjectSecuritySchemeStep2!default.jspa</page:param>
            <page:param name="submitName">Next >></page:param>

            <ui:select label="'Scheme'" name="'newSchemeId'" value="schemeIds[0]" list="schemes" listKey="'string('id')'" listValue="'string('name')'">
                <ui:param name="'headerrow'" value="'None'" />
                <ui:param name="'headervalue'" value="-1" />
            </ui:select>
            <ui:component name="'projectId'" template="hidden.jsp"/>

            <input type="hidden" name="origSchemeId" value="<webwork:property value="schemeId" />">
        </page:applyDecorator>
    </webwork:else>
<% } else { %> Issue Security is not available in this version of JIRA <% } %>
</body>
</html>