<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.LicenseManager,
                 com.atlassian.license.License,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Select Issue Security Scheme:</title>
</head>
<body>
<%  License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
    <page:applyDecorator name="jiraform">
        <page:param name="title">Associate Issue Security Scheme to Project: <webwork:property value="issueSecurityName" /></page:param>
        <page:param name="description">
            <p><b>Step 2 of 2: </b> Associate any issues in this project that previously had their security level set, with a security level from the new scheme.</p>
            <font size=1>Selecting a new level will change the security level of all the affected issues to be the newly selected security level</font>
        </page:param>

        <page:param name="action">SelectProjectSecuritySchemeStep2.jspa</page:param>
        <page:param name="submitName">Associate</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
            <%--if there are no previous Security levels or affected Issues --%>
            <webwork:if test="./originalSecurityLevels/size > 0 && ./totalAffectedIssues/size > 0">
                <tr bgcolor=fffff0>
                    <td width><b>Security Levels for <webwork:property value="./securityScheme(origSchemeId)/string('name')"/></b></td>
                    <webwork:property value="./securityScheme(newSchemeId)/string('name')">
                    <td><b>
                        <webwork:if test=".">Security Levels for <webwork:property value="."/></webwork:if>
                        <webwork:else>&nbsp;</webwork:else>
                    </b></td>
                    </webwork:property>
                </tr>
                <%--Loop through each of the original schemes levels--%>
                <webwork:property value="./originalSecurityLevels">
                <webwork:iterator value="./keySet">
                    <%--If there are no affected issues for this level then dont bother --%>
                    <webwork:if test="/affectedIssues(.)/size > 0">
                        <tr bgcolor=ffffff>
                            <%--Show the original level and the number of affected issues--%>
                            <td>
                                <%--This hidden value is used for the action --%>
                                <webwork:property value = "../(.)"/>
                                (<font size=1><webwork:property value ="/affectedIssues(.)/size"/> affected Issues</font>)
                            </td>
                            <td>
                                <%--If the new scheme is set to None then inform that security will be removed--%>
                                <webwork:if test="../newSchemeId == null">
                                    <font color=cc00000>Security on these issues will be removed<font>
                                </webwork:if>
                                <webwork:else>
                                    <%--Create a select box with teh values of all the levels of the new scheme--%>
                                    <webwork:property value="/newSecurityLevels">
                                    <webwork:if test="./size > 1">
                                    <select name="<webwork:property value="/levelPrefix"/><webwork:property value=".."/>">
                                        <webwork:iterator value="./keySet">
                                            <webwork:if test="../(.)">
                                                <option value="<webwork:property value="." />"><webwork:property value="../(.)" /></option>
                                            </webwork:if>
                                            <webwork:else>
                                                <option>None</option>
                                            </webwork:else>
                                        </webwork:iterator>
                                    </select>
                                    </webwork:if>
                                    <webwork:else>
                                    <font color=cc00000>Security on these issues will be removed<font>
                                    </webwork:else>
                                    </webwork:property>
                                </webwork:else>
                            </td>
                         </tr>
                     </webwork:if>
                </webwork:iterator>
                </webwork:property>
            </webwork:if>
            <webwork:else>
                    <tr bgcolor=fffff0>
                        <td width>There are no previous secured issues.</td>
                    </tr>
            </webwork:else>
        <%--These hidden values are used for the action--%>
        <ui:component name="'projectId'" template="hidden.jsp"/>
        <webwork:if test="newSchemeId != null">
            <ui:component name="'newSchemeId'" template="hidden.jsp"/>
        </webwork:if>
        <webwork:if test="origSchemeId != null">
            <ui:component name="'origSchemeId'" template="hidden.jsp"/>
        </webwork:if>
    </page:applyDecorator>
<% } else { %> Issue Security is not available in this version of JIRA <% } %>
</body>
</html>