<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<html>
<head>
	<title>Manage Field Layout Scheme Associations</title>
</head>

<body>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Manage Field Layout Scheme Associations</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description"><p>On this page you can associate issue types with field layout schemes for the project <a href="ViewProject.jspa?pid=<webwork:property value="pid" />"><b><webwork:property value="/projectManager/project(pid)/string('name')"/></b></a>.</p>
</page:param>

<!-- Display user defined field layout associations if they exist-->
<webwork:if test="/fieldLayoutSchemes != null && /fieldLayoutSchemes/empty == false">
<br>
    <table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <!-- Header Row -->
            <tr width="100%" bgcolor="f0f0f0">
                <td align=absmiddle class="colHeaderLink" width="1%" nowrap>
                    <b>Issue Type</b>
                </td>
                <td align=absmiddle class="colHeaderLink" width="100%" nowrap>
                    <b>Field Layout Scheme</b>
                </td>
                <td align=absmiddle class="colHeaderLink" width="1%" >
                    <b>Operations</b>
                </td>
            </tr>

            <!-- Default Scheme Association -->
            <tr bgcolor="#ffffff">
                <webwork:property value="/fieldLayoutScheme(null)">
                <td><i>Project Default</i></td>
                <td>
                    <webwork:if test=". == null" >
                        <i><span class="grey">System Default</span></i>
                    </webwork:if>
                    <webwork:else>
                        <img src="<%= request.getContextPath() %>/images/icons/form_blue_small.gif" width=16 height=16 title="Field Layout Scheme" STYLE="float:left; padding-right:3; align">
                            <a href="<webwork:url page="/secure/admin/EditFieldLayout!default.jspa"><webwork:param name="'schemeId'" value="./string('id')"/></webwork:url>"><b><webwork:property value="./string('name')"/></b></a>
                            <br><webwork:property value="./string('description')"/>
                    </webwork:else>
                </td>
                <td nowrap width="1%">
                  <webwork:if test=". != null" >
                        <a href="SelectProjectIssueFieldScheme!default.jspa?projectId=<webwork:property value="/pid" />&schemeId=<webwork:property value="./string('id')"/>">Change Association</a> |
                        <a id="remove_Default" href="ManageFieldLayoutSchemes!removeAssociation.jspa?pid=<webwork:property value="/pid" />&schemeId=<webwork:property value="./string('id')"/>">Remove Association</a>
                  </webwork:if>
                  <webwork:else>
                        <a id="add_Default" href="SelectProjectIssueFieldScheme!default.jspa?projectId=<webwork:property value="/pid" />">Add Association</a>
                  </webwork:else>
                </td>
                </webwork:property>
            </tr>

            <!-- Standard Issue Type Associations -->
            <webwork:property value="/standardIssueTypes">
                <jsp:include page="/includes/fieldlayoutschemes/fieldlayoutassociationdetails.jsp" />
            </webwork:property>
            <!-- Display subtask issue types if are enabled -->
            <webwork:if test="subTaskEnabled == true">
                <!-- SubTask Issue Type Associations -->
                <webwork:property value="/subTaskIssueTypes">
                    <jsp:include page="/includes/fieldlayoutschemes/fieldlayoutassociationdetails.jsp" />
                </webwork:property>
            </webwork:if>
        </table>
    </td></tr></table>
</webwork:if>
<webwork:else>
    <span class="warning">NOTE</span>: There are no non-system defined field layout schemes. The system default field layout scheme will be used.
</webwork:else>

        <ui:component name="'pid'" template="hidden.jsp"/>

</page:applyDecorator>





