<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<html>
<head>
	<title>Manage Versions</title>
</head>

<body>
<!-- JRA-4345 - need to statically include the javascript to address IE6 refresh issue -->
<%@ include file="/includes/js/date_picker.jsp" %>

<page:applyDecorator name="jirapanel">
    <page:param name="title">Manage Versions</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="description"><p>On this page you can manage the versions for the <a href="ViewProject.jspa?pid=<webwork:property value="pid" />"><b><webwork:property value="/projectManager/project(pid)/string('name')"/></b></a> project.</p>
</page:param>

<br>
<webwork:property value="project">
<table align=center bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=100%><tr><td>
    <webwork:if test="versionManager/versions(.)/size == 0">
            <td bgcolor=ffffff valign=top>
                    There are currently no versions for this project.
            </td>
    </webwork:if>
    <webwork:else>
    <table border="0" cellpadding="3" cellspacing="1" width=100%>
            <tr width="100%" bgcolor="f0f0f0">
            <td align=absmiddle class="colHeaderLink" width="50%" >
                <b>Name</b>
            </td>
            <td align=absmiddle class="colHeaderLink" width="50%">
                <b>Description</b>
            </td>
            <td align=absmiddle class="colHeaderLink" width="1%" nowrap>
                <b>Release Date</b>
            </td>
            <webwork:if test="versionManager/versions(.)/size > 1">
            <td align=absmiddle class="colHeaderLink" width="1%" nowrap>
                <b>Schedule</b>
            </td>
            </webwork:if>
            <td align=absmiddle class="colHeaderLink" width="1%" >
                <b>Operations</b>
            </td>
            </tr>
			<webwork:property value="/versionManager/versions(.)">
            <%/*counter used to alternate background row colors*/%>
            <webwork:bean name="'webwork.util.Counter'" id="rowCount">
                <webwork:param name="'wrap'" value="true"/>
                <webwork:param name="'last'" value="2"/>
            </webwork:bean>

            <webwork:iterator value="." status="'status'">

            <tr
                <webwork:if test="@rowCount/next == 1">
                    bgcolor="#ffffff"
                </webwork:if>
                <webwork:if test = "@rowCount/next == 0"/>
                <webwork:if test = "@rowCount/next == 2">
                    bgcolor="#fffff0"
                </webwork:if>
            >
            <td align=left >
                <%@ include file="/includes/versions/versionstatus_size24.jsp" %>
                <b><%@ include file="/includes/versions/versionname.jsp" %></b>
            </td>
            <td align=left>
                <%@ include file="/includes/versions/versiondescription.jsp" %>
            </td>
            <td align=absmiddle nowrap>
                <%@ include file="/includes/versions/versionreleasedate.jsp" %>
            </td>
            <webwork:if test="/versionManager/versions(../..)/size > 1">
            <td nowrap>
                <webwork:if test="@status/first != true">
                <a href="VersionFirst.jspa?versionId=<webwork:url value="id" />&pid=<webwork:property value="project/long('id')"/>"><img src="<%= request.getContextPath() %>/images/icons/first.gif" border=0 width=11 height=14 title="Move this version to the first position"></a>
                <a href="VersionUp.jspa?versionId=<webwork:url value="id" />&pid=<webwork:property value="project/long('id')"/>"><img src="<%= request.getContextPath() %>/images/icons/up.gif" border=0 width=11 height=14 title="Move this version up"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=13 height=14><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=13 height=14></webwork:else>
                <webwork:if test="@status/last != true">
                <a href="VersionDown.jspa?versionId=<webwork:url value="id" />&pid=<webwork:property value="project/long('id')"/>"><img src="<%= request.getContextPath() %>/images/icons/down.gif" border=0 width=11 height=14 title="Move this version down"></a>
                <a href="VersionLast.jspa?versionId=<webwork:url value="id" />&pid=<webwork:property value="project/long('id')"/>"><img src="<%= request.getContextPath() %>/images/icons/last.gif" border=0 width=11 height=14 title="Move this version to the last position"></a></webwork:if>
                <webwork:else><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=13 height=14><image src="<%= request.getContextPath() %>/images/border/spacer.gif" border=0 width=13 height=14></webwork:else>
            </td>
            </webwork:if>
            <td nowrap width="1%">
                <%@ include file="/includes/versions/versionoperations.jsp" %>
            </td>
            </tr>
			</webwork:iterator>
			</webwork:property>
            </table>
            </webwork:else>
            </td></tr>
            </table>
</webwork:property>

</page:applyDecorator>

<br>
<%@ include file="/includes/versions/versionadd.jsp" %>
</body>
</html>




