
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Select Notification Scheme</title>
</head>

<body>

<webwork:if test="schemes == null || schemes/size == 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Association Notification Scheme to Project</page:param>
        <page:param name="width">100%</page:param>

        <p>
        There are currently no notification schemes setup - this means no email notifications will be sent.
        </p>
        <p>
        <a href="<%= request.getContextPath() %>/secure/admin/ViewNotificationSchemes.jspa">Add</a> a new notification scheme.
        </p>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Associate Scheme to Project</page:param>
        <page:param name="description">
            This page allows you to associate a scheme with this project.
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
        <page:param name="action">SelectProjectScheme.jspa</page:param>
        <page:param name="submitName">Associate</page:param>

        <ui:select label="'Scheme'" name="'schemeIds'" value="schemeIds[0]" list="schemes" listKey="'string('id')'" listValue="'string('name')'" template="selectmap.jsp">
            <ui:param name="'headerrow'" value="'None'" />
            <ui:param name="'headervalue'" value="''" />
        </ui:select>
        <ui:component name="'projectId'" template="hidden.jsp"/>
	</page:applyDecorator>
</webwork:else>

</body>
</html>