
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Select Permission Scheme</title>
</head>

<body>

<webwork:if test="schemes == null || schemes/size == 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Association Permission Scheme to Project</page:param>
        <page:param name="width">100%</page:param>

        <p>
        There are currently no permission schemes setup.
        </p>
        <p>
        <a href="<%= request.getContextPath() %>/secure/admin/ViewPermissionSchemes.jspa">Add</a> a new permission scheme.
        </p>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Associate Permission Scheme to Project</page:param>
        <page:param name="description">
            This page allows you to associate a permission scheme with this project.
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
        <page:param name="action">SelectProjectPermissionScheme.jspa</page:param>
        <page:param name="submitName">Associate</page:param>

        <ui:select label="'Scheme'" name="'schemeIds'" value="schemeIds[0]" list="schemes" listKey="'string('id')'" listValue="'string('name')'" template="selectmap.jsp">
        </ui:select>
        <ui:component name="'projectId'" template="hidden.jsp"/>
	</page:applyDecorator>
</webwork:else>

</body>
</html>