<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:action name="'util.UserAction'" id="user" />
<html>
<head>
	<title>Project: <webwork:property value="project/string('name')" /></title>
</head>
<body>
<%@ include file="/includes/errormessages.jsp" %>
<%@ include file="/includes/admin/project/summary.jsp" %>

<!-- Display all of the components for the project and allow the users to pick the component assignees -->
<page:applyDecorator name="jiraform">
	<page:param name="title">Select Component Assignee</page:param>
	<page:param name="width">100%</page:param>
	<page:param name="description">Use this page to select default assignees for newly created issues.</page:param>
	<page:param name="action">SelectComponentAssignees.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewProject.jspa?pid=<webwork:url value="projectId" /></page:param>
    <page:param name="columns">1</page:param>
    <tr><td bgcolor="ffffff">
    <br>
    <table cellpadding=1 cellspacing=0 border=0 bgcolor=#bbbbbb width=90% align="center">
	<tr><td>
	<table cellpadding=4 cellspacing=0 border=0 width=100% bgcolor=666666>
    <tr bgcolor="f0f0f0">
        <td nowrap><b>Component Name</b></td>
        <td nowrap><b>Component Lead</b></td>
        <td colspan="2" nowrap><b>Default Component Assignee</b></td>
    </tr>
    <webwork:iterator value="/components" status="'componentsStatus'">
        <webwork:if test="@componentsStatus/even == true">
            <tr bgcolor="ffffff">
        </webwork:if>
        <webwork:else>
            <tr bgcolor="fffff0">
        </webwork:else>
            <td width="1%" nowrap><webwork:property value="./string('name')"/></td>
            <td width="1%" nowrap>
                <webwork:if test="./string('lead')">
                    <webwork:property value="/userFullName(./string('lead'))"/>
                </webwork:if>
                <webwork:else>
                    No Lead
                </webwork:else>
            </td>
            <webwork:if test="errors[/componentFieldName(.)]">
                <td align="left" bgcolor="ffcccc"><span class="errMsg"><webwork:property value="errors[/componentFieldName(.)]"/></span><br>
            </webwork:if>
            <webwork:else>
                <td align="left">
            </webwork:else>
                <webwork:iterator value="/componentAssigneeTypes(.)" status="'assigneeTypesStatus'">
                        <input type="radio" value="<webwork:property value="./key"/>" id="<webwork:property value="/componentFieldName(..)"/>_<webwork:property value="./key"/>" name="<webwork:property value="/componentFieldName(..)"/>"
                        <webwork:if test="./key == /componentAssigneeType(..)">
                            checked="true"
                        </webwork:if>
                        <webwork:if test="./key < 0">
                            disabled
                        </webwork:if>
                        >

                        <webwork:if test="./key >= 0">
                            <label for="<webwork:property value="/componentFieldName(..)"/>_<webwork:property value="./key"/>"><webwork:property value="./value"/></label>
                            <webwork:if test="./key == 1">
                                <font size="1">(lead: <webwork:property value="/userFullName(../string('lead'))"/>)</font>
                            </webwork:if>
                            <webwork:elseIf test="./key == 2">
                                <font size="1">(lead: <webwork:property value="/userFullName(/project/string('lead'))"/>)</font>
                            </webwork:elseIf>
                        </webwork:if>
                        <webwork:else>
                            <font color="#999999"><i><webwork:property value="./value"/></i></font>
                        </webwork:else>
                    <webwork:if test="@assigneeTypesStatus/count == 2">
                        </td><td>
                    </webwork:if>
                    <webwork:else><br></webwork:else>
                </webwork:iterator>
            </td>
        </tr>
    </webwork:iterator>
    </table>
    <webwork:component name="'projectId'" template="hidden.jsp"/>
    </td></tr>
    </table>
    </td></tr>
</page:applyDecorator>

</body>
</html>