
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Select Project Category</title>
</head>

<body>

<webwork:if test="projectCategories == null || projectCategories/size == 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title">No Project Category</page:param>
        <page:param name="width">100%</page:param>

        <p>
        You have not created any Project Categories yet.
        </p>
        <p>
        <a href="<%= request.getContextPath() %>/secure/admin/projectcategories/ViewProjectCategories!default.jspa">Add</a> a new project category.
        </p>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Select Project Category for Project</page:param>
        <page:param name="description">
            This page allows you to select which project category you want this project to be in.
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="pid"/></webwork:url></page:param>
        <page:param name="action">SelectProjectCategory.jspa</page:param>
        <page:param name="submitName">Select</page:param>

        <ui:select label="'Project Category'" name="'pcid'" list="projectCategories" listKey="'string('id')'" listValue="'string('name')'" template="selectmap.jsp">
            <ui:param name="'headerrow'" value="'None'" />
            <ui:param name="'headervalue'" value="-1" />
        </ui:select>
        <ui:component name="'pid'" template="hidden.jsp"/>
	</page:applyDecorator>
</webwork:else>

</body>
</html>