<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<html>
<head>
    <title>Projects</title>
</head>
<body>
<page:applyDecorator name="jirapanel">
    <page:param name="title">Administration</page:param>
    <page:param name="width">100%</page:param>
    <page:param name="helpURL">version_management</page:param>

    <p>
        Below is the list of all projects for this installation of JIRA.
    </p>
    <webwork:if test="admin == true">
    <p>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
	    <b><a id="add_project" href="<%= request.getContextPath() %>/secure/admin/AddProject!default.jspa">Add Project</a></b>
    </p>
    </webwork:if>
</page:applyDecorator>
<p>
<table width="100%" bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0"><tr><td>
<table border="0" cellpadding="3" cellspacing="1" width="100%">
<tr bgcolor=f0f0f0>
    <td class="colHeaderLink"><b>Name</b></td>
    <td class="colHeaderLink"><b>Key</b></td>
    <td class="colHeaderLink"><b>URL</b></td>
    <td class="colHeaderLink"><b>Lead</b></td>
    <td class="colHeaderLink"><b>Default Assignee</b></td>
    <td class="colHeaderLink" width="1%"><b><webwork:text name="'common.words.operations'"/></b></td>
</tr>
<webwork:iterator value="projects">
    <tr bgcolor=ffffff>
    <td>
        <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:property value="string('name')" /></a>
    </td>
    <td>
        <webwork:property value="string('key')" />
    </td>
    <td>
        <webwork:if test="/stringSet(.,'url') == false">
            No URL
        </webwork:if>
        <webwork:else>
            <a href="<webwork:url value="string('url')" />"><webwork:property value="string('url')" /></a>
        </webwork:else>
    </td>
    <td nowrap>
        <webwork:if test="string('lead')">
            <a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="./string('lead')" /></webwork:url>"><webwork:property value="../user(.)/fullName"/></a>
        </webwork:if>
        <webwork:else>
            No lead developer specified.
        </webwork:else>
    </td>
    <td nowrap>
        <webwork:if test="/defaultAssigneeAssignable(.) == false"><span class="warning" title="WARNING: User not Assignable."></webwork:if>
        <webwork:property value="/prettyAssigneeType(long('assigneetype'))"/>
        <webwork:if test="/defaultAssigneeAssignable(.) == false"></span></webwork:if>
    </td>
    <td nowrap valign=middle align=middle>
        <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />">View</a>
        <webwork:if test="/projectAdmin(.) == true || /admin == true">
            |
            <a href="<%= request.getContextPath() %>/secure/project/EditProject!default.jspa?pid=<webwork:property value="long('id')" />">Edit</a>
        </webwork:if>
        <webwork:if test = "/admin == true">
            <%--Project permissions do not exist any more--%>
            <%--|--%>
            <%--<a href="<%= request.getContextPath() %>/secure/project/ProjectPermissions.jspa?pid=<webwork:property value="long('id')" />">Perms</a>--%>
            |
            <a href="<%=request.getContextPath() %>/secure/project/DeleteProject!default.jspa?pid=<webwork:property value="long('id')" />">Delete</a>
        </webwork:if>
    </td>
    </tr>
</webwork:iterator>
<webwork:if test="projects/size == 0">
    <tr bgcolor=ffffff>
        <td colspan=6>
            <p>
            You do not have the permissions to administer any projects, or there are none created.
            </p>

            <webwork:if test="remoteUser == null">
                <p>
                If you <jira:loginlink>log in</jira:loginlink>
    <webwork:if test="/applicationProperties/option('jira.option.user.externalpasswordmanagement') == false">
                <webwork:if test="extUserManagement != true">
                    or <a href="<%= request.getContextPath() %>/Signup!default.jspa">signup</a> for an account
                </webwork:if>
    </webwork:if>
                you might be able to see more here.
                </p>
            </webwork:if>
        </td>
    </tr>
</webwork:if>
</table>
</td></tr></table>
</p>
</body>
</html>
