
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>Select Workflow Scheme</title>
</head>

<body>

<webwork:if test="schemes == null || schemes/size == 0">
    <page:applyDecorator name="jirapanel">
        <page:param name="title">Associate Workflow Scheme to Project: <webwork:property value="project/string('name')" /></page:param>
        <page:param name="width">100%</page:param>

        <p>
        There are currently no workflow schemes setup.
        </p>
        <p>
        <a href="<%= request.getContextPath() %>/secure/admin/ViewWorkflowSchemes.jspa">Add</a> a new workflow scheme.
        </p>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="title">Associate Scheme to Project</page:param>
        <page:param name="description">
            <p><b>Step 1 of 2: </b> Select the scheme you wish to associate.</p>
            <p><span class="warning">Note</span>: It is recommended to <a href="<%= request.getContextPath() %>/secure/admin/XmlBackup!default.jspa">backup</a> JIRA data before proceeding with the workflow association.</p>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>
        <page:param name="action">SelectProjectWorkflowSchemeStep2!default.jspa</page:param>
        <page:param name="submitName">Associate</page:param>

        <ui:select label="'Scheme'" name="'schemeId'" value="schemeIds[0]" list="schemes" listKey="'string('id')'" listValue="'string('name')'" template="selectmap.jsp">
            <ui:param name="'headerrow'" value="'None'" />
            <ui:param name="'headervalue'" value="''" />
        </ui:select>
        <ui:component name="'projectId'" template="hidden.jsp"/>
	</page:applyDecorator>
</webwork:else>

</body>
</html>