<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.LicenseManager,
                 com.atlassian.license.License"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title>Select Workflow Scheme:</title>
</head>
<body>
    <page:applyDecorator name="jiraform">
        <page:param name="title">Associate Workflow Scheme to Project: <webwork:property value="project/string('name')" /></page:param>
        <page:param name="description">
            <p><b>Step 2 of 2: </b> Migrate statuses from the old workflow scheme to the new one.</p>
        </page:param>

        <page:param name="action">SelectProjectWorkflowSchemeStep2.jspa</page:param>
        <page:param name="submitName">Associate</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <page:param name="cancelURI"><webwork:url page="ViewProject.jspa"><webwork:param name="'pid'" value="projectId"/></webwork:url></page:param>

        <webwork:if test="/haveIssuesToMigrate == true">
        <webwork:iterator value="migrationManager/typesNeedingMigration">
            <tr bgcolor=ffffff>
                <td>
                    <webwork:component name="{./string('name')}" template="constanticon.jsp">
                        <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                        <webwork:param name="'iconurl'" value="./string('iconurl')" />
                        <webwork:param name="'title'"><webwork:property value="./string('name')" /></webwork:param>
                    </webwork:component>
                    <webwork:property value="./string('name')" />
                    <br>
                    (<font size=1><webwork:property value ="/numAffectedIssues(.)"/> affected issues</font>)
                </td>
                <td>
                    <table>
                    <tr>
                        <td bgcolor=f0f0f0>
                        <webwork:property value="/existingWorkflow(.)/name" />
                        </td>
                        <td>&raquo;</td>
                        <td bgcolor=f0f0f0>
                        <webwork:property value="/targetWorkflow(.)/name" />
                        </td>
                    </tr>
                    <webwork:iterator value="/migrationManager/statusesNeedingMigration(.)">
                    <tr>
                        <td>
                        <webwork:component name="{./string('name')}" template="constanticon.jsp">
                            <webwork:param name="'contextPath'"><%= request.getContextPath() %></webwork:param>
                            <webwork:param name="'iconurl'" value="./string('iconurl')" />
                            <webwork:param name="'title'"><webwork:property value="./string('name')" /></webwork:param>
                        </webwork:component>
                        <webwork:property value="./string('name')" />
                        </td>

                        <td>&raquo;</td>

                        <%-- the name of the select list will be mapping_issueTypeId_statusId (generated by action as I can't concat here) --%>
                        <ui:select label="text('issue.field.status')" name="/selectListName(.., .)" list="/targetStatuses(..)" listKey="'string('id')'" listValue="'string('name')'" theme="'single'">
                            <ui:param name="'mandatory'" value="true"/>
                        </ui:select>
                    </tr>
                    </webwork:iterator>
                    </table>
                </td>
             </tr>
        </webwork:iterator>
        <webwork:if test="migrationManager/typesNeedingMigration/size == 0">
            <tr bgcolor=fffff0>
                <td>All issue types and statuses can be migrated automatically.</td>
            </tr>
        </webwork:if>
        </webwork:if>
        <webwork:else>
            <tr bgcolor=fffff0>
                <td>There are no issues to migrate.</td>
            </tr>
        </webwork:else>

        <ui:component name="'projectId'" template="hidden.jsp"/>
        <ui:component name="'schemeId'" template="hidden.jsp"/>
        <webwork:if test="origSchemeId != null">
            <ui:component name="'origSchemeId'" template="hidden.jsp"/>
        </webwork:if>
    </page:applyDecorator>
</body>
</html>