<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<html>
<body>
<h1>JIRA Concepts - Issues</h1>

<webwork:bean name="'com.atlassian.jira.web.util.HelpUtil'" id="helpUtil" />
<p>
<table>
<tr>
<td>
<p> JIRA tracks issues, which can be bugs, feature requests, or any other tasks you want to track. </p>


<p>Each issue has a variety of associated information including:</p>

<ul>
    <li>the <a href="#IssueTypes">issue type</a> </li>
    <li>a summary</li>
    <li>a description of the issue</li>
    <li>the project which the issue belongs to</li>
    <li><a href=<webwork:property value="@helpUtil/helpPath('components')/url"/>>components</a> within a project which are associated with this issue</li>
    <li> <a href=<webwork:property value="@helpUtil/helpPath('versions')/url"/>>versions</a> of the project which are affected by this issue</li>
    <li> Versions of the project which will resolve the issue</li>
    <li>the environment in which it occurs</li>
    <li>a <a href="#PriorityLevels">priority</a> for being fixed</li>
    <li>an assigned developer to work on the task</li>
    <li>a reporter - the user who entered the issue into the system</li>
    <li>the current <a href="#StatusTypes">status</a> of the issue</li>
    <li>a full history log of all field changes that have occurred</li>
    <li>a comment trail added by users</li>
<li>if the issue is resolved - the <a href="#ResolutionTypes">resolution</a> </li>
</ul>

<a name="N10059"></a><a name="IssueTypes"></a>
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Issue Types</div>
<div class="section">

<p>JIRA can be used to track many different types of issues. The default issues are listed below, but you can
        add your own at the administration section.</p>

<dl>
<webwork:iterator value="issueTypes">

<dt> <img height="16" src=<webwork:property value="string('iconurl')"/> width="16"> <b><webwork:property value="string('name')"/></b></dt><dd><webwork:property value="string('description')"/> </dd>

</webwork:iterator>
</dl>
</div>

<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Priority Levels</div>
<div class="section">


<p>An issue has a priority level which indicates its importance. The default priority levels are listed below.
         In addition, you can add your own priority levels at the administration section.</p>

<dl>
<webwork:iterator value="priorities">

<dt> <img height="16" src=<webwork:property value="string('iconurl')"/> width="16"> <b><webwork:property value="string('name')"/></b></dt><dd><webwork:property value="string('description')"/> </dd>

</webwork:iterator>
</dl>

</div>

<a name="N100E7"></a><a name="StatusTypes"></a>
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Statuses</div>
<div class="section">

<p>Each issue has a status, which indicates the stage of the issue. Issues generally start as being assigned, and
        then will progress to resolved and then closed.  Depending on circumstances, it may also progress to the other
        statuses.</p>

<dl>
<webwork:iterator value="statuses">

<dt> <img height="16" src=<webwork:property value="string('iconurl')"/> width="16"> <b><webwork:property value="string('name')"/></b></dt><dd><webwork:property value="string('description')"/> </dd>

</webwork:iterator>
</dl>

</div>

<a name="N10160"></a><a name="ResolutionTypes"></a>
<div class="formtitle" style="border-bottom: 2px solid #a5b6c6 ;">Resolutions</div>

<div class="section">

<p>An issue can be resolved in many ways, only one of them being "fixed". The default resolutions are listed below. You can also
        add your own in the administration section.</p>
<dl>
<webwork:iterator value="resolutions">

<dt><b><webwork:property value="string('name')"/></b></dt><dd><webwork:property value="string('description')"/> </dd>

</webwork:iterator>
</dl>

</div>

</td></tr></table>
</body>
</html>