<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'cloneissue.title'" /></title>
</head>
<body>
	<page:applyDecorator name="jiraform">
		<page:param name="title"><webwork:text name="'cloneissue.title'" /></page:param>
		<page:param name="description">
            <webwork:text name="'cloneissue.step1.desc'" />
            <%-- if there is no 'clone' link type in the system, print a warning --%>
            <webwork:if test="displayCloneLinkWarning == true">
                <p><webwork:text name="'cloneissue.linktype.does.not.exist'" value0="'<span class=\"warning\">'" value1="'</span>'" value2="cloneLinkTypeName"/></p>
            </webwork:if>
            <%-- if the user cannot modify the reporter, print a warning --%>
            <webwork:if test="canModifyReporter == false">
                <p><webwork:text name="'cloneissue.reporter.modify'" value0="'<span class=\"warning\">'" value1="'</span>'"/></p>
            </webwork:if>
        </page:param>
		<page:param name="action">CloneIssueDetails.jspa</page:param>
		<page:param name="submitName"><webwork:text name="'cloneissue.create'" /></page:param>
		<page:param name="cancelURI"><%= request.getContextPath() %>/browse/<webwork:property value="/issue/string('key')"/></page:param>


        <ui:textfield label="'Summary'" name="'summary'" size="60" maxlength="255">
            <ui:param name="'mandatory'" value="'true'"/>
        </ui:textfield>


        <ui:component name="'description'" template="hidden.jsp"  theme="'single'" />
        <ui:component name="'environment'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'assignee'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'reporter'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'pid'" template="hidden.jsp" theme="'single'" />
        <ui:component name="'issuetype'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'priority'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'security'" template="hidden.jsp" theme="'single'"  />

        <tr class="hidden"><td>
        <webwork:iterator value="versions">
            <input type="hidden" name="versions" value="<webwork:property value="." />" >
        </webwork:iterator>
        <webwork:iterator value="components">
            <input type="hidden" name="components" value="<webwork:property value="." />" >
        </webwork:iterator>
        <webwork:iterator value="fixVersions">
            <input type="hidden" name="fixVersions" value="<webwork:property value="." />" >
        </webwork:iterator>
        </td></tr>

        <ui:component name="'id'" template="hidden.jsp"  theme="'single'" />

	</page:applyDecorator>
</body>
</html>