<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="webwork" prefix="iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'createissue.title'" /></title>
</head>
<body>
<webwork:if test="allowedProjects/size > 0">
	<page:applyDecorator name="jiraform">
		<page:param name="title"><webwork:text name="'createissue.title'" /></page:param>
		<page:param name="description"><webwork:text name="'createissue.step1.desc'" /></page:param>
		<page:param name="action">CreateIssue.jspa</page:param>
		<page:param name="submitName"><webwork:text name="'common.forms.next'" />&gt;&gt;</page:param>

        <ui:select label="text('issue.field.project')" name="'pid'" list="allowedProjects" listKey="'long('id')'" listValue="'string('name')'" >
            <ui:param name="'mandatory'" value="true"/>
        </ui:select>

		<ui:select label="text('issue.field.issuetype')" name="'issuetype'" list="/constantsManager/issueTypes" listKey="'string('id')'" listValue="'string('name')'">
<%--            In order to enable the "Please Select Issue Type" value as the default value of this dropdown - uncomment the following headerrow and headervalue paramaters.--%>
<%--            <ui:param name="'headerrow'" value="'Please Select Issue Type'" />--%>
<%--            <ui:param name="'headervalue'" value="'-1'" />--%>
            <ui:param name="'helpURL'">issues</ui:param>
            <ui:param name="'helpURLFragment'">#IssueTypes</ui:param>
      	    <ui:param name="'description'"><webwork:property value="issueTypeDescription" escape="false" /></ui:param>
            <ui:param name="'mandatory'" value="true"/>
		</ui:select>
	</page:applyDecorator>
</webwork:if>
<webwork:else>
	<page:applyDecorator name="jiraform">
		<page:param name="description"><webwork:text name="'createissue.step1.desc'" /></page:param>
		<%@ include file="/includes/noprojects.jsp" %>
	</page:applyDecorator>
</webwork:else>
</body>
</html>