<%@ page import="com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>

<!-- Breaking page into smaller parts - JRA-5059 -->

<!-- SECURITY LEVEL, PRIORITY, DESCRIPTION, ENVIRONMENT, DUEDATE & COMPONENTS -->

<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
if (license !=null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
<tr>
    <td bgcolor=f0f0f0 valign=top>
        <b><webwork:text name="'issue.field.securitylevel'"/></b>
    </td>
    <td bgcolor=ffffff valign=top>
        <webwork:property value="securityLevel(oldSecurity)">
            <webwork:if test=".">
                <webwork:if test="securityLevel(oldSecurity) != securityLevel(security)">
                    <span class="red-highlight"><webwork:property value="string('name')" /></span><br>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="string('name')" /><br>
                </webwork:else>
            </webwork:if>
            <webwork:else>
                <webwork:if test="securityLevel(oldSecurity) != securityLevel(security)">
                    <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'common.words.none'"/>
                </webwork:else>
                <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'security', issue/string('type')) == true">
                    &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
                </webwork:if>
            </webwork:else>
        </webwork:property>
    </td>
    <td bgcolor=ffffff valign=top>
        <webwork:property value="securityLevel(security)">
            <webwork:if test=".">
                <webwork:if test="securityLevel(oldSecurity) != securityLevel(security)">
                    <span class="green-highlight"><webwork:property value="string('name')" /></span><br>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="string('name')" /><br>
                </webwork:else>
            </webwork:if>
            <webwork:else>
                <webwork:if test="securityLevel(oldSecurity) != securityLevel(security)">
                    <span class="green-highlight"><webwork:text name="'common.words.none'"/></span>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'common.words.none'"/>
                </webwork:else>
                <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'security', targetIssueType) == true">
                    &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
                </webwork:if>
            </webwork:else>
        </webwork:property>
    </td>
</tr>
<% } %>
<%-- Priority - this value will never change in a move operation - the following row only displays if the field's 'hidden' status has changed --%>
<tr>
<td bgcolor=f0f0f0 valign=top>
    <b><webwork:text name="'issue.field.priority'"/></b>
</td>
<td bgcolor=ffffff valign=top>
    <webwork:property value="constantsManager/priority(issue/string('priority'))/string('name')"/>
    <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'priority', issue/string('type')) == true">
        &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
    </webwork:if>
</td>
<td bgcolor=ffffff valign=top>
    <webwork:property value="constantsManager/priority(issue/string('priority'))/string('name')"/>
    <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'priority', targetIssueType) == true">
        &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
    </webwork:if>
</td>
</tr>

<%-- Description --%>
<%-- Description is only set if it is mandatory in the target field layout scheme and was not set previously. --%>
<webwork:if test="required('description') == true && stringSet(issue, 'description') == false">
<tr>
<td bgcolor=f0f0f0 valign=top>
    <b><webwork:text name="'issue.field.description'"/></b>
</td>
<td bgcolor=ffffff valign=top>
    <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
    <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'description', issue/string('type')) == true">
        &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
    </webwork:if>
</td>
<td bgcolor=ffffff valign=top>
    <span class="green-highlight"><webwork:property value="./moveIssueBean/description"/></span>
</td>
</tr>
</webwork:if>

<%-- Environment --%>
<%-- Environment is only set if it is mandatory in the target field layout scheme and was not set previously. --%>
<webwork:if test="required('environment') == true && stringSet(issue, 'environment') == false">
<tr>
<td bgcolor=f0f0f0 valign=top>
    <b><webwork:text name="'issue.field.environment'"/></b>
</td>
<td bgcolor=ffffff valign=top>
    <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
    <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'environment', issue/string('type')) == true">
        &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
    </webwork:if>
</td>
<td bgcolor=ffffff valign=top>
    <span class="green-highlight"><webwork:property value="./moveIssueBean/environment"/></span>
</td>
</tr>
</webwork:if>

<%-- Due Date --%>
<%-- Due Date is only set if it is mandatory in the target field layout scheme and was not set previously. --%>
<webwork:if test="required('duedate') == true && stringSet(issue, 'duedate') == false">
<tr>
<td bgcolor=f0f0f0 valign=top>
    <b><webwork:text name="'issue.field.duedate'"/></b>
</td>
<td bgcolor=ffffff valign=top>
    <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
    <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'duedate', issue/string('type')) == true">
        &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
    </webwork:if>
</td>
<td bgcolor=ffffff valign=top>
    <span class="green-highlight"><webwork:property value="./moveIssueBean/duedate"/></span>
</td>
</tr>
</webwork:if>

<%-- Components --%>
<tr>
<td bgcolor=f0f0f0 valign=top>
    <b><webwork:text name="'issue.field.components'"/></b>
</td>
<td bgcolor=ffffff valign=top>
    <webwork:if test="oldComponents/size > 0">
        <webwork:iterator value="oldComponents">
            <webwork:if test="../componentsMatch == false">
                <span class="red-highlight"><webwork:property value="string('name')" /></span><br>
            </webwork:if>
            <webwork:else>
                <webwork:property value="string('name')" /><br>
            </webwork:else>
        </webwork:iterator>
    </webwork:if>
    <webwork:else>
        <webwork:if test="./componentsMatch == false">
            <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
        </webwork:if>
        <webwork:else>
            <webwork:text name="'common.words.none'"/>
        </webwork:else>
        <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'components', issue/string('type')) == true">
            &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
        </webwork:if>
    </webwork:else>
</td>
<td bgcolor=ffffff valign=top>
    <webwork:if test="newComponents/size > 0">
        <webwork:iterator value="newComponents">
            <webwork:if test="../componentsMatch == false">
                <span class="green-highlight"><webwork:property value="string('name')" /></span><br>
            </webwork:if>
            <webwork:else>
                <webwork:property value="string('name')" /><br>
            </webwork:else>
        </webwork:iterator>
    </webwork:if>
    <webwork:else>
        <webwork:if test="./componentsMatch == false">
            <span class="green-highlight"><webwork:text name="'common.words.none'"/></span>
        </webwork:if>
        <webwork:else>
            <webwork:text name="'common.words.none'"/>
        </webwork:else>
        <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'components', targetIssueType) == true">
            &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
        </webwork:if>
    </webwork:else>
</td>
</tr>