<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>

<!-- Breaking page into smaller parts - JRA-5059 -->

<!-- ASSIGNEE & CUSTOM FIELDS -->

<td bgcolor=f0f0f0 valign=top>
    <b><webwork:text name="'issue.field.assignee'"/></b>
</td>
<td bgcolor=ffffff valign=top>
    <webwork:if test="oldAssignee">
        <webwork:if test="assigneeMatch == false">
            <span class="red-highlight"><webwork:property value="oldAssignee/fullName" /></span>
        </webwork:if>
        <webwork:else>
            <webwork:property value="oldAssignee/fullName" />
        </webwork:else>
        <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'assignee', issue/string('type')) == true">
            &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
        </webwork:if>
    </webwork:if>
    <webwork:else>
        <webwork:if test="assigneeMatch == false">
            <span class="red-highlight"><webwork:text name="'common.concepts.unassigned'"/></span>
        </webwork:if>
        <webwork:else>
            <webwork:text name="'common.concepts.unassigned'"/>
        </webwork:else>
        <webwork:if test="@fieldVisibility/fieldHidden(project/string('id'), 'assignee', issue/string('type')) == true">
            &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
        </webwork:if>
    </webwork:else>
</td>
<td bgcolor=ffffff valign=top>
    <webwork:if test="assignee">
        <webwork:if test="-1 == assignee">
            <webwork:if test="assigneeMatch == false">
                <span class="green-highlight"><webwork:text name="'common.concepts.automatic'"/></span>
            </webwork:if>
            <webwork:else>
                    <webwork:text name="'common.concepts.automatic'"/>
            </webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'assignee', targetIssueType) == true">
                &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
            </webwork:if>
        </webwork:if>
        <webwork:else>
            <webwork:if test="assigneeMatch == false">
                <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'assignee', targetIssueType) == true">
                    <span class="green-highlight"><webwork:text name="'common.concepts.automatic'"/></span>
                </webwork:if>
                <webwork:else>
                    <span class="green-highlight"><webwork:property value="assigneeUser/fullName" /></span>
                </webwork:else>
            </webwork:if>
            <webwork:else>
                <webwork:property value="assigneeUser/fullName" />
            </webwork:else>
            <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'assignee', targetIssueType) == true">
                &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
            </webwork:if>
        </webwork:else>
    </webwork:if>
    <webwork:else>
        <webwork:if test="assigneeMatch == false">
            <span class="green-highlight"><webwork:text name="'common.concepts.unassigned'"/></span>
        </webwork:if>
        <webwork:else>
            <webwork:text name="'common.concepts.unassigned'"/>
        </webwork:else>
        <webwork:if test="@fieldVisibility/fieldHidden(targetPid, 'assignee', targetIssueType) == true">
            &nbsp;<span class="smallgrey">(<webwork:text name="'moveissue.confirm.field.hidden'"/>)</span>
        </webwork:if>
    </webwork:else>
</td>

<%-- custom fields that are new or changed --%>
<webwork:if test="targetCustomFields/empty == false">
    <webwork:iterator value="targetCustomFields">
    <webwork:if test="./editable == true">
        <tr>
            <td bgcolor=f0f0f0 valign=top>
                <b>[<webwork:text name="'common.concepts.customfield'"/>] <webwork:property value="name" /></b>
            </td>
            <td bgcolor=ffffff valign=top>
                <webwork:if test="oldCustomFieldValue(.)">
                    <webwork:if test="customFieldsMatch(.) == false">
                        <span class="red-highlight"><webwork:property value="oldCustomFieldView(.)" escape="false" /></span>
                    </webwork:if>
                    <webwork:else>
                        <webwork:property value="oldCustomFieldView(.)"  escape="false" />
                    </webwork:else>
                </webwork:if>
                <webwork:else>
                    <webwork:if test="customFieldsMatch(.) == false">
                        <span class="red-highlight"><webwork:text name="'common.words.none'"/></span>
                    </webwork:if>
                    <webwork:else>
                        <webwork:text name="'common.words.none'"/>
                    </webwork:else>
                </webwork:else>
            </td>
            <td bgcolor=ffffff valign=top>
                <webwork:if test="newCustomFieldValue(.)">
                    <webwork:if test="customFieldsMatch(.) == false">
                        <span class="green-highlight"><webwork:property value="newCustomFieldView(.)" escape="false" /></span>
                    </webwork:if>
                    <webwork:else>
                        <webwork:property value="newCustomFieldView(.)" escape="false" />
                    </webwork:else>
                </webwork:if>
                <webwork:else>
                    <webwork:if test="customFieldsMatch(.) == false">
                        <span class="green-highlight"><webwork:text name="'common.words.none'"/></span>
                    </webwork:if>
                    <webwork:else>
                        <webwork:text name="'common.words.none'"/>
                    </webwork:else>
                </webwork:else>
            </td>
        </tr>        
    </webwork:if>
    </webwork:iterator>
</webwork:if>

<%-- custom fields that are removed --%>
<webwork:if test="invalidCurrentCustomFields/empty == false">
    <webwork:iterator value="invalidCurrentCustomFields">
        <tr>
            <td bgcolor=f0f0f0 valign=top>
                <b>[<webwork:text name="'common.concepts.customfield'"/>] <webwork:property value="name" /></b>
            </td>
            <td bgcolor=ffffff valign=top>
                <span class="red-highlight">
                <webwork:if test="oldCustomFieldValue(.)">
                    <webwork:property value="oldCustomFieldView(.)" />
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'common.words.none'"/>
                </webwork:else>
            </span>
            </td>
            <td bgcolor="ffffff" valign=top>
                <span class="smallgrey"><webwork:text name="'moveissue.customfield.notapplicable.lost'"/></span>
            </td>
        </tr>
    </webwork:iterator>
</webwork:if>