<%@ page import="java.util.Date, com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.config.properties.APKeys,
                 webwork.action.ActionContext,
                 webwork.action.CoreActionContext,
                 com.atlassian.jira.web.action.issue.IssueNavigator,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.jira.config.properties.ApplicationProperties,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 com.atlassian.jira.issue.fields.DefaultFieldManager,
                 org.ofbiz.core.util.UtilMisc,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils" contentType="application/vnd.ms-excel"
 %><%
    //these headers need to be set to get around an internet explorer 6 SP1 bug.  See JRA-1738
    //we need to override the headers that are set either by the server, or the encoding filter
    response.setHeader("Cache-Control", "max-age=5"); // http 1.1
    response.setHeader("Pragma", ""); // http 1.0
    response.setDateHeader("Expires", System.currentTimeMillis() + 300); // prevent proxy caching

    response.setContentType("application/vnd.ms-excel;charset=" + ManagerFactory.getApplicationProperties().getEncoding());
%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:action name="'util.UserAction'" id="user" />
<webwork:bean name="'com.atlassian.jira.web.util.IssueTableBean'" id="issueBean" />
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<html>
<head>
<title>JIRA Issue Navigator2</title>
<META HTTP-EQUIV="Content-Type" Content="application/vnd.ms-excel; charset=<%= ManagerFactory.getApplicationProperties().getEncoding()%>">
</head>
<body>
<table border="1">
<%
    ApplicationProperties AP = ManagerFactory.getApplicationProperties();
    String topBgColour = AP.getDefaultBackedString(APKeys.JIRA_LF_TOP_BGCOLOUR);

    String jiraLogo = AP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_URL);
    String jiraLogoWidth = AP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_WIDTH);
    String jiraLogoHeight = AP.getDefaultBackedString(APKeys.JIRA_LF_LOGO_HEIGHT);

    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = AP.getString(APKeys.JIRA_BASEURL) + jiraLogo;
    }

    IssueNavigator in = (IssueNavigator) CoreActionContext.getValueStack().findValue(".");
    int counter = 15;
    if (in.getApplicationProperties().getOption(APKeys.JIRA_OPTION_VOTING))
    {
        counter++;
    }

    if (in.getApplicationProperties().getOption(APKeys.JIRA_OPTION_TIMETRACKING))
    {
        counter = counter + 3;
    }

    License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
    if (license != null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL)))
    {
        counter++;
    }

    counter = counter + in.getValidCustomFields().size();
%>

<tr>
    <td bgcolor="<%= topBgColour %>" colspan="<%=counter%>" height=30>
        <img src="<%= jiraLogo %>" width="<%= jiraLogoWidth %>" height="<%= jiraLogoHeight %>" border=0 alt="Atlassian JIRA">
    </td>
</tr>
<tr>
    <td bgcolor=ffffff colspan="<%=counter%>">
        <a href="<webwork:property value="applicationProperties/string('jira.baseurl')" />"><font color=ffffff><webwork:property value="applicationProperties/string('jira.title')" /></font></a>
    </td>
</tr>
<tr>
    <td bgcolor=ffffff colspan="<%=counter%>">
        <webwork:text name="'navigator.results.displayissues'">
            <webwork:param name="'value0'"><b><webwork:property value="niceStart" /></b></webwork:param>
            <webwork:param name="'value1'"><b><webwork:property value="niceEnd" /></b></webwork:param>
            <webwork:param name="'value2'"><b><webwork:property value="browsableItems/size" /></b></webwork:param>
        </webwork:text>&nbsp;<webwork:text name="'navigator.results.asat'"><webwork:param name="'value0'"><b><webwork:property value="/outlookDate/formatDMYHMS(/outlookDate/now)"/></b></webwork:param></webwork:text>.<br>
    </td>
</tr>
<tr>
    <td bgcolor=ffffff colspan="<%=counter%>">
        &nbsp;
    </td>
</tr>
<tr>
    <td bgcolor=dddddd><b><webwork:text name="/field('issuekey')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('summary')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('issuetype')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('status')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('priority')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('resolution')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('assignee')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('reporter')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('created')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('updated')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('versions')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('fixVersions')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('components')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="'common.concepts.issuelinks'" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('duedate')/nameKey" /></b></td>
    <webwork:if test="applicationProperties/option('jira.option.voting') == true">
    <td bgcolor=dddddd><b><webwork:text name="/field('votes')/nameKey" /></b></td>
    </webwork:if>
    <webwork:if test="applicationProperties/option('jira.option.timetracking') == true">
    <td bgcolor=dddddd><b><webwork:text name="/field('timeoriginalestimate')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('timeestimate')/nameKey" /></b></td>
    <td bgcolor=dddddd><b><webwork:text name="/field('timespent')/nameKey" /></b></td>
    </webwork:if>
    <% if (license != null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))){ %>
    <td bgcolor=dddddd><b><webwork:text name="/field('security')/nameKey" /></b></td>
    <%}%>
    <webwork:iterator value="/validCustomFields" >
    <td bgcolor=dddddd><b><webwork:property value="name" /></b></td>
    </webwork:iterator>
</tr>

<webwork:if test="currentPage != null"><webwork:iterator value="currentPage">
<tr valign=top>
    <td>
        <a href="<webwork:property value="applicationProperties/string('jira.baseurl')" />/browse/<webwork:property value="string('key')"/>"><webwork:property value="string('key')"/></a>
    </td>

    <td>
        <webwork:property value="string('summary')"/>
    </td>

    <td>
        <webwork:property value="/constantsManager/issueType(string('type'))/string('name')" />
    </td>

    <td>
		<webwork:property value="/constantsManager/status(string('status'))/string('name')" />
    </td>

    <td>
        <webwork:property value="./long('project')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', ../string('type')) == false">
                <webwork:property value="/constantsManager/priority(../string('priority'))/string('name')" />
            </webwork:if>
        </webwork:property>
    </td>

    <td>
            <webwork:if test="string('resolution') == null">
            Unresolved
            </webwork:if><webwork:else>
            <webwork:property value="/constantsManager/resolution(string('resolution'))/string('name')" />
            </webwork:else>
    </td>

    <td>
        <webwork:property value="./long('project')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'assignee', ../string('type')) == false">
                <webwork:if test="../string('assignee') == null">
                Unassigned
                </webwork:if><webwork:else>
                <webwork:property value="@user/user(../string('assignee'))/fullName"/>
                </webwork:else>
            </webwork:if>
        </webwork:property>
    </td>

    <td>
        <webwork:if test="string('reporter') == null">
        None
        </webwork:if><webwork:else>
        <webwork:property value="@user/user(string('reporter'))/fullName"/>
        </webwork:else>
    </td>

    <td>
        <webwork:property value="/outlookDate/formatDMY(timestamp('created'))"/>
    </td>

    <td>
		<webwork:property value="/outlookDate/formatDMY(timestamp('updated'))" />
    </td>

    <%-- Versions (potentially costly call) --%>
    <td>
        <webwork:property value="./long('project')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'versions', ../string('type')) == false">
                <webwork:property value="/issueManager/entitiesByIssue('IssueVersion', ..)" >
                    <%@ include file="/includes/snippets/listbyname.jsp" %>
                </webwork:property>
            </webwork:if>
        </webwork:property>
    </td>

    <%-- Fix For Versions (potentially costly call) --%>
    <td>
        <webwork:property value="./long('project')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'fixVersions', ../string('type')) == false">
                <webwork:property value="/issueManager/entitiesByIssue('IssueFixVersion', ..)" >
                    <%@ include file="/includes/snippets/listbyname.jsp" %>
                </webwork:property>
            </webwork:if>
        </webwork:property>
    </td>

    <%-- Components (potentially costly call) --%>
    <td>
        <webwork:property value="./long('project')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'components', ../string('type')) == false">
                <webwork:property value="/issueManager/entitiesByIssue('IssueComponent', ..)" >
                    <%@ include file="/includes/snippets/listbyname.jsp" %>
                </webwork:property>
            </webwork:if>
        </webwork:property>
    </td>

    <td>
    <%-- get all the links for an issue.  Ideally we could categorise them all, but this is a quick solution for now --%>
		<webwork:iterator value="/linkCollection(.)/allIssues" status="'linkStatus'">
            <a href="<webwork:property value="applicationProperties/string('jira.baseurl')" />/browse/<webwork:property value="./string('key')"/>"><webwork:property value="./string('key')"/></a><webwork:if test="@linkStatus/last == false">,</webwork:if>
        </webwork:iterator>
    </td>

    <td>
        <webwork:property value="./long('project')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'duedate', ../string('type')) == false">
                <webwork:if test="../timestamp('duedate')">
                    <webwork:property value="/outlookDate/formatDMY(../timestamp('duedate'))" />
                </webwork:if>
            </webwork:if>
        </webwork:property>
    </td>

    <webwork:if test="applicationProperties/option('jira.option.voting') == true">
        <td><webwork:property value="./long('votes')" /></td>
    </webwork:if>

    <webwork:if test="applicationProperties/option('jira.option.timetracking') == true">
        <webwork:property value="./long('project')">
            <webwork:if test="@fieldVisibility/fieldHidden(., 'timetracking', ../string('type')) == false">
                <td>
                    <webwork:property value="/durationInMinutes(../long('timeoriginalestimate'))" />
                </td>

                <td>
                    <webwork:property value="/durationInMinutes(../long('timeestimate'))" />
                </td>

                <td>
                    <webwork:property value="/durationInMinutes(../long('timespent'))" />
                </td>
            </webwork:if>
            <webwork:else>
                <td></td><td></td><td></td>
            </webwork:else>
        </webwork:property>
    </webwork:if>

     <% if (license != null && license.isLicenseLevel(UtilMisc.toList(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <td>
            <webwork:property value="./long('project')">
                <webwork:if test="@fieldVisibility/fieldHidden(., 'security', ../string('type')) == false">
                    <webwork:property value="@issueBean/securityLevel(..)">
                        <webwork:property value="./string('name')"/>
                    </webwork:property>
                </webwork:if>
            </webwork:property>
        </td>
     <%}%>

    <webwork:property value="." id="issue"/>

    <webwork:property value="/validCustomFields" >
    <webwork:if test=". != null && size > 0">
        <customfields>
        <%-- custom fields --%>
            <webwork:iterator >
                <%-- don't display custom fields with no values or values that are hidden --%>
                <webwork:if test="./value(@issue) != null && @fieldVisibility/fieldHidden(@issue/long('project'), id, @issue/string('type')) == false">
                    <td><webwork:property value="/customFieldHtml(., @issue)" escape="false" /></td>
                </webwork:if>
                <webwork:else>
                    <td></td>
                </webwork:else>
            </webwork:iterator>
        </customfields>
    </webwork:if>
    </webwork:property>
</tr>
</webwork:iterator></webwork:if>

<tr>
    <td bgcolor=ffffff colspan="<%=counter%>">
        &nbsp;
    </td>
</tr>
<tr>
    <td bgcolor=dddddd colspan="<%=counter%>"><font size=1>
        Generated at <%= new Date () %> <webwork:if test="remoteUser != null">by <webwork:property value="remoteUser/fullName" /></webwork:if> using JIRA <%= BuildUtils.getCurrentBuildNumber() %>.
    </font></td>
</tr>

</table>
</body>
</html>