<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />
<webwork:iterator value="parameters['columns']">
    <webwork:property value="navigableField">

        <jsp:include page="issue_basic.jsp"/>

        <webwork:if test = "./id == 'assignee'">
            <td nowrap width=1%>
            <webwork:property value="../../long('project')">
                <webwork:if test="@fieldVisibility/fieldHidden(., 'assignee', ../string('type')) == false">
                    <font size=1><webwork:if test="../string('assignee') == null">Unassigned</webwork:if><webwork:else><webwork:property value="@user/user(../string('assignee'))/fullName"/></webwork:else></font>
                </webwork:if>
                <webwork:else>
                    &nbsp;
                </webwork:else>
            </webwork:property>
            </td>
        </webwork:if>

        <webwork:if test = "./id == 'reporter'">
            <td nowrap width=1%>
                <webwork:if test="@fieldVisibility/fieldHidden(../../long('project'), 'reporter', string('type')) == false">
                    <font size=1><webwork:if test="string('reporter') == null">None</webwork:if><webwork:else><webwork:property value="@user/user(string('reporter'))/fullName"/></webwork:else></font>
                </webwork:if>
            </td>
        </webwork:if>

        <webwork:if test="./id == 'priority'">
        <td nowrap width=1%>
            <webwork:property value="../../long('project')">
                <webwork:if test="@fieldVisibility/fieldHidden(., 'priority', string('type')) == false">
                    <webwork:if test="string('priority')">
                        <%@ include file="/includes/icons/priority.jsp" %>
                    </webwork:if>
                    <webwork:else>&nbsp;</webwork:else>
                </webwork:if>
                <webwork:else>
                    &nbsp;
                </webwork:else>
            </webwork:property>
        </td>
        </webwork:if>

        <webwork:if test="./id == 'status'">
        <td nowrap width=1%><font size=1>
            <%@ include file="/includes/icons/status.jsp" %>
            <webwork:property value="/constantsManager/status(string('status'))/string('name')" />
            </font>
        </td>
        </webwork:if>

        <webwork:if test = "./id == 'resolution'">
            <td nowrap width=1%><font size=1>
                <webwork:if test="string('resolution') == null">
                    <font color="990000"><webwork:text name="'common.resolution.UNRESOLVED'"/></font>
                </webwork:if>
                <webwork:else>
                    <webwork:property value="/constantsManager/resolution(string('resolution'))/string('name')" />
                </webwork:else>
            </font></td>
        </webwork:if>

        <webwork:if test="./id == 'created'">
            <td nowrap width=1%><font size=1><webwork:property value="/outlookDate/formatDMY(timestamp('created'))"/></font></td>
        </webwork:if>

        <webwork:if test="./id == 'updated'">
            <td nowrap width=1%><font size=1><webwork:property value="/outlookDate/formatDMY(timestamp('updated'))" /></font></td>
        </webwork:if>

        <webwork:if test="./id == 'duedate'">
            <td nowrap width=1%>
                <webwork:property value="../../long('project')">
                    <webwork:if test="@fieldVisibility/fieldHidden(., 'duedate', string('type')) == false">
                        <webwork:if test="string('duedate')">
                            <webwork:if test="timestamp('duedate')">
                                <font size=1><webwork:property value="/outlookDate/formatDMY(timestamp('duedate'))" /></font>
                            </webwork:if>
                            <webwork:else>&nbsp;</webwork:else>
                        </webwork:if>
                        <webwork:else>&nbsp;</webwork:else>
                    </webwork:if>
                    <webwork:else>&nbsp;</webwork:else>
                </webwork:property>
            </td>
        </webwork:if>

        <webwork:if test="./id == 'description'">
            <td width=1%>
                <webwork:property value="../../long('project')">
                    <webwork:if test="@fieldVisibility/fieldHidden(., 'description', ../../string('type')) == false && ../../string('description')">
                        <font size=1><webwork:property value="../../string('description')" /></font>
                    </webwork:if>
                    <webwork:else>&nbsp;</webwork:else>
                </webwork:property>
            </td>
        </webwork:if>

        <jsp:include page="issue_thumbnails.jsp"/>

        <jsp:include page="issue_workratio.jsp"/>

        <jsp:include page="issue_votes.jsp"/>

        <jsp:include page="issue_subtasks.jsp"/>

        <webwork:if test="./id == 'environment'">
            <td width=1%>
                <webwork:property value="../../long('project')">
                    <webwork:if test="@fieldVisibility/fieldHidden(., 'environment', ../../string('type')) == false && ../../string('environment')">
                        <font size=1><webwork:property value="../../string('environment')" /></font>
                    </webwork:if>
                    <webwork:else>&nbsp;</webwork:else>
                </webwork:property>
            </td>
        </webwork:if>

        <jsp:include page="issue_timetracking.jsp"/>

        <webwork:if test="./id == 'security'">
            <td nowrap width="1%">
                <webwork:property value="../../long('project')">
                    <webwork:if test="@fieldVisibility/fieldHidden(., 'security', ../../../string('type')) == false && ../../long('security') != null">
                        <webwork:property value="@issueBean/securityLevel(../../..)">
                            <font size=1><webwork:property value="./string('name')"/></font>
                        </webwork:property>
                    </webwork:if>
                    <webwork:else>&nbsp;</webwork:else>
                </webwork:property>
            </td>
        </webwork:if>

        <jsp:include page="issue_versions.jsp"/>

        <webwork:if test="./id == 'components'">
            <td nowrap width="1%">
                <webwork:property value="../../long('project')">
                    <webwork:property value="@issueBean/components(../../..)">
                        <webwork:if test="@fieldVisibility/fieldHidden(.., 'components', ../../../string('type')) == false && ./empty == false">
                            <webwork:iterator value="." status="'componentsStatus'">
                                <font size=1><webwork:property value="./string('name')"/></font>
                                <webwork:if test="@componentsStatus/last == false"><br></webwork:if>
                            </webwork:iterator>
                        </webwork:if>
                        <webwork:else>&nbsp;</webwork:else>
                    </webwork:property>
                </webwork:property>
            </td>
        </webwork:if>

        <jsp:include page="issue_customfields.jsp"/>

    </webwork:property>
</webwork:iterator>
