<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:bean name="'com.atlassian.jira.issue.customfields.CustomFieldUtils'" id="cfutils" />
<webwork:bean name="'com.atlassian.jira.web.util.IssueTableBean'" id="issueBean" />
<webwork:action name="'util.UserAction'" id="user" />
<%-- if there are issues to show --%>
<webwork:if test="parameters['nameValue'] && parameters['nameValue']/empty == false">
<%-- There are columns selected --%>
<webwork:if test="parameters['columns']/empty == false">

    <%-- paginate the issues (ie show links to page 1, page 2 etc).  This is used if there are more issues than can be shown on one page --%>
    <webwork:if test="parameters['showpagers'] == null || parameters['showpagers'] == true">
    <jsp:include page="/template/includes/issuetable/pages.jsp" />
    </webwork:if>

    <%-- the main issue table (including header, (optional) utility row, and issues ) --%>
    <table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=<webwork:if test="parameters['width']"><webwork:property value="parameters['width']" /></webwork:if><webwork:else>100%</webwork:else>>
    <tr><td>
        <table border="0" cellpadding="3" cellspacing="1" width="100%">
            <%-- Display header row e.g. key, status, priority--%>
            <tr bgcolor=f0f0f0>
                <jsp:include page="/template/includes/issuetable/header.jsp" />
                <webwork:if test="parameters['showcontrols'] == 'true'">
                    <td class="colHeaderLink">&nbsp;</td>
                </webwork:if>
            </tr>
            <%-- this is the control row.  eg. changing the columns viewable by the issue navigator --%>
            <webwork:if test="parameters['controlrow']">
                <tr class="rowAlternate">
                    <webwork:property value="parameters['controlrow']" escape="false"/>
                </tr>
            </webwork:if>
            <%-- this iterates over the issues that are passed in --%>
            <webwork:iterator value="pager/currentPage(parameters['nameValue'])" status="'status'">
                <%@ include file="/template/includes/issuetable/issues.jsp" %>
            </webwork:iterator>
        </table>
    </td></tr>
    </table>

    <%-- paginate the issues (ie show links to page 1, page 2 etc).  This is used if there are more issues than can be shown on one page --%>
    <webwork:if test="parameters['showpagers'] == null || parameters['showpagers'] == true">
    <jsp:include page="/template/includes/issuetable/pages.jsp" />
    </webwork:if>
</webwork:if>
<webwork:else>
    <%-- Issues to display, but no columns selected --%>
    <webwork:text name="'navigator.results.nocolumns'"/><br>
    <webwork:text name="'navigator.results.configurenavigator'">
        <webwork:param name="'value0'"><a href="<%= request.getContextPath() %>/secure/ViewUserIssueColumns!default.jspa"><b></webwork:param>
        <webwork:param name="'value1'"></b></a></webwork:param>
    </webwork:text>
</webwork:else>
</webwork:if>
<%-- if there is no issues to show, then display the 'emptytext' parameter passed to this control --%>
<webwork:else>
    <webwork:if test="parameters['emptytext']">
        <table bgcolor="bbbbbb" border="0" cellpadding="0" cellspacing="0" width=<webwork:if test="parameters['width']"><webwork:property value="parameters['width']" /></webwork:if><webwork:else>100%</webwork:else>>
            <tr><td>
                <page:applyDecorator name="jirapanel">
                    <page:param name="title"><webwork:property value="parameters['emptytexttitle']"/></page:param>
                    <page:param name="width">100%</page:param>
                    <webwork:property value="parameters['emptytext']" escape="false"/>
                    <jsp:include page="/includes/errormessages.jsp" />
                </page:applyDecorator>
            </td></tr>
        </table>
    </webwork:if>
</webwork:else>

