<%--
  -- WebWork, Web Application Framework
  --
  -- Distributable under LGPL license.
  -- See terms of license at opensource.org
  --
  --
  -- radiomap.jsp
  --
  -- Required Parameters:
  --   * label     - The description that will be used to identfy the control.
  --   * name      - The name of the attribute to put and pull the result from.
  --                 Equates to the NAME parameter of the HTML tag INPUT.
  --   * list      - Iterator that will provide the options for the control.
  --                 Equates to the HTML LABEL tags.
  --   * listKey   - Where to get the values for the INPUT tag.  Equates to
  --                 the VALUE parameter of the INPUT tag.
  --   * listValue - The value displayed next to the radio control.  Equates to the body
  --                 of the enclosing HTML LABEL tag.
  --
  -- Optional Parameters:
  --   * labelposition   - determines were the label will be place in relation
  --                       to the control.  Default is to the left of the control.
  --   * disabled        - DISABLED parameter of the HTML INPUT tag.
  --   * tabindex        - tabindex parameter of the HTML INPUT tag.
  --   * onchange        - onkeyup parameter of the HTML INPUT tag.
  --   * checkRadio      - determine which radio option is checked by default
  --
  --%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ include file="/template/standard/controlheader.jsp" %>
<webwork:iterator value="parameters['list']" status="'status'">
      <input type="radio"
             <webwork:if test="{parameters['listKey']} == parameters['nameValue']">checked="checked"</webwork:if>
             <webwork:if test="{parameters['listKey']} == parameters['checkRadio']">checked="checked"</webwork:if>
             name="<webwork:property value="parameters['name']"/>"
            value="<webwork:property value="{parameters['listKey']}"/>"
            id="id_<webwork:property value="parameters['name']" />_<webwork:property value="{parameters['listKey']}"/>"
         <webwork:property value="parameters['disabled']">
            <webwork:if test="{parameters['disabled']}">DISABLED</webwork:if>
         </webwork:property>
         <webwork:property value="parameters['tabindex']">
            <webwork:if test=".">tabindex="<webwork:property value="."/>"</webwork:if>
         </webwork:property>
         <webwork:property value="parameters['onchange']">
            <webwork:if test=".">onchange="<webwork:property value="."/>"</webwork:if>
         </webwork:property>
         <webwork:property value="parameters['onclick']">
            <webwork:if test=".">onclick="<webwork:property value="."/>"</webwork:if>
         </webwork:property>
      />
   <label for="id_<webwork:property value="parameters['name']" />_<webwork:property value="{parameters['listKey']}"/>">
      <webwork:property value="{parameters['listValue']}" escape="false" />
   </label>
   <webwork:if test="@status/last != true"><br /></webwork:if>
</webwork:iterator>
<%@ include file="/template/standard/controlfooter.jsp" %>