<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>JIRA LDAP Configurer</title>
</head>

<body>
	<page:applyDecorator name="jiraform">

        <page:param name="title">Configure LDAP authentication</page:param>
        <page:param name="helpURL">ldap</page:param>
		<page:param name="action">LDAPConfigurer.jspa</page:param>
		<page:param name="submitName">Submit</page:param>
        <page:param name="autoSelectFirst">false</page:param>
		<page:param name="cancelURI">../default.jsp</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <p>This page helps you configure JIRA to authenticate users against an LDAP directory.</p>
            <p>
            Enter your LDAP server details here, and we'll generate you an osuser.xml file that should work with your
            LDAP server.
            </p>
        </page:param>
                
		<ui:textfield label="'LDAP Host'" name="'host'" size="40">
            <ui:param name="'mandatory'" value="'true'" />
            <ui:param name="'description'">URL of the server running LDAP, eg. ldap://localhost</ui:param>
        </ui:textfield>
		<ui:textfield label="'BaseDN'" name="'baseDN'" size="40">
<%--            <ui:param name="'helpURL'">querysyntax</ui:param>--%>
            <ui:param name="'description'">Name of the root node in LDAP from which to search for users, eg. cn=users,dc=example,dc=com</ui:param>
            <ui:param name="'mandatory'" value="'true'" />
        </ui:textfield>
        
        <tr> <td bgcolor=fffff0></td><td bgcolor="ffffff"></td> </tr>
        
		<ui:textfield label="'Bind DN'" name="'bindDN'" size="40">
            <ui:param name="'description'">If we need to authenticate to search for users, log in as this user (leave blank for anonymous search). Eg. cn=jira,cn=users,dc=example,dc=com</ui:param>
        </ui:textfield>
        
		<ui:password label="'Bind Password'" name="'bindPassword'" size="40">
            <ui:param name="'description'">If we need to authenticate to search for users, use this password (leave blank for anonymous search).</ui:param>
        </ui:password>
        
        
		<ui:textfield label="'Search Attribute'" name="'searchAttribute'" >
            <ui:param name="'mandatory'" value="'true'" />
            <ui:param name="'description'">The attribute in LDAP holding the user's login name. Eg. 'uid' or 'sAMAccountName' (for ActiveDirectory)</ui:param>
        </ui:textfield>
        
        <tr> <td bgcolor=fffff0></td><td bgcolor="ffffff"></td> </tr>
        
        <ui:component label="'Sample user to authenticate'" name="'userName'" template="userselect.jsp">
            <ui:param name="'formname'" value="'jiraform'" />
            <ui:param name="'imageName'" value="'userImage'"/>
            <ui:param name="'size'" value="40"/>
            <ui:param name="'description'">A sample user to attempt to authenticate against LDAP.</ui:param>
        </ui:component>
        
        <ui:password label="'Sample user's password'" name="'userPassword'" size="40">
            <ui:param name="'description'">The sample user's LDAP password.</ui:param>
        </ui:password>
        
	</page:applyDecorator>
</body>
</html>